altos (1.9.19-4) unstable; urgency=medium

  * cherry-pick patch from master branch that updates libjfreechart usage
    to reflect changes in version 1.5.5, closes: #1099215 

 -- Bdale Garbee <bdale@gag.com>  Mon, 03 Mar 2025 11:17:25 -0700

altos (1.9.19-3) unstable; urgency=medium

  * cherry-pick patch from master branch that moves to smaller crt0 to 
    resolve newer compiler overflowing bootloader flash, closes: #1095326

 -- Bdale Garbee <bdale@gag.com>  Fri, 21 Feb 2025 03:01:09 -0700

altos (1.9.19-2) unstable; urgency=medium

  * cherry-pick patch from master branch that fixes FTBFS due to needing
    another include, closes: #1082677 

 -- Bdale Garbee <bdale@gag.com>  Thu, 26 Sep 2024 11:08:46 -0600

altos (1.9.19-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * capture things learned during 1.9.18 release
  * remove garbage line from easymotor turnon script
  * first cut at turnon scripts for EasyTimer v2
  * doc: add Terry Lee's TRA and NAR numbers to TeleLaunch doc
  * doc: clarify how EasyMotor gets put into idle mode
  * docs: correct EasyMotor v3.0 battery in specs table
  * doc: EasyTimer v2.0 also has mag sensor
  * doc: reflect move of mailing list from lists.gag.com to groups.io
  * include EasyMega v3 firmware in that captured in LLC repo during release
  * make EasyMini v2.1 our "current" thing to flash/cal/test
  * production bench scripts for EasyMega v3
  * capture link for EasyMini production scripts
  * update ChangeLog for 1.9.19 release

  [ Keith Packard ]
  * altos/easymini-v2.0: Remove combined .dfu file
  * altos/test: Get the flight software test code working again
  * altosui: Add config and pyro tabs to graph widget
  * altos/easymega-v3.0: Add combined dfu and ihx targets
  * src/telelco-v3.0: Increase LED test time to 1 second
  * altos/telelco-v3.0: Delete debug code
  * altos/telelco-v3.0: Add "Scanning..." to startup screen
  * altos/telelco-v3.0: Display good vs bad packets received
  * altos/telelco-v3.0: Swap version and serial on info page
  * altos/telelco-v3.0: Merge info into one screen
  * telelco-v3.0: Support ambient light sensor
  * altosui: Don't add pyro table to graph UI when npyro == MISSING
  * altoslib: Check for negative tick wrap when importing flight records
  * ao-bringup: Re-add cal-freq
  * src: Open up the ADXL375 self test range
  * ao-accel-cal: Validate ADXL375 sensitivity
  * doc: Version 1.9.19 release notes
  * Add easymega v3.0 firmware to fat images
  * Version 1.9.19

 -- Bdale Garbee <bdale@gag.com>  Mon, 05 Aug 2024 10:40:21 -0600

altos (1.9.18-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * doc: fix a typo in the staging example
  * update Releasing with learnings from 1.9.17 release
  * set java-version=8 in rules to enable openjdk 21 support, closes: #1052587
  * add a paragraph about how to hook up a pressure sensor to an EasyMotor
  * kernel: conditionalize config "report in feet" on presence of baro sensor
  * fix product name
  * update ChangeLog for 1.9.18 release

  [ Keith Packard ]
  * doc: Use -optimize with asciidoctorpdf
  * micropeak: Include firmware in install bits
  * fixup seven segment debug code
  * altos: Use BMI088 as z-axis accel as needed
  * altos: Initial easytimer-v2 bits
  * altos: Build easytimer-v2 bits
  * altos/easytimer-v2: Add logging bits
  * altos/easytimer-v2: Update comments in flash loader ao_pins.h
  * altos/samd21: Enable stdio for USB by default
  * altos: Updating pyro format tried to copy entries with no value
  * altos/easytimer-v2: Initialize logging too
  * Fix configure tests for multi-arch libaltos
  * altos/lpc: Adjust ADC clock from 450kHz to 4.5MHz
  * ao-tools: Add flash utility for stm32f1x chips
  * altos: Start work on stm32f1 support
  * altos/stm32f1: More stm32f103 work
  * altos/stm32f103-nucleo: Use more bits
  * altos/stm32f1: Start work on self-flash code
  * stm32f1: Get boot loader working
  * altos/stm32f103-nucleo: Add boot loader
  * altos: Add ST7565 LCD driver
  * src/draw: Provide some useful constants
  * altos/draw: Build demos with -O3 to catch more bugs
  * altos/draw: Skip line adjustment for vertical/horizontal
  * altos/draw: Have each font declare ao_glyph_temp as .comm
  * altos/driver: Document setting for AO_ST7565_BIAS
  * altos/stm32f1: Add DMA and SPI drivers
  * altos/stm32f103-nucleo: Drive a screen too
  * altos/stm32f103-nucleo: Draw more of the LCO demo screen
  * altos: Clean up st7565 LCD driver
  * altos: Fix up stm32f103-nucleo 'lco' demo mode
  * altos/stm32f1: Add more IP block drivers
  * drivers: Add real i2c support to mmc5983
  * altos/easymega-v3.0: Switch to STM32F103
  * altos/telelco-v3: Create initial flash loader setup
  * altos/telelco-v3: Move USB pullup from PA9 to PA10
  * altos/stm32f1: Add ao_fast_timer.c
  * altos: Build in 'draw' directory first
  * altos: Add initial TeleLCO-v3 bits
  * altos/stm32f1: Add eeprom emulation using flash
  * altos/telelco-v3.0: Use eeprom emulation for config storage
  * altos/telelco-v3.0: Add some real drawing stuff
  * altos: Move ao_adc_single.h API header to kernel/
  * altos/stm32f1: Add ao_adc_single support
  * altos/telelco-v3.0: Add ao_adc_single usage to get battery voltage
  * altos/telelco-v3.0: Fix up search UI
  * altos/telelco*: Make LCO voltage display work on 2.0 and 3.0
  * altos/stm32f1: Support beeper on tim3
  * altos/stm32f1: Set PLLXTPRE value
  * altos/stm32f1: Add STM_RCC_CFGR_PLLXTPRE_MASK value
  * altos/telelco-v3.0: Add USB pull up
  * altos/stm32f1: Turn on ADC during initialization sequence
  * altos/stm32f1: Poke the ADC harder to get it to sample
  * altos/stm32f1: Allow PA6 to be left alone in the SPI code
  * altos/telelco-v3.0: Don't connect PA6 to SPI
  * altos/telelco-v3.0: Battery voltage is on PA2
  * altos/stm32f1: Support timers 2,3,4 for fast timer
  * altos/telelco-v3.0: Use timer 2 for fast timer
  * src/stm32f1: Disable extra JTAG pins in ao_clock_init
  * switch to mode 3 for LCD
  * stm32f1: make spi speed per-bus
  * altos: Add SPI bus parameter to ao_spi_speed
  * altos: Add wiring docs to st-7565 header
  * altos: Fix pretend pad range for TeleLCO
  * telelco-v3.0: Minor setup fixes
  * altos: Build TeleLCO v3.0 bits by default
  * altos/telelco-v3.0: Add contrast setting
  * altos: Bump ST7565 speed to 20MHz
  * altos/telelco-v3.0: Configure SPI GPIO pins to 50MHz
  * altos/stm32f1: For some reason the DBG registers aren't always available
  * altos: Add support for backlight control in ao_lco_bits
  * altos/telelco-v3.0: Control LCD backlight with PWM
  * telelco-v3.0: Add info page
  * altos/telelco-v3: Add logo to 'info' page
  * altos/draw: Add ao_text_width
  * altos/telelco: Update backlight/contrast display upon change
  * altos/st7565: Diff image during update
  * altos/telelco-v3.0: Show backlight/contrast value as percent
  * altos/stm32f1: Set beeper pin to 0 while off
  * altos/telelco: Add per-box RSSI display screen
  * altos/telelco: Add RSSI display to older devices
  * altos/st7565: Set default contrast to 13
  * altos/telelco-v3: Minor UI tweaks
  * altos/easytimer-v2: Fix up ao_pins.h
  * altoslib: Add EasyTimer-v2 support
  * altos/easytimer-v2: Set default log size to 192kB
  * altos/easytimer-v2: Fix product name
  * altosui: Make accel cal dialog say 'beeper' instead of 'antenna'
  * stm32f1: Clean up some ADC definitions
  * src/easymini-2.0: Add combined .dfu file for Seeed testing
  * altoslib: Add EasyMega v3.0 support
  * altos/stm32f103: Fix continuous ADC code
  * altos: Build EasyMega v3.0 by defaul
  * altos/easymega-v3.0: Update i2c pin usage
  * altos/stm32f1: Grab both TX/RX DMA mutexes while doing I2C
  * altos/easytimer-v2: Generate combined .ihx file for seeed testing
  * altos: ao_fec_prepare using wrong value for input len
  * altos/test: Adjust CRC error rate after FEC fix
  * altos/test: Add FEC test for simple 'hello' message
  * altosui: Set the beeper to 0 to disable
  * altosui: Support gps receiver setting
  * Add EasyTimer v2 firmware
  * doc: Add 1.9.18 release notes
  * Version 1.9.18
  * Fix up fat build target
  * altos/draw: Add 'install' target
  * doc: Add 1.9.18 release notes
  * Version 1.9.18

 -- Bdale Garbee <bdale@gag.com>  Sun, 28 Apr 2024 19:45:15 -0600

altos (1.9.17-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * have TeleGPS production script save RF cal value
  * update Releasing based on 1.9.16 release experiences
  * doc: fix a typo in the staging example
  * ao-test-igniter: allow anything other than 'open' to be valid so LED tests work
  * ao-bringup: be consistent with success text in TeleGPS test script
  * update ChangeLog for 1.9.17 release

  [ Keith Packard ]
  * altos-mapd: Install systemd dir in arch-independent location
  * altoslib: Support Monitor Idle for EasyMini-3
  * altos/stm32f042: Increase interrupt stack to 256 bytes
  * altos: Add AO_STACK_CANARY to detect stack overflows sometimes
  * altos/stmf0: Disable ao_boot_check_pin if not in use
  * altos: Compute igniter good/bad thresholds using 3.5V value
  * altos: Add pyro voltage divider values to boards with them
  * altos: Don't include ao_pyro.h into telelco code
  * altos: Use pyro voltage to check igniters
  * altos: Use ublox-10 mode for TM v4.0
  * doc: Release notes for 1.9.17
  * Version 1.9.17

 -- Bdale Garbee <bdale@gag.com>  Wed, 30 Aug 2023 10:50:23 -0600

altos (1.9.16-2) unstable; urgency=medium

  * fix path systemd service file for mapd is deliverd to, closes: #1036022

 -- Bdale Garbee <bdale@gag.com>  Sun, 14 May 2023 10:48:57 -0700

altos (1.9.16-1) unstable; urgency=medium

  [ Keith Packard ]
  * altos: Fill in more of the draw code
  * altos/draw: Add poly fill function
  * altos/draw: Only cover ASCII
  * altos/draw: Make test drawing app emulate TeleLCO
  * altos/draw: Use float for polygon coords
  * altos/draw: Add logo
  * altos/draw: Add more fonts
  * altos/draw: Move font files to subdirectory
  * altos/draw: Add monospaced font
  * altos/draw: Convert draw test framework to modern C
  * altos/draw: Add transforms to polygon code
  * altos/draw: Add NotoMono font
  * altos/draw: Rearrange sample LCO screen in draw-test
  * altos/draw: use --gc-sections in demo program
  * altos/draw: Mock up TeleLCO boot sequence
  * altos/draw: Rename test app to 'lco-test'
  * altos/draw: Add validation for line drawing
  * altos/draw: Check for horiz/vert line when clipping
  * altos/draw: Fix clipping far line end
  * altos/draw: Inline span fill for polygons
  * altos/draw: Split out draw test scaffolding from lco-test.c
  * altos/draw: Add line test app
  * altos/draw: Use fewer fonts in lco sample
  * altos/draw: hand-edit 64-pixel 3/5 to avoid jank
  * altos/draw: Add damage tracking
  * altos/draw: Add vera sans fonts
  * altos/draw: Use <> for include files
  * altos/draw: Use bitstream fonts for LCO demo
  * altos/draw: Use damage for lco demo
  * altos: Allow ports to use type other than 'void *' for gpio block
  * altos/lpc: Support UART on pio1_13/pio1_14
  * altos: Add TeleGPS v3.0 support
  * altos: Build TeleGPS v3.0 by default
  * altos/lpc: Add support for eeprom on 2x/3x chips
  * altos/telegps-v3.0: Use eeprom for config
  * altos/lpc: Validate UART pin config
  * altos/lpcxpresso: Update for 11u24 board
  * altos/telegps-v3.0: Fix SPI bus usage
  * altoslib: Support TeleGPS v3 monitor idle
  * altoslib: Parse more GPS monitor data
  * altos/drivers: Support uBlox Max 10 chips
  * altos: Dump GPS dop/course data from 'g' command
  * altos/telegps-v3.0: Use new MAX 10 support in uBlox driver
  * altos: Make sure storage is setup before starting log
  * altos/lpc: Support 6k ram targets
  * altos/telegps-v3.0: Use all 6kB of available ram
  * altos/telegps-v3.0: Get LED blinking when GPS locks
  * telegps: Add unit setting to device configuration dialog
  * altos/stmf0: Remove some incorrect defines in stm32f0.h
  * altos/stm32f04x: Smite the OPL_LAUNCH bit to reset boot config
  * Version 1.9.15.1
  * doc: Add 1.9.16 release notes
  * Add TeleGPS v3.0 firmware
  * altosdroid: Deal with Google requiring API version 31
  * Version 1.9.16

  [ Bdale Garbee ]
  * add production scripts for TeleGPS v3.0
  * update TeleGPS v3.0 production script to flash correct firmware versions
  * updte ChangeLog for 1.9.16 release

 -- Bdale Garbee <bdale@gag.com>  Thu, 27 Apr 2023 23:55:05 -0600

altos (1.9.15-1) unstable; urgency=medium

  [ Keith Packard ]
  * altos: Add .gitignore for telemega v6.0
  * altos/telemega-v6: Remove beep freq defs and use defaults
  * altos/telemega-v6.0: bmi088 axes were wrong
  * altoslib: Hide internals of AltosIMU
  * altos: Fix TMega v6.0 and v5.0 IMU axes
  * doc: Add initial 1.9.15 release notes
  * doc: Add HW specs for TeleMega v6.0
  * Add TeleMega v6.0 firmware to release
  * Add TeleMetrum v4.0 firmware to releases
  * altos/telemetrum-v4.0: Add .gitignore
  * doc: Add TeleMetrum v4.0 to specs and 1.9.15 release notes
  * ao-tools/ao-flash: Use 'program' instead of 'flash' for samd21
  * Version 1.9.15

  [ Bdale Garbee ]
  * altos: add csm84clio-v0.1 firmware
  * altos: re-number csm85clio outputs 0..49 to match schematic and silkscreen
  * ao-bringup: turnon and test scripts for TeleMetrum v4.0 & TeleMega v6.0
  * releasing 1.9.15

 -- Bdale Garbee <bdale@gag.com>  Sun, 19 Feb 2023 18:29:00 -0700

altos (1.9.14-1) unstable; urgency=medium

  [ Keith Packard ]
  * drivers/cc1200: Don't disable cc1200 interrupts ever
  * altos/telefiretwo-v0.2: Get things building again
  * altos/drivers: Use spi duplex to fetch register values
  * altos/drivers: Increase LCO receive timeout to 20ms
  * doc: Release notes for 1.9.14
  * Version 1.9.14

  [ Bdale Garbee ]
  * ChangeLog for releas 1.9.14

 -- Bdale Garbee <bdale@gag.com>  Thu, 02 Feb 2023 12:55:20 -0700

altos (1.9.13-2) unstable; urgency=medium

  * drop the suggests on slim | gdm, it's just no useful

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Jan 2023 15:11:04 -0700

altos (1.9.13-1) unstable; urgency=medium

  [ Keith Packard ]
  * altos: Switch LED pin number to 8 bits
  * altos: Use -ffunction-sections -fdata-sections
  * altos: Add SAMD21 bits
  * altos: Add sample samd21 application for snekboard
  * ao-tools: Add ao-flash-samd21 script
  * altos/samd21: Add register definitions
  * altos/samd21: Get USB driver working in AltOS
  * altos/samd21: Automatically erase flash when writing
  * altos/snekboard: Indicate that USB is used for stdio
  * altos: Switch LED pin number to 8 bits
  * altos: Use --gc-sections
  * altos: Add SAMD21 bits
  * altos: Add sample samd21 application for snekboard
  * ao-tools: Add ao-flash-samd21 script
  * altos/samd21: Add register definitions
  * altos/samd21: Get USB driver working in AltOS
  * altos/samd21: Automatically erase flash when writing
  * altos/snekboard: Indicate that USB is used for stdio
  * Add option to beep max height in feet rather than just meters
  * altos: Get SAMD21 SPI driver working in non-DMA mode
  * snekboard: Add samd21 SPI test function
  * This is what I'm using locally for flashing samd21 parts
  * samd21: Configure ROM/RAM values per device and provide linker scripts for each
  * altos: Add metro-m0 port for SAMD21G18 testing
  * samd21: Fix up DMA driver
  * samd21: Avoid divides in boot loader
  * samd21: Fix value defines to be unsigned long
  * samd21: Use DMA for SPI send
  * snekboard: Need DMA for SPI now.
  * samd21: Macro-ize the DMA register settings a bit
  * samd21: Add ability to use arbitrary pin configs with SPI
  * metro-m0: Configure on-board SPI flash part
  * altos/ms5607: Use ao_gpio_set instead of stm_gpio_set
  * samd21: Get ADC code compiling
  * samd21: Add SPI configurations used by TM v4.0
  * samd21: Get serial driver building
  * altos/telemetrum-v4.0: Almost building
  * samd21: Shrink default stack to 512 bytes
  * samd21: Stub out exti code
  * samd21: Stub out beep code
  * altos/telemetrum-v4.0: It links
  * samd21: Wire up pin interrupts
  * metro-m0: Demo pin interrupts
  * samd21: Get beep code working
  * samd21: Move DMA channel defs to ao_dma_samd21.h
  * samd21: Hook up AltOS timer functionality
  * samd21: Hook up AltOS style ADC
  * metro-m0: Hook up ADC sample from A pins
  * telemetrum-v4.0: Add beeper and fix ADC defs
  * telemetrum-v4.0: Remove unused file
  * drivers/ublox: Clean up some debug mode code
  * samd21: Leave serial RX interrupts enabled
  * metro-m0: Add GPS support
  * telemetrum-v4.0: Set USE_SERIAL_1_STDIN to 0
  * telegps: Copy altosui 'beep feet' bits to telegps
  * altos/ms5607: Use duplex for fetching data
  * samd21: PA20 maps to SERCOM3.2 not SERCOM3.3
  * samd21: Limit SPI baud value to 1
  * samd21: Restore pin cfg when exti is disabled
  * samd21: AO_SPI_0_PA04_PA05_PA06 is FUNC_D
  * fixup for exti restore
  * telemetrum-v4.0: MS5607 doesn't share SPI controller
  * telemetrum-v4.0: Correct beeper configuration
  * altos/cc1200: Simplify interrupt handling
  * altos: Avoid modulus in task queue on parts without idiv
  * samd21: Save interrupt pin status before enabling interrupts
  * attiny, stm32l0: Note that these chips don't support spi duplex
  * altos: Add ao_gps_utc_tick
  * altos/ms5607: Fixup ms5607 changes for other chips
  * altos: Make sure APRS packets are reasonably separated
  * altos: Enable telemetrum telemetry for telemetrum v4.0
  * altoslib: Handle TeleMetrum v4.0 in idle mode
  * Add TeleMetrum v4.0 to release files
  * ao-tools/ao-eeprom: Add support for TeleMega v5.0
  * altoslib: Add notes about updating ao-eeprom for new product
  * altos: Add timeout for MS5607 ADC conversion
  * easymotor-v3.0: Use motor pressure to trigger data logging
  * easymotor-v3.0: Clean up build bits
  * altos/stm: Add ao_spi_put_pins for MS5607 driver
  * altos/stmf0: Add ao_spi_put_pins for MS5067 driver
  * altos: Add timeout in MS5607 get_sample code
  * drivers: Add BMI088 driver
  * altos: Add BMI088 test framework using Nucleo32 board for stm32f042
  * altos: Add TeleMega v6.0
  * doc: Update docs for asciidoctor-pdf version 2.x
  * src/drivers: Ignore printf warnings in ao_aprs.c
  * drivers: Add AO_LOG_NORMALIZED support to BMI088 command
  * altos: Split AO_LOG_NORMALIZED support out in telemetry code
  * ao-tools: Fix buffer overflow in lib/ao-hex.c
  * ao-tools: Update ao-eeprom for TeleMega v6
  * altoslib: Add TeleMega v6 support
  * altos/telelco: Add some debug aids for TeleLCO event stuff
  * easymotor-v3: Fix pressure to adc conversion to use reference voltage
  * altos/easymotor: Move pressure conversion code to ao_motor_flight.c
  * altos: Add makefiles for telemega v6
  * doc: Add release notes for 1.9.13
  * doc: Update copyright year to 2023
  * Version 1.9.13
  * Disable TM v4.0 firmware for 1.9.13
  * doc: Add release notes for 1.9.13
  * doc: Update copyright year to 2023
  * Version 1.9.13

  [ Bdale Garbee ]
  * first stab at support for TeleMetrum v4.0
  * update Releasing with tweaks made during 1.9.12 release process
  * easymini v3.0 production scripts working
  * EasyMotor v3 production script working, sans pressure input test
  * ao-tools: don't do 'm 0' after 'E 0' since EasyMotor doesn't support it
  * update Releasing to include EasyMini v3.0 loader
  * ao-tools: new ao-test-pressure utility for bench testing EasyMotor
  * ao-bringup: final production test script for EasyMotor v3
  * ao-tools: increase robustness of turnon_easymotor
  * TeleMetrum v4.0 work in progress
  * altosui: force Locale.ROOT during CSV export to avoid commas in decimals
  * ao-tools: return ao-flash-lpc operaton to "full speed"
  * doc: add a warning to TeleLaunch docs about siren volume levels
  * doc: add a link to a reference on ARES/RACES use of PowerPole connectors
  * doc: update EasyMotor behavior description for firmware 1.9.13 and later
  * doc: update EasyMotor behavior description for firmware 1.9.13 and later
  * releasing 1.9.13

 -- Bdale Garbee <bdale@gag.com>  Thu, 19 Jan 2023 22:59:20 -0700

altos (1.9.12-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * need to save .bin for TeleGPS v2.0
  * first cut at EasyMotor v3 support
  * a few config tweaks
  * get ram usage under control, etc
  * Revert "adxl375: Disable spi duplex"
  * fix SPI index definition
  * recognize EasyMotor-v3 too
  * fix mailing list reference to use mailman3 path
  * doc: additional improvements to motortest manual
  * doc: include reference to Loki Research closures in motortest document
  * fat: sign Windows installers with our new code signing certificate
  * update Releasing to include reference to jsign as a release dependency
  * updating changelog for 1.9.12 release

  [ Keith Packard ]
  * lpc: Make beeper timer configurable
  * easymotor-v3: Configure beeper
  * lpc: Stick magic value at 0x2fc to let us use PIO0_1
  * lpc: Fix name of timer ioconf for pio0_1
  * lpc: Fix name of timer ioconf constants
  * lpc: Fixes for timer configuration
  * easymotor-v3: enable adxl debugging
  * adxl375: Disable spi duplex
  * lpc: Attempt to make beeper generate correct tone
  * altos: Fix ADXL375 SPI mode definitions and usage
  * Disable adxl debug, set long delay
  * reduce adxl speed to 100kHz
  * lpc: Add SPI mode support. Use for ADXL375 on easymotor
  * easymotor-v3: Increase ADXL spi speed back to normal, remove delay
  * lpc: Shuffle more bits around for flash loader
  * altos: Add EasyMotor-v3.0 to regular builds
  * ao-eeprom: Add EasyMotor decode
  * altoslib: Replace EasyMotor v2 code with v3
  * ao-eeprom: Add easy motor support
  * altos: Document easymotor record length
  * doc: Update call sign
  * ao-elftohex: Allow multiple elf files to be merged together
  * easymini-v3.0: Create combined .ihx file for testing
  * ao-elftohex: Add '-n' option to elide symbol table from output
  * easymini: Elide symbols from combined .ihx file
  * altos: Increase AES IV buffer to hold maximum AES state
  * altos: Allow setting telemetry interval to zero without crashing
  * Add EasyMini v3.0 firmware to release
  * ao-eeprom: Handle merge conflict from easymotor-v3 branch
  * easymotor-v3: Fix beeper config
  * altos: Allow 'c a 0' without Syntax Error
  * altoslib: Map log format back to USB device id
  * altosuilib: Limit EasyMotor graphs to motor pressure and accel by default
  * doc: Add specs for EasyMini v3 and EasyMotor v3
  * doc: Add preliminary 1.9.12 release notes
  * Add EasyMotor v3 firmware to release
  * altosui: Ship motortest.pdf with packaged builds
  * altosuilib: Remove some debug printfs
  * Auto-detect windows signing stuff
  * Version 1.9.12

 -- Bdale Garbee <bdale@gag.com>  Fri, 28 Oct 2022 23:12:21 -0600

altos (1.9.11-2) unstable; urgency=medium

  * cherry pick patch from master that increases AES IV buffer to hold 
    maximum AES state, closes: #1022301

 -- Bdale Garbee <bdale@gag.com>  Mon, 24 Oct 2022 10:02:35 -0600

altos (1.9.11-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * capture odd changes from production machine?
  * fix version in 1.9.10 release notes
  * fix version in 1.9.10 release notes
  * need to capture .bin file for telebt loader, too
  * doc: add an appendix on frequency calibration to the all-in-one manual
  * need to capture .bin file for telebt loader, too
  * need to save .bin for TeleGPS v2.0
  * dial it down a bit more to not exceed +10 dBm, or 10 mW
  * use correct test script for v1.0 easymega
  * doc: add an appendix with examples for configurable pyro channels
  * releasing 1.9.11

  [ Keith Packard ]
  * altosdroid: Skip map draw before transform is set
  * altosdroid: Fix tab updates on Android 11 after rotate
  * Version 1.9.10.1
  * micropeak: detect empty log received from device
  * ao-tools/ao-test-igniter: Deal with devices that use both 'apogee' for ADC
  * altos/attiny: Switch to avrisp2 for development programmer
  * altos: Switch all tick variables to AO_TICK_TYPE/AO_TICK_SIGNED
  * altosdroid: Add BLUETOOTH_CONNECT permission, handle its lack
  * Version 1.9.10.2
  * data_interval == 0 means no data collection
  * altos: AES code was storing bytes in an int array
  * ao_pyro: Move delay_done out of pyro structure
  * Switch from AdoptOpenJDK to Adoptium
  * libaltos: Build Mac OSX libaltos.dylib for arm64 too
  * Version 1.9.10.3
  * altos: Re-enable apogee delay
  * altos/attiny: Eliminate warnings from -Wconversion
  * altos/drivers: Add explicit casts in ao_aprs, ao_bmx160 and ao_btm
  * altos/drivers/ao_button: Save all 32-bits of irq status
  * drivers: Fix type of radio timeout parameter
  * ao_gps_skytrac, ao_gps_ublox: Add explicit casts to quiet -Wconversion
  * ao_companion: Make time conversion to 16-bits in companion protocol explicit
  * ao_hmc5883: Add explicit casts for -Wconversion
  * drivers/ao_lco: Fix box types to be uint16_t. Also clean other -Wconversion messages
  * drivers: Resolve -Wconversion in m25, mma655x, mmc5983, mpu and ms5607
  * drivers/ao_packet: Switch time values to AO_TICK_TYPE
  * drivers/ao_pad: Convert from/to 16-bit times over the air
  * drivers/ao_quadrature: Fix -Wconversion warnings
  * drivers/ao_rn4678: Fix timeouts to use AO_TICK_TYPE
  * altos: Switch ao_radio_recv timeout to AO_TICK_TYPE
  * altos/ao_stdio: use uint8_t for stdio index
  * altos/ao_freq: Use uint32_t for radio freq setting value
  * beep, cmd, config, convert_volt, data, distance, fec, kalman: -Wconversion warnings
  * fifo: Add casts to fifo operation macros for -Wconversion
  * ao_companion: Make motor_number uint16_t
  * ao_convert_pa: Switch array index to unsigned type
  * ao_flight: ao_interval_end type was too small, could cause premature landing state
  * ao_gps, ao_log: Make conversions to 16-bit time log values explicit
  * ao_log: Change flight type to uint16_t, widen APIs dealing with flight numbers to int32_t
  * more 16-bit log tick values
  * ao_log: Fix sensor time triggers to use AO_TICK_TYPE
  * ao_log: Add casts to reduce -Wconversion warnings
  * ao_micro: Add casts to micropeak code for -Wconversion warnings
  * ao_radio_cmac: Make recv timeouts AO_TICK_TYPE
  * ao_radio_cmac_cmd: Clean up types for -Wconversion
  * ao_monitor: Clean up -Wconversion warnings
  * kalman, report, romconfig, sample, send_packet: Clean up -Wconversion warnings
  * ao_serial: Change serial_sleep_for APIs to use AO_TICK_TYPE
  * ao_task: Task ids are 8-bits, fix type in struct ao_task
  * ao_telemetry: Switch time variables to AO_TICK_TYPE
  * ao_telemetry: Use int16_t types for telemetry packet intervals
  * ao_telemetry: Add casts to reduce -Wconversion warnings
  * ao_tracker: Fix tracker_interval type to match config type (plus -Wconversion)
  * altos/lpc: Add casts to reduce -Wconversion warnings
  * altos/micropeak-v2.0: Add casts to reduce -Wconversion warnings
  * ao_flash_task: Add casts to reduce -Wconversion warnings
  * ao_micropeak.c: Add casts to reduce -Wconversion warnings
  * altos/stm: Add casts to reduce -Wconversion warnings
  * altos/stm32l0: Add casts to reduce -Wconversion warnings
  * altos/stmf0: Add casts to reduce -Wconversion warnings. Use AO_TICK_TYPE
  * altos/telefire: Add cast to AO_LED_CONTINUITY to eliminate -Wconversion warning
  * telefireone-v1.0: Use a boolean value for ao_log_running
  * ao_lco_v2: Use int32_t for temporary box value in step_box
  * ao_lco_v2: Add casts to reduce -Wconversion warnings
  * altos/telemega-v5.0: Add casts to beep values
  * altos: Add -Wconversion
  * altos: Deal with 8-character version numbers
  * altos: Document how delay_done is used in ao_pyro.c
  * Version 1.9.10.4
  * Allow TX power to be limited to 10mW
  * ao-telem: Read from stdin if no filenames
  * telegps-v0.3: Reduce stack size to fit in ram
  * ao-tools/ao-eeprom: Dump converted info for F packets
  * lpc: ADC 5 was busted
  * lpc: Make beeper configurable
  * src: Add easymini-v3.0
  * doc: Document 10mw limit configuration
  * doc: Add release notes for 1.9.11
  * doc: Update copyrights to 2022
  * Version 1.9.11

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 May 2022 21:09:27 -0600

altos (1.9.10-1) unstable; urgency=medium

  [ Keith Packard ]
  * libaltos: Make windows dlls reproducible
  * libaltos: Use original windows printf/scanf
  * Version 1.9.9.1
  * altosdroid: Switch storage to media dir
  * altoslib: Add callback from AltosLog on file open failure
  * altosdroid: Catch log file open failures and show an error dialog
  * doc: Version 1.9.10 notes
  * altos/telemega-v5.0: Add .gitignore
  * Version 1.9.10

  [ Bdale Garbee ]
  * update to latest policy and debhelper versions
  * releasing 1.9.10

 -- Bdale Garbee <bdale@gag.com>  Sun, 10 Oct 2021 21:44:54 -0600

altos (1.9.9-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * capture updates to Releasing from 1.9.8 release
  * update TeleMega bench scripts for v5.0 hardware
  * snapshot TeleMega v4 turnon and test scripts before crafting v5 versions
  * libaltos: don't carry pre-built .dll files in the repo any more
  * releasing 1.9.9

  [ Keith Packard ]
  * altosdroid: Set android version to 30
  * Remind us to update ANDROID_VERSION
  * altos: Fix config upgrade from 1.24 to 1.25
  * altoslib: Parse TeleMega v5.0 eeprom records
  * altos: Measure mmc5983 offset
  * 1.9.9 release notes
  * Version 1.9.9

 -- Bdale Garbee <bdale@gag.com>  Thu, 07 Oct 2021 00:01:59 -0600

altos (1.9.8-1) unstable; urgency=medium

  [ Keith Packard ]
  * altosdroid: Work without GPS available
  * altosuilib: Remove spurious message about libaltos
  * kernel: Widen pyro time values to 32 bits
  * doc: telemini force freq is pin 6, not 7
  * altosdroid: Show altitude as well as height
  * libaltos: Use cross compilers to build libaltos for i686, amd64, aarch64, armel and armhf
  * ao-bringup: Revert EasyMini scripts to 1.0
  * altos: Fixes for GCC 10 (-fno-common is default)
  * ao-test-igniter: Also test ADC voltage for in-range of 1-4 volts
  * ao-bringup: Use ao-test-igniter voltage check feature in pyro tests
  * altos: Add preliminary TeleMega v5.0 bits
  * altos: Add MMC5983 driver
  * altos: Change MMC5893 driver to avoid interrupts
  * libaltos: Add new microchip MAC address to bluetooth map
  * micropeak: Show error message if USB adapter open fails
  * altos: Prepare for picolibc stdio change
  * telemega-v5.0: Add Makefiles
  * Show mag sensor SPI ID
  * altos: Fix telemega v5.0 CS_FLASH pin
  * altos: Record MPU6000 failure but let device boot
  * altos/stm: Use picolibc startup code
  * altos: Add bit-bang i2c driver
  * altos: Get MMC5983 driver working
  * altos/stm: Minor cleanups in ao_arch_funcs.h
  * altos/telemega-v5.0: Fix config for MMC5983
  * altos: Detect CC120X device type
  * altos: Support normalized axes in mpu6000 and mmc5983
  * altos: Allow devices to override default beep
  * altos: Support normalized log
  * altos: Add normalized telemetry support
  * altos: Update telemega-v5.0 config
  * altoslib: Support TeleMega v5.0
  * altosui: Add options for low frequency beeper
  * altos: Fix up HAS_FLIGHT_DEBUG
  * altos: Allow beep tone spacing to be changed
  * altos/telemega-v5.0: Space tones closer together
  * altos: Build TeleMega v5.0 bits
  * Add TeleMega v5.0 firmware
  * altosdroid: Add tilt angle to pad and flight tabs
  * libaltos: Update windows DLLs
  * Bump version to 1.9.7.1
  * altos: Deal with cc1201 limitations
  * altos: All beep-enabled boards have beep config
  * Add test-easymini-v1.0 script
  * altoslib: Document how to add a new product
  * libaltos: Ignore cjnitest files for all targets
  * doc: Note pyro channel time limits on <1.9.8 firmware
  * doc: Add specs for TeleMega v5.0
  * doc: Update for 1.9.8
  * Version 1.9.8

  [ Bdale Garbee ]
  * doc: add mounting hole spacing information to product outlines
  * debian: add --disable-multi-arch to configure
  * update ChangeLog for 1.9.8 release

 -- Keith Packard <keithp@keithp.com>  Mon, 20 Sep 2021 21:30:49 -0600

altos (1.9.7-2) unstable; urgency=medium

  * pull in fix from master branch for gcc-10 compilation, closes: #991800

 -- Bdale Garbee <bdale@gag.com>  Tue, 03 Aug 2021 09:44:09 -0600

altos (1.9.7-1) unstable; urgency=medium

  [ Keith Packard ]
  * Update 1.9.6 release date. Add note to Releasing about date
  * libaltos: Add windows override for EasyTimer USB ID
  * altos: Make accel cal take three axes when present
  * altoslib: Set all 3 axes of accel cal data when present
  * altoslib, altosuilib: Get Idle Monitor working with EasyTimer and EasyMotor
  * altosui: Match against basestations when determining remote
  * altos/easymotor-v2: Increase default flight log size
  * altos/easytimer-v1: Switch from including adxl375 to bmx160
  * altoslib, altosui: Don't show apogee/main for EasyTimer Fire Igniter
  * altos: Don't wait after igniter in manual mode
  * ao-bringup: Delay before testing easymini for 0.25 seconds
  * altoslib: Avoid sending negative accel cal values to flight computer
  * altoslib: Fix accel inversion for TeleMega v4.0
  * altoslib: Delay accel cal value adjustment until data all read
  * Version 1.9.6.1
  * altos: Add 'microtest' -- micropeak load for testing µPusb
  * ao-tools/ao-dump-up: Recognize MicroTest data
  * altoslib: Add all known launch sites and names to map preload
  * micropeak: Use a menu for 'Download' on Mac OS X
  * altosui: Show dialog box if sudo fails on Mac OS X
  * micropeak: Stick docs in Doc dir on Mac OS X
  * altosui: open /Library/AltusMetrum on Mac OS X after install
  * Version 1.9.6.2
  * altosuilib: Show launch sites at all visible locations on map
  * Add Mac OS X 11 support to JavaApplicationStub
  * Update JavaApplicationStub to latest release
  * Add local hacks to JavaApplicationStub
  * JavaApplicationStub hacks for Big Sur tabbing mode
  * Version 1.9.6.4
  * altoslib: Write IMU headers to CSV file when present
  * doc: Fix typography in motortest doc
  * Version 1.9.7
  * doc: Update for 1.9.7
  * altos/telegps-*: Fix log end discovery at startup
  * altos: Simplify discovery of log end position
  * Update 1.9.6 release date. Add note to Releasing about date
  * libaltos: Add windows override for EasyTimer USB ID
  * altos: Make accel cal take three axes when present
  * altoslib: Set all 3 axes of accel cal data when present
  * altoslib, altosuilib: Get Idle Monitor working with EasyTimer and EasyMotor
  * altosui: Match against basestations when determining remote
  * altos/easymotor-v2: Increase default flight log size
  * altos/easytimer-v1: Switch from including adxl375 to bmx160
  * altoslib, altosui: Don't show apogee/main for EasyTimer Fire Igniter
  * altos: Don't wait after igniter in manual mode
  * ao-bringup: Delay before testing easymini for 0.25 seconds
  * altoslib: Avoid sending negative accel cal values to flight computer
  * altoslib: Fix accel inversion for TeleMega v4.0
  * altoslib: Delay accel cal value adjustment until data all read
  * Version 1.9.6.1
  * altos: Add 'microtest' -- micropeak load for testing µPusb
  * ao-tools/ao-dump-up: Recognize MicroTest data
  * altoslib: Add all known launch sites and names to map preload
  * micropeak: Use a menu for 'Download' on Mac OS X
  * altosui: Show dialog box if sudo fails on Mac OS X
  * micropeak: Stick docs in Doc dir on Mac OS X
  * altosui: open /Library/AltusMetrum on Mac OS X after install
  * Version 1.9.6.2
  * altosuilib: Show launch sites at all visible locations on map
  * Add Mac OS X 11 support to JavaApplicationStub
  * Update JavaApplicationStub to latest release
  * Add local hacks to JavaApplicationStub
  * JavaApplicationStub hacks for Big Sur tabbing mode
  * Version 1.9.6.4
  * altoslib: Write IMU headers to CSV file when present
  * doc: Fix typography in motortest doc
  * Version 1.9.7
  * doc: Update for 1.9.7
  * altos/telegps-*: Fix log end discovery at startup
  * altos: Simplify discovery of log end position
  * altosuilib: Zap all flash when upgrading TeleGPS from pre-1.9.7
  * altoslib: Fix accel value flipping for TM v3.0
  * altosdroid: Skip clicks on BT device entries that are too short
  * altosdroid: Safeguard preferences code in case it's called too early
  * altosdroid: Synchronize access to the 'rockets' list for online maps
  * altosdroid: protect USB read/write when connection is null
  * altosdroid: Don't start bluetooth if address is null
  * altoslib: Protect has_monitor_battery from unset product
  * Version 1.9.6.5
  * altosdroid: Revert getResource().getColor to old API
  * altosdroid: Update target API to 29
  * altosdroid: Bump to version 29
  * doc: Update 1.9.7 release notes
  * Version 1.9.7

  [ Bdale Garbee ]
  * TeleLaunch docs use telelaunch.txt, update copyright year, lose "draft"
  * put notes in Releasing about keeping doc/header.inc up to date
  * doc: add documentation on how to re-flash a TeleMini v3 over USB
  * doc: first draft of manual for EasyMotor
  * doc: add a brief note about TeleBT appearing inert until paired
  * doc: make doc be about motor testing in general, not just EasyMotor
  * doc: make doc be about motor testing in general, not just EasyMotor
  * doc: have motortest documents actually get built by default
  * doc: add motortest docs to publish targets
  * docs: minor text tweak in motor testing docs
  * altos: include EasyMotor v2 firmware in upcoming release
  * ao-tools: update ao-flash-stm32f0x to work with openocd in Debian unstable
  * ao-bringup: add tools for flash/cal/test of EasyMotor v2
  * ao-bringup: fix easymotor script to use .bin for dfu-util
  * TeleLaunch docs use telelaunch.txt, update copyright year, lose "draft"
  * put notes in Releasing about keeping doc/header.inc up to date
  * doc: add documentation on how to re-flash a TeleMini v3 over USB
  * doc: first draft of manual for EasyMotor
  * doc: add a brief note about TeleBT appearing inert until paired
  * doc: make doc be about motor testing in general, not just EasyMotor
  * doc: make doc be about motor testing in general, not just EasyMotor
  * doc: have motortest documents actually get built by default
  * doc: add motortest docs to publish targets
  * docs: minor text tweak in motor testing docs
  * altos: include EasyMotor v2 firmware in upcoming release
  * ao-tools: update ao-flash-stm32f0x to work with openocd in Debian unstable
  * ao-bringup: add tools for flash/cal/test of EasyMotor v2
  * ao-bringup: fix easymotor script to use .bin for dfu-util
  * doc: update copyright year assertions
  * update ChangeLog for 1.9.7 release

 -- Bdale Garbee <bdale@gag.com>  Tue, 08 Jun 2021 23:10:20 -0600

altos (1.9.6-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * Releasing: updated with changes from 1.9.5 release
  * first cut at EasyMotor v2 .. not compiling yet
  * easymotor: override .gitignore to store Makefiles
  * recover easymotor-v2/flash-loader/ao_pins.h from backups
  * update configure.ac for 1.9.6 release
  * releaseing 1.9.6

  [ Keith Packard ]
  * altos: Remove linker map files during 'make clean'
  * altos: Fix flash loader map file names
  * altosui: Include telelco and telefireeight firmware in FAT builds
  * libaltos: Avoid using strcmp and strchr on windows
  * altos/drivers: Add ao_adxl375_accel_to_sample macro
  * altos: Allow use of ADXL375 as IMU
  * altos: Add EasyMotor logging support
  * altos: Support accel-only IMU configurations
  * altos/stmf0: Add spi format configuration options
  * altos/easymotor-v2: Add .gitignore
  * altos/easymotor-v2: Get easy motor building
  * altos/easymotor-v2: Use same init order as easymini
  * altos/easymotor-v2: Fix beeper config
  * altos/stmf0: Fixup for SPI mode support
  * altos/easymotor-v2: ADXL375 is upside-down compared with other boards
  * altos/easymotor-v2: Beep out 'pad mode' repeatedly
  * altos: Let ao_data.c be used by ao_flight_test
  * altos/test: Build ao_flight_test_motor
  * altos/easymotor-v2: Add 'through' axis definition
  * altos: Change adxl375 self test parameters
  * altos: De-bias height/speed data while on pad
  * altos: Log motor pressure and battery voltage for EasyMotor
  * altos/test: Clean up easy motor test jig
  * altos: Support negative decimal values on command line
  * altos: Add motor pressure calibration data to easy motor log
  * altos: Reset 3d-accel and motor pressure sums each ground interval
  * altoslib: Initialize gyro offset values to MISSING
  * altoslib: Add conversion for motor pressure sensor
  * altoslib: Add 'motor_pressure' data value
  * altosuilib: Graph motor pressure
  * altoslib: Add EasyMotor EEPROM support
  * altoslib: Report metric pressure in kPa instead of Pa
  * altoslib: use motor pressure calibration data for EasyMotor
  * altoslib: Correct ADXL counts_per_g
  * altoslib: Easy Motor v2 x axis is inverted
  * altoslib: Limit .csv file output to valid fields for EasyMotor
  * altoslib: Clip accelerometer-based speed to >= 0
  * altoslib: Add defines for EasyMotor
  * altoslib: Don't pass along GPS information when the GPS device is busted
  * doc: 1.9.6 release notes
  * libaltos: Add pre-built windows dll binaries
  * doc: Mention BMX-160 self-test fix in 1.9.6 release notes

 -- Bdale Garbee <bdale@gag.com>  Thu, 22 Oct 2020 16:20:59 -0600

altos (1.9.5-1) unstable; urgency=medium

  [ Keith Packard ]
  * altosui: Spurious ; in altos-windows.nsi.in kept out TM v3.0 ihx
  * Add support for TLS if needed
  * Releasing: save .map files too
  * altos: Use state transitions to directly drive igniters
  * altos: Add 'booster' mode for dual-deploy igniters
  * altos/stm: Increase MISO DMA priority to very high
  * altos: Protect shared storage_data with mutex
  * altos: Support flash parts > 8MB
  * altos: Use new ao_spi_speed inline to set SPI speeds using spec'd frequencies
  * altosui: Re-set pad orientation labels after product name is set
  * altos/stmf0, stm32f0: Call ao_boot_chain to start application
  * altos/stm: Fix stack validation code
  * altos: Fix a bunch of time variables to be AO_TICK_TYPE
  * altos: Add initial stm32l0 support
  * altos: Switch micropeak v2.0 to stm32l0
  * altos: Declare ao_delay_until API in ao.h
  * altos: Move empty ao_mutex_get/put to ao_notask.h
  * altos: Add ao_delay_until to ao_notask
  * remove ao_delay_until from ao.h
  * altos/ao_storage: allow erased byte value to be set by application
  * altos/ao_storage: Allow apps to #define storage parameters
  * altos: Micropeak v2.0 doesn't have a flash loader anymore
  * altos/stm32l0: More DMA fixes
  * altos/stm32l0: Some device addrs were wrong
  * altos/stm32l0: Get SPI driver working
  * altos/stm32l0: Get exti working
  * altos/stm32l0: Remove some unused code in USART driver
  * altos/stm32l0: Remove some unused code in ao_timer.c
  * altos/stm32l0: Add adc and flash drivers
  * altos/micropeak-v2.0: Finish hardware bring-up
  * altos/stm32l0: Provide ao_spi_speed inline as per new clocking API
  * altos/stm32l0: Add LPUART driver
  * altos: add noreturn attribute to ao_panic
  * ao-tools: Add TeleGPS log parsing to ao-eeprom
  * altos: Remove ao_led_toggle API from general code
  * altos: Remove support for !HAS_TASK_QUEUE
  * altos/stm32l0: Big update in functionality
  * altos: Add MicroPeak v2.0 support to ao_log_micro
  * altos/micropeak-v2.0: Functionally complete.
  * altos/mpusb-v3.0: Make this build again
  * micropeak: Check for empty data when fetching log
  * micropeak: Fix top-level window building
  * micropeak: Add support for MicroPeak v2.0
  * altos: Don't report inhibited pyro channels as fired
  * altos: Allow multiple manual firing of main/drogue channels
  * altoslib: Don't fetch config data for every idle status
  * altoslib: Flush output when disabling remote
  * altoslib: Improve configuration performance over remote link
  * altosui: Improve configuration save feedback
  * doc: Fix spelling error in updating-firmware section.
  * altoslib: Deal with reflashing EasyMega boards with ancient firmware
  * altosuilib: Allow config to be missing in rom config dialog
  * libaltos: Map generic windows device names to actual names
  * altoslib: Set default logging directory to $HOME/AltusMetrum
  * macosx: Hack JavaApplicationStub to set freetype properties
  * windows: Point windows users at adoptopenjdk.net by default
  * altosuilib: Make dialogs mostly scrollable
  * macosx: Update macosx install script
  * libaltos: Update to support Mac OS X 10.15 (catalina)
  * altoslib: Print more helpful debug messages when checking rom version
  * doc: Add 1.9.5 release notes
  * altosdroid: Copy generated .apks to bin directory
  * altosui: Work around lack of actual USB product names on Windows
  * Version 1.9.5

  [ Bdale Garbee ]
  * ao-bringup: ensure TeleMega turnon scripts are using the right test versions
  * doc: EasyMotor and EasyTimer have the same mounting geometry as EasyMini
  * fix broken TeleBT turnon script
  * docs: fix horrible typo in TeleLaunch configuration section
  * docs: add explicit admonition about avoiding 'c f' when configuring TeleLaunch
  * debian: stop delivering gdm and slim theme materials, since we don't use them
  * releasing 1.9.5

 -- Bdale Garbee <bdale@gag.com>  Wed, 30 Sep 2020 00:19:56 -0600

altos (1.9.4-2) unstable; urgency=medium

  * eliminate old explicit run-time dep on libjson-c4, closes: #966562

 -- Bdale Garbee <bdale@gag.com>  Wed, 05 Aug 2020 11:27:40 -0600

altos (1.9.4-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * ao-bringup: first cut at turn-on scripts for EasyTimer v1
  * releasing 1.9.4

  [ Keith Packard ]
  * Add telemetrum v3.0 firmware to release
  * altos: Reduce flash temp buffer to make space for Em v1.0 ISR stack
  * altos: Make AO_STORAGE_TEST use a separate buffer
  * doc: Doc updates for 1.9.4
  * Version 1.9.4

 -- Bdale Garbee <bdale@gag.com>  Thu, 02 Jul 2020 20:22:56 -0600

altos (1.9.3-1) unstable; urgency=medium

  [ Keith Packard ]
  * altos: add APRS 'offset' value to set APRS transmision time
  * altoslib, altosui, telegps: Add configuration support for APRS offset
  * doc: Document APRS offset configuration value
  * doc: start release notes for 1.9.3
  * map-server: Create Manifest.txt at build time
  * altosui: Report baro ground alt for 'Pad Altitude' when GPS missing
  * Start release notes for 1.9.4
  * ao-tools: Use array indexing instead of addition to make gcc-10 happy
  * ao-tools: Declare ao_verbose as extern in shared header.
  * debian: Switch debian dependency to picolibc
  * altos/stm: Make ao_eeprom_total a #define instead of a const variable
  * Create map file for all programs
  * altos/lpc: Add explicit defines for all register groups
  * ignore .map files
  * altos: Move from newlib-nano to picolibc
  * Mark stm_interrupt_vector as const so it is READONLY
  * ao-tools/ao-usbload: stubs in man page for missing options
  * altos: Allow MPU9250 SPI speed to be set by application
  * altos: Allow accel-only flight code
  * altos: Allow igniter status beeping with only 'extra' channels
  * altos: Allow BMX160 to be used as primary accel
  * altos: Allow flight support without logging
  * altos: Build easytimer-v1 by default
  * altos: Fix ao_ignite.c to work without HAS_IGNITE
  * easytimer-v1: Enable pyro commands
  * altos: Initialize pyro code for easytimer-v1
  * altoslib: Remember flight list in AltosConfigData
  * altosui: Adjust max log setting for storage block size
  * altos: Move ao_storage_erase to shared code. Add len
  * altos: Round selected log size down to ao_storage_block multiple
  * altos: Handle flight_log_max not being multiple of ao_storage_block
  * altos: Leave accel data in ring raw; swap for orientation on fetch
  * Add EasyTimer configuration support
  * altoslib: Add EasyTimer idle monitor support
  * Add some release note notes
  * altoslib: Fix easytimer voltage conversions
  * altosui: Remove six-axis pad orientation for easy timer
  * altos: Don't include baro-specific config values for easytimer
  * altos: Fix HAS_FLIGHT_DEBUG for easytimer
  * doc: Avoid mis-interpretation of '+' in device wiring tables
  * doc: Update for EasyTimer
  * Check for picolibc when testing arm compilers
  * Add EasyTimer firmware to packages and Releasing
  * map-server: Manifest files are generated now
  * altos/test: Ignore ao_flight_test_mini binary
  * altos: Remove newlib-nano defines from Makedefs.in
  * altos: Fix printf format mis-matches
  * altos: Leave floating printf enabled on m3 devices
  * Update 1.9.3 release notes
  * doc: Update doc for 1.9.3
  * Version 1.9.3

  [ Bdale Garbee ]
  * point turnon_telemetrum_v2 to correct test script for v2.0
  * altos: add easytimer-v1 source directory
  * releasing 1.9.3

 -- Bdale Garbee <bdale@gag.com>  Mon, 15 Jun 2020 20:36:15 -0600

altos (1.9.2-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * Releasing: capture notes from 1.9.1 release
  * Releasing: add TeleMetrum v3.0 firmware to production list
  * doc: update copyright year in footers, note need to check this doc/RELNOTEs
  * update info on using separate pyro batteries to encourage including a switch
  * update TeleMega production scripts for v4.0
  * include TeleMega v4 in list of firmware included in fat build and LLC repo
  * update copyright assertion in TeleLaunch manual
  * update ChangeLog for release 1.9.2

  [ Keith Packard ]
  * altos: Initial bits for TeleMega v4.0
  * altos: Build TeleMega v4.0 bits
  * altos: Use AO_TICK_TYPE/AO_TICK_SIGNED for lco/pad code
  * altos: Make debug telemini firmware a bit easier to build
  * altos: TeleMini beeper is on Tim2 CH4, not Tim3 CH4
  * altos: Disable ao_btm debug. Avoids breaking 's' command
  * altos: Always start application if boot pin isn't in use
  * Generate altosdroid/app/build.gradle at configure time
  * Force using opensdk-8 to build altosdroid
  * Bump altosdroid version to 20, always build release apk
  * Use 'must' instead of 'should' in reference to switch for pyro battery
  * altosdroid: Switch to NotificationCompat
  * altosdroid: Request fine location permission if not already granted
  * altosdroid: Check if the telem service is running when bluetooth gets enabled
  * Bump version to build a new android app -- 1.9.1c
  * altosdroid: Add text size selection
  * Bump version to build a new android app (23)
  * altosdroid: Use custom dialog themes for all dialogs
  * altosdroid: Fix a pile of compile warnings
  * altosdroid: Change tracker selection dialog
  * altosdroid: Ignore 'build.gradle', which is built from a .in file
  * altosdroid: Add helper 'makefile'
  * altosui: Set idle mode frequency before starting link
  * altosdroid: When the user switches frequency, look for something there
  * Bump version to build a new android app (25)
  * altosdroid: Use select tracker dialog when deleting a tracker
  * altosdroid: Make frequency changes during idle mode work
  * altosdroid: Change layout of idle mode dialog a bit
  * altoslib: Reset consecutive GPS count when GPS bad
  * altos: Fix wiring mistakes for TeleMega v4.0
  * altos: Add new telemetry packet format for TeleMega v4
  * altos: Create new log format for TeleMega v4
  * altoslib: Add 'gauss' units for magnetic field strength
  * altosuilib: Add fourth column to info table
  * altoslib: Store IMU accel ground data in converted values
  * altoslib: Add support for TeleMega v4
  * altoslib: Move 'state_name' API to AltosCalData
  * altoslib: Report whether GPS data contains new location/sat info
  * altoslib: Re-initialize cal data for eeprom record set
  * altoslib: Report raw baro height instead of kalman filtered value
  * altosuilib: Put units on GPS altitude and height in info table
  * altoslib: Pass all flight records while reading telem file
  * doc: updates for 1.9.2
  * altosui: Add TeleMega v4.0 firmware to altosui packaged bits
  * altosuilib: Eliminate a couple java compiler warnings
  * Bump version for new android upload
  * altos: Log BMX160 data when present
  * altos: Copy BMX160 data to data ring
  * altos: Get BMX160 initialized correctly
  * altoslib: Remove ADXL375 debug noise
  * ao-tools: Add TeleMega v4.0 to ao-eeprom
  * altos: Init BMX160 more carefully
  * altoslib: Correct IMU axes for telemetry data
  * ao-tools: Handle TeleMega v4.0 telemetry in ao-telem
  * altos: Adjust comment about how the BMX160 is oriented
  * altos/altoslib: BMX160 Y axis gyro direction is opposite from MPU
  * altoslib: Fix Tmega v4 eeprom parsing
  * libaltos: Delay freeing serial device until not busy
  * altoslib: Correct sign of telemega v4 pitch
  * altoslib: Remove hard-coded accel scale for mega eeprom
  * altosuilib, altoslib: Add azimuth and compass to reports
  * altos/telemega-4.0: Fix signs of IMU pitch and mag across
  * altos/bmx160: Compute µT in bmx160 driver using trim data
  * altoslib: BMX160 driver now returns µT values for mag sensor
  * Bump java lib versions in preparation for 1.9.2
  * Set doc version and date from package version and release date
  * Bump version to 1.9.2, android 27
  * Bump java lib versions in preparation for 1.9.2
  * altoslib: Add TeleMega-v4 adxl375 config to AltosConfigData
  * Bump version to 1.9.2, android 27
  * Set doc version and date from package version and release date
  * Bump java lib versions in preparation for 1.9.2
  * Bump version to 1.9.2, android 27
  * altoslib: Remove debug printf from AltosIMU.java
  * libaltos: Create altos_pause_one_second API
  * Bump java lib versions in preparation for 1.9.2
  * Bump version to 1.9.2, android 27

 -- Bdale Garbee <bdale@gag.com>  Tue, 25 Feb 2020 23:58:43 -0700

altos (1.9.1-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * updates to Releasing based on 1.9 release process learnings
  * doc: add flash-force instructions for TeleBT v3.0
  * doc: add force-bootloader instructions for TeleGPS v1 and v2
  * altos: add support for telefireeight-v2.0
  * altos: add telefireeight-v2.0 to src/Makefile and to Releasing
  * Makefiles, too
  * altos: add initial support for TeleFireOne v2.0
  * altos: ADS124S0X driver compiles with initialization code maybe completed
  * altos: first cut of code for telefireone-v2.0
  * doc: new TeleLaunch system manual
  * doc: actually add the telelaunch files
  * altos: first cut at ADS124S0X driver interrupt handling
  * altos: fix ads124s0x data structure
  * altos: ADS124S0X driver compiles now
  * altos: snapshot - working on ads124x0x driver
  * altos: ads124s0x successfully reading data
  * add an explicit reference to Poron open-cell foam in Appendix A
  * ao-bringup: add a turnon_telefireeight script
  * TeleFireEight has simple green LEDs for continuity
  * doc: add more text to TeleLaunch manual, be less sloppy with dBm assertions
  * doc: add some text to TeleLaunch troubleshooting about SAFE/ARM on TeleFire
  * doc: add some text about cross-bank drag race safe/arm to TeleLaunch manual
  * altosui: add monitor idle support for TeleMetrum v3
  * altosui: add TeleMetrum v3 to delivered firmware list
  * altosuilib: TeleMetrum v3, like v2, doesn't use flash for config
  * ao-bringup: add production test support for TeleMetrum v3.0
  * start the process of releasing 1.9.1
  * update release date in all documents
  * update ChangeLog for 1.9.1 release

  [ Keith Packard ]
  * doc: Update all docs to 1.9. Note this in doc/RELNOTES
  * ao-tools: Add lots of compiler warning flags to ao-tools build
  * ao-tools: Fix warnings in ao-tools
  * ao-tools/ao-load: Return status from 'rewrite'
  * ao-tools/ao-cal-accel: Initialize byte count var 'l'
  * ao-tools/ao-telem: Print out 'log_max' value. Clean up compiler warnings.
  * Remove ao-chaosread
  * doc: Fix typo in TeleBT v3 flash-force instructions
  * altos: Delete unused config bits for telefireeight-v2.0. Add Makefile
  * altos/telefireeight-v2.0: Add flash loader Makefile
  * Use strip-nondeterminism to fix JAR timestamps
  * altos: Fix spelling of stm_dma_ch4_5_6_isr
  * altos/stm: Note that ao_i2c_recv_dma_isr isn't actually used
  * altos: Mark local functions 'static'
  * altos: Declare all public functions in header files
  * altos: Add 'void' to function declarations with no params.
  * altos: Stop doing pointer arith on void *
  * altos: Remove unused ao_adc_get from ao_adc_stm.c
  * altos: Declare task stack as union of uint8_t and uint32_t
  * altos: Add a pile more compiler warnings
  * stm: Expose LCD font API in ao_lcd_font.h
  * ao-bringup: chaosread is no longer part of altos
  * ao-tools/ao-dump-up: Document --wait flag
  * altos/stm-demo: Make this build again after various API and CFLAGS changes
  * altos: Add -Wshadow to CFLAGS
  * altos/attiny: Mark 'mode' param to ao_exti_setup_port as used
  * altos: Move common build definitions to src/Makefile.defs
  * altos: Remove AO_LOG_STATE from ao_log_telefiretwo
  * altos/telefireone-v1.0: Doesn't have a beeper
  * altos/telefireone-v1.0: Clean up Makefile
  * altos/telefireone-v1.0: Turn off USE_INTERNAL_FLASH
  * altos/telefireone-v1.0: Set AO_LOG_FORMAT
  * altos/telefireone-v1.0: Set various ADC values
  * altos/telefireone-v1.0: Track ao_led_init API change
  * altos: Build telefireone-v1.0 by default
  * altos/telefireone-v2.0: Remove build of ao_product.h from Makefile
  * altos: Fix ISR declarations to make them non-weak
  * altos: Allow applications to override newlib printf selection
  * altos: Fix several mis-specified time types
  * altos: Change default time type to 32-bits
  * altos: add ao_time_ns API
  * doc: A few minor edits to telelaunch docs
  * altos/drivers/ao_led.c: Declare LED port as void * to allow any SoC to use this code
  * altos: ARM ABI requires 8-byte aligned stack
  * altos/stm32f4: Add -mfloat-abi=hard compile option
  * altos/stm32f4: Need to read-back register after clock enable
  * altos/stm32f4: Wrong value for CK48MSEL_PLL_Q
  * altos/stm32f4: Working on USB
  * altos/stm32f4-disco: Remove scheme
  * doc: Document LEDs on TeleGPS devices
  * doc: Make sure all 'code' examples are in DejaVu Sans Mono
  * altos: Use ao_data_accel_invert when changing orientation value
  * altoslib: Fetch correct mag along data for EasyMega v2
  * altoslib: Correct monitor idle IMU data for EasyMega v2
  * altos/lambdakey-v1.0: Fix obvious build errors
  * altos: Work on MAX6691 driver
  * altos: get ao_max6691 driver working
  * altos/telefireone-v2.0: Definitions needed for MAX6691 driver
  * altos: Add MAX6691 and ADS131A0X data to ring if present
  * altos: Change MAX6691 driver to run its own thread
  * altos/telefireone-v2.0: Include MAX6691 data in ring
  * altos: Add preliminary TeleStatic v3.0 code
  * Add TeleStatic-v3.0 makefiles
  * altos: Directly compute radio tuning values from frequency
  * doc: Describe what sunlight does to MicroPeak and how to protect it
  * altosui: Ship EasyMini v2.0 firwmare
  * doc: Say 'thousands of feet' instead of '3000-4000 feet'
  * altos: Support ao_ms5607_dump when no ms5607 task
  * altos/micropeak-v2.0: Don't run flight code when plugged in
  * altos/micropeak-v2.0: Wait for the power supply to stabilize before measuring
  * altos/micropeak-v2.0: Fix LED blinking sequence at power-on
  * altos/micropeak-v2.0: Go into standby mode after landing
  * altoslib: Always create an ordered record set for eeprom files
  * altosui/telegps: Display error message when attempting to graph unknown files
  * altos/micropeak-v2.0: expose log and config commands over USB
  * altoslib: Add support for MicroPeak v2 eeprom format
  * altos: Don't dump MS5607 eeprom in 'B' command
  * altos/micropeak-v2: Erase log space at end of BOOST_DELAY
  * altos/micropeak-v2: Correct AO_LOG_ID value
  * altos/micropeak-v2: Update .gitignore
  * ao-tools: Change ao-eeprom into eeprom analysis tool
  * altos: Allow ms5607 driver to either set ao_sensor_errors or panic
  * ao-tools/ao-telem: Fix man page and usage to match code
  * ao-tools/lib: Add atmosphere model
  * ao-tools/ao-eeprom: Add altitude data for baro values
  * altosuilib: Don't crash when flashing an unknown device
  * icon: Add altosdroid-specific icon
  * altos/stmf0: Leave power interface disabled until needed
  * altos/stmf0: Add 'ao_serial_shutdown'
  * altos/stmf0: Allow SPI to be powered down when idle if desired
  * altos/micropeak-v2.0: Reduce power usage
  * altos: Record all failed sensors and report status at power up
  * ao-tools/ao-eeprom: Add support for TeleFireTwo
  * altoslib: Stop using deprecated Java functionality
  * Use discovered java path for compiler and jni include files
  * altosdroid: Hack up build to 'work' for now
  * altosui: Fix path to easymini-v2.0 ihx file
  * altosui: Make it possible to disable APRS
  * altos: Use fast timer for buttons instead of edge-triggered ISR
  * debian: Add libjson-c4 dependency
  * Add new altosdroid icon
  * icon: Ignore generated LED images
  * Add .gitignore files for new projects
  * libaltos: gitignore btletest
  * altosui: Display data for point nearest cursor in map view
  * altosui: Add speed and gps height to map display data
  * drivers: Use 'main_value' instead of 'main'
  * altos: Replace ao_xmem functions with direct mem calls
  * altos: Add bmx160 driver
  * altos: Integrate BMX160 into data code
  * altos: Add EasyMega v3.0 bits (not setup correctly yet)
  * altos: Add missing build files for avr/attiny devices
  * altosdroid: Update Makefile.am to run gradle-based build
  * altos: Switch all main() to return 'int'
  * altos: Rename 'log' in ao_log_fireone to 'ao_fireone_data'
  * doc: Describe new 'show nearest values' in map view
  * doc: Update for 1.9.1
  * altoslib: Don't crash when map flight data is missing
  * telegps: Get --graph mode working after recent changes
  * altos/telefire: Don't arm the box if the local arm switch is off
  * altos/test: Get test code working again after restructuring
  * altosdroid: Make altosdroid code more resilient to weird androidisms
  * altoslib: Don't bother adding FREETTS to CLASSPATH
  * altos: Relabel packet receive status line for TeleFire boxes
  * altos: Improve labeling of telefire receive packet information
  * altoslib: Fix setting of CLASSPATH
  * altoslib: Fix original telemetry sensor packet parsing
  * altos: TeleMetrum v3.0 has ADXL375 and Max-8Q
  * altoslib: Set up adxl375 for TM v3.0 in idle mode
  * altos: Send "metrum" telemetry packets for TeleMetrum v3.0 boards
  * ao-telem: Show all 24 bits of GPS altitude data
  * doc: Mention TeleMetrum v3.0 in release notes for 1.9.1
  * doc: Update docs to reference TeleMetrum v3 where appropriate
  * altoslib: Linker script changed -> the USB desc is two bytes off
  * altosuilib: Show the recovered product name in the Configure Rom dialog
  * altosuilib: Wait for Windows to get ready with new device
  * Release note about self-flashing on windows waiting for devices

  [ Mike Beattie ]
  * Remove ant build files
  * Move java source, and resources to new paths for gradle
  * Update files that reference new paths
  * Add gradle build files
  * buildinfo data comes from Makedefs now, not Version
  * Clean up duplication in AndroidManifest.xml.in
  * Remove versioning data from AndroidManifest.xml.in
  * Add FOREGROUND_SERVICE permission which is now required
  * Indentation cleanup
  * Commented out duplicate strings
  * Import cleanup
  * Convert to AndroidX from support_v4
  * Update persistent notification in TelemetryService
  * Update Google Maps API usage.
  * Update app to use Material Design Light theme

 -- Bdale Garbee <bdale@gag.com>  Thu, 05 Dec 2019 22:45:45 -0700

altos (1.9-3) unstable; urgency=medium

  * cherry-pick commit that makes builds reproducible

 -- Bdale Garbee <bdale@gag.com>  Sun, 03 Feb 2019 23:02:33 -0700

altos (1.9-2) unstable; urgency=medium

  * Revert "elide pdf files from delivered docs until ruby-asciidoctor-pdf escapes NEW"
  * add ruby-asciidoctor-pdf to build deps
  * cherry-pick fix for ao-cal-accel, quilt-style
  * cherry-pick patch that fixes doc versions, quilt-style

 -- Bdale Garbee <bdale@gag.com>  Fri, 04 Jan 2019 14:59:55 -0700

altos (1.9-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * capture changes to Releasing discovered during 1.8.7 release
  * update turnon_telebt to use new approach for saving cal value on TeleBT
  * doc: add bootloader force instructions for TeleBT v4.0
  * altos: first cut at easymega v2.0 support .. nothing working yet
  * altos: remove teleterra-v0.1, also an ancient cc1111 project
  * altos: remove telepyro-v0.1 support, which was never completed anyway
  * altos: remove megadongle-v0.1 support, never went beyond prototype
  * altos: remove teledongle-v1.8 support (what was that, anyway?!?)
  * altos: remove telescience support
  * altos: remove usbtrng support (chaoskey prototypes)
  * altoslib: fix computation of TeleGPS battery voltage
  * update build depends to reflect move to asciidoctor
  * eliminate spurious build dependencies now that we're using asciidoctor
  * update easymega turn-on script for v2.0
  * ao-bringup: get turnon_easymega working for v2.0
  * changelog for 1.9 release
  * update changelog for Debian build
  * use ChangeLog from branch-1.9 in unmolested form
  * need to run autoreconf before calling dh_auto_configure
  * elide pdf files from delivered docs until ruby-asciidoctor-pdf escapes NEW
  * update changelog for Debian build
  * update build dependencies to include newlib-nano, elide cc1111
  * fix dep5 copyright syntax
  * add lintian overrides

  [ Keith Packard ]
  * altosdroid: Bump version to 18 for 1.8.7
  * altos/stm: Make flash loader work with either 8MHz or 16MHz xtal
  * altos: use %lu for APRS altitude in sprintf
  * altos: Remove cc1111 products
  * altos: Switch to newlib-nano for libc on arm
  * Remove pdclib
  * altos: Remove *_TO_DATA macros
  * altos: Remove 8051 address space specifiers
  * altos: Make cmd number parsing functions return value
  * altos: Use stdbool true/false instead of TRUE/FALSE
  * altos: Allow application-specific prompts for ao_cmd_readline
  * altos: Delete random 8051 ISR declarations
  * altos: Remove 8051-ism from ao_usb.h
  * altos/stm32f4: Start adding support for STM32F413
  * altos/stm32f4: Add STM32F413 disco board support
  * altos/stm32f4: Fix clock configuration
  * altos: Eliminate 'pin' field from GPIO functions
  * altos: Add generic LED driver.
  * altos/stm32f4-disco: Add .gitignore
  * altos/stm32f4: Align stack to 8 bytes
  * altos/stm32f4: Add usart driver for usart6
  * altos/stm32f4: Use full printf/scanf (including floats)
  * altos/stm32f4: Place ARM.exidx sections after .text
  * altos/stm32f4-disco: Hook up serial console. Add scheme
  * altos: Clean up AO_ROMCONFIG bits
  * altos/stm32f4: Add more stm32f413 definitions and support code
  * altos/stm32f4: Add external interrupt bits
  * altos/stm32f4: Add stm32f413 USART support
  * altos/stm32f4: Add start of stm32f413 USB support
  * altos/stm32f4-disco: Start hooking up stm32f413 USB for the disco board
  * Bump version to 1.8.7.1
  * Remove .gitmodules
  * altos: Remove pdclib bits from Makefile
  * altos/drivers: Use stdbool in ao_ms5607.c
  * altos: Create ao_data_fill shared function
  * altos/stm: Make beeper driver support all possible tim234 configs
  * altos/stm: Support SPI modes other than 0
  * altos: Add ADXL375 driver [v2]
  * altos/easymega-v2.0: Change binary to easymega-v2.0 instead of easymega-v1.0
  * altos/easymega-v2.0: Add adxl375, replace mpu6000 with 9250 [v2]
  * altos: Add EasyMega v2.0 to default build
  * altoslib: Add ADXL375 support and EasyMega v2.0 support
  * altosui: Add EasyMega v2.0 firmware to release
  * altos/adxl375: Clean up initialization, shortening self test period
  * altoslib: Add support for TeleGPS v2
  * altoslib: Add support for EasyMega-v2
  * altos/easymega-v2.0: Handle different mpu9250 orientation
  * altoslib: When flashing hardware, pull USB data from device if needed
  * Add keywords to .desktop files
  * ao-tools: Spelling fixes in a couple of man pages
  * Don't force CFLAGS from top level
  * Generate LED icons on the fly. Include SVG versions.
  * debian: Add cairo-5c as build dependency
  * debian: Clean trailing whitespace in changelog
  * debian: Switch to machine-readable copyright format
  * debian: use dh_auto_configure instead of open-coding configuration
  * doc: Switch to asciidoctor to format docs
  * Remove cc1111 products from 'fat_altos' list, which is used for keithp-fat
  * doc: Remove asciidoc related files
  * doc: Use icons for admonitions
  * altos: Make HAS_ACCEL_DEBUG build again
  * altos: Don't validate ADXL375 self test for maximum value
  * altoslib: Remove spurious debug printf in AltosCalData
  * Add shipping products to fat_altos target, note that in Releasing
  * doc: Update doc/RELNOTES to adapt to asciidoctor change
  * doc: Add EasyMega v2.0 specs
  * doc: Set doc version to 1.9
  * doc: Add 1.9 release notes
  * Change Releasing to reflect asciidoctor switch
  * Update to version 1.9
  * doc: Skip .pdf generation when asciidoctor-pdf is missing

 -- Bdale Garbee <bdale@gag.com>  Wed, 02 Jan 2019 23:42:19 -0700

altos (1.8.7-2) unstable; urgency=medium

  * elide map-server from set of directories built and installed by
    default.  Eventually, we'll refactor to put that in a new binary
    package...

 -- Bdale Garbee <bdale@gag.com>  Tue, 09 Oct 2018 09:55:40 -0600

altos (1.8.7-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * capture updates to Releasing from 1.8.6 release process
  * altos: don't build fox1ihu by default
  * altoslib: update launch-sites.txt location to new home at maps.altusmetrum.org
  * add new script that uses openocd to reset an LPC target
  * update debian/rules to reflect configuration changes needed for 1.8.7
  * doc: correct specs for TeleMega v3.0, which still uses the MMA6555
  * releasing 1.8.7
  * update changelog for Debian build
  * patches merged upstream in 1.8.7 release
  * we need graphviz as a build-dep for 1.8.7
  * releasing 1.8.7

  [ Keith Packard ]
  * Bump version to 1.8.6.1
  * Include TeleMega v3.0 firmware with releases
  * Bump java lib versions to 13
  * altos: Remove spurious ao_mma655x_spi_index variable
  * altos: Remove spurious 'const' from ao_state_names
  * altos: Allow timer interrupt without needing tick count
  * altos/lpc: Fix stdio wakeup on serial IRQ
  * altos/stmf0: Stop using 'stdin' name as local variable
  * altos: Switch global 'log' to 'ao_log_data'
  * altosuilib: Add 'equals' method to AltosDevice
  * altosuilib: Poll for devices while Select Device dialog is displayed
  * altosuilib: Show a more useful message when the flash target device is unknown
  * altosuilib: Don't show radio parameter when reflashing radioless devices
  * altoslib: Use common constants for flash action messages
  * altosuilib: Include device path in equals test of AltosUSBDevice
  * altosuilib: Provide dialog while waiting for flash target to re-appear
  * altoslib: Reduce debug printf spamming during flashing operation
  * altos/drivers: Shrink ao_ms5607.c code to fit on micropeak still
  * doc: Don't accidentally create zero-length PDF files
  * micropeak: Add MicroUSB 'equals' method
  * ao-tools/ao-cal-freq: Add --nosave and --output options. Check save results.
  * altos: sdcc doesn't have 'false' and 'true'.
  * altosui: Fetch RF calibration value for TBT v4.0 units from web
  * ao-bringup: Add 'fix-telebt' to reflash TeleBT v4.0 with correct rf cal
  * altoslib: Fix gyro headings in CSV files
  * altoslib: Add missing AltosUnitInfo files
  * doc: Describe Packet Link usage and selecting RF param defaults for TeleMini
  * doc: Describe Packet Link mode in the initial usage section
  * altos: Force telemetry rate to 38400 when ao_force_freq is set
  * doc: Update for 1.8.7
  * doc: Add check for new hardware in specs.inc
  * macosx: Ship install-macosx script with all apps.
  * doc: Use RELEASE_DATE to set PDF timestamps using faketime
  * debian: build depend on faketime
  * Add map-loading documentation
  * map-server: Add maps proxy server
  * altos-map: Fix altos-map HTTP syntax
  * altos-map: Install .jar file for altos-map
  * altos-mapd: Use command line to pass map directory in
  * doc: Make use of 'faketime' configurable with configure.ac. Default to 'no'
  * altoslib: Allow launch site URL to be overridden at runtime
  * altoslib: Switch to maps.altusmetrum.org when no google map key is available
  * altos-mapd: Add geo-fencing for map requests. Add port and key arguments
  * altos-map: Retry connection to cache service
  * altos-mapd: remove debug printf
  * altos-mapd: Clean up log messages
  * altos-mapd: Make cache service listen queue longer
  * altos-mapd: Install altosmapd.jar file
  * altoslib: Use https for launch-sites.txt
  * altoslib: Change map loading to lat=&lon= from center=
  * altosdroid: Fix offline map messages to match new meanings
  * altoslib: Retry map connections 10 times on network failure
  * altosuilib: Fix offline map messages to match new meanings
  * altos-map: Support version query from application
  * altos-mapd: Install systemd service file and defaults file
  * altosdroid: Set offline map scale to 1
  * altosdroid: Restore google maps key setting
  * map-server: Implement altos-map in C
  * altosuilib: Remove GrabNDrag.java
  * altosui/altosdroid: Disable offline map type selections
  * altosuilib: InputEvent.getModifiers is deprecated, use getModifiersEx
  * altos-mapd: Handle clients failing to send valid JSON
  * debian: Add libjansson-dev build depend
  * altos-map: Switch from json FD ops to json FILE ops
  * altos-mapd: Check nearest portion of tile to launch site
  * altosui/altosdroid: Change message in forbidden map tiles
  * altoslib: NumberFormat can't be shared between parsers
  * altoslib: Be less chatty about map loading
  * altosuilib: Leave some map debug code around for the future
  * doc: Note that 1.8.7 fixes map images
  * altos-mapd: Add --max-zoom to limit tile loading. Set default to 15.
  * Switch to universal JavaApplicationStub for Mac OS X
  * doc: Note fixes for Mac OS X
  * Set version to 1.8.7
  * ao-bringup: Use new ao-cal-freq options when flashing teledongle v3.0
  * altos/lpc: Make sure USB pull-up is held low at boot for 'a while'

 -- Bdale Garbee <bdale@gag.com>  Mon, 08 Oct 2018 21:02:16 -0600

altos (1.8.6-2) unstable; urgency=medium

  * quick patch to not include fox1ihu in build by default, closes: #907480

 -- Bdale Garbee <bdale@gag.com>  Thu, 30 Aug 2018 21:41:00 -0600

altos (1.8.6-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * add a paragraph to the intro pointing to the altusmetrum email list
  * another second seems to help on the very slow Acer laptop
  * add a warning about Google limiting per-day access until/unless we pay
  * altos/fox: rename fox product
  * move signal that forces flash-loader on to PB8, active high
  * had the sense backwards .. presence of 'attached' should put us in the loader
  * add a turnon script for TeleLCO v2.0
  * add telefireeight-v1.0 to products built by default in src/Makefile
  * releasing 1.8.6

  [ Keith Packard ]
  * altos/ao_cc1120: Only call ao_packet_slave_stop when HAS_SLAVE
  * altos: Hack up code for TeleMetrum to make it just a tracker
  * micropeak: Make reported 'max height' value show filtered max height
  * altosdroid: Attempt to avoid some reported altosdroid crashes
  * doc: add release check for altusmetrum-docinfo.xml copyright
  * altos/stm: Simplify ao_usb_write a bit
  * altos: Use max of 64 previous orient values when checking pyro limits
  * altos/flash-loader: On STM, don't include ao_usb_disable
  * Set version to 1.8.5.1
  * altoslib: Clarify terms in Mega pyro config
  * altoslib: Remove ascending/descending from pyro config
  * altoslib: Flush settings restoration commands after accel cal
  * altoslib: Keep config data accel cal in antenna up form.
  * altoslib: Fix data fetching during flashing of cc1111-based devices
  * altos/fox: Add fox1ihu bringup firmware
  * altos/fox: Initialize FOX adc
  * altos/fox: Fix up Fox ADC bits
  * altos/fox: Provide names for fox ADC channels
  * altos/fox: Turn on all of the fox lights
  * altos/fox: Add watchdog timer
  * altos/fox: Enable M25 driver for MRAM.
  * altos/fox: Add MRAM and SD card drivers
  * altos/fox: Add fox1ihu flash loader
  * altos/fox: Run app when PD6 is low
  * altos/fox: update product name to show v2, enable watchdog by default
  * altos/fox: Transition to current altos build environment
  * altos/fox: Update ADC to fox-1 IHU Revision 2
  * altos/fox: Enable system timer in flash loader and prod watchdog with it
  * altos: Build fox1ihu by default
  * Remove ao_radio_cal from stm products without radios
  * altos/fox1ihu: Pull down radio control pin in flash loader
  * altoslib: Fix Idle Monitor on TeleMega v3
  * altos/stmf0: Change tests for AO_BOOT_CHAIN and AO_BOOT_PIN to #if
  * altos/stmf0: whitespace fix
  * altos/stmf0: Set 0x0 mapping to Main Flash for boot loader
  * ao-bringup/turnon_telemini: Skip DFU if no DFU device is present
  * altos/kernel: Define usb IN2/IN3 functions
  * altos/kernel: Add USB descriptors for IN3
  * altos/stmf0: Toggle IN2 SW_BUF bit when sending data
  * altos/stmf0: Add IN3 alternate endpoint support
  * altos/stmf0: Fix up USB debug code
  * altos/chaoskey-v1.0: Add endpoint for reading flash contents
  * ao-chaosread: Add support for the new flash endpoint in chaoskey
  * Update version to 1.8.5.2
  * altos: Eliminate height requirement for coast detect
  * altos/test: Replace state name with 10* state value in test log. Fix raw speed
  * doc: Update pyro channel info to reflect UI changes
  * altos: Add µPusb v3.0 project
  * altos/stmf0: leave ao_power_gpio names undefined without power management
  * altos/mpusb-v3.0: Make it compile again
  * altos: add 'vidtime', a simple brightness monitor
  * altos/vidtime: Check for value change in normal code, not irq
  * altos: Add TeleLCO v2.0 product
  * altos/stm: Add per-LED port/pin mode in LED code
  * altos/drivers: Pads with multi-port firing and pad selector DIP switch
  * altos: Add TeleFireEight v1.0 product
  * altos/telelco-v2: Change select button to alternate box/pad mode
  * altos/ao_button.c: Support up to 16 buttons
  * altos/telelco-v2.0: Only switch encoder mode on push, not release
  * altos/drivers: Make quadrature debounce longer by default. Fix state tracking
  * altos/telelco-v2.0: Reduce quadrature debounce time
  * altos/driver: Add support for one-step-per-click quadrature encoder
  * altos/telelco-v2.0: Use single-step quadrature code
  * altos/telelco-v2.0: Only look at drag select presses, not releases
  * altos/telelco-v2.0: Mixed up the select_button pin (is E0, was set to E13)
  * altos/telelco-v2.0: Fix button names and pin mappings. Add drag LED.
  * altos/telelco-v2.0: A bit fancier with the drag-mode LED show
  * altos/telelco-v2.0: Add debug output for pad voltage display
  * altos/telelco-v2.0: Change drag race selected/no-continutity pattern
  * altos/stm: Add polling ADC sampler API
  * altos/telelco-v2.0: Display local batt voltage at startup
  * altos/stm: Enable HSI timer when HAS_ADC_SINGLE is set
  * altos/telelco-v2.0: Set HAS_ADC_SINGLE to enable HSI timer
  * altoslib: Revert field name changes for accel cal values
  * altos/telefireeight-v1.0: Fix ADC definitions
  * altos/telefire*: Do voltage tests in decivolts instead of ADC units
  * altos/telelco-v2.0: Test displays at power on
  * altos/telelco: Remove STATIC_TEST code from stand-alone LCO boxes
  * altos/stm: Remove unused ADC names from ao_adc_single_stm.c
  * altos/stm: Define ADC channels for TEMP and V_REF
  * ao-bringup: Find dfu-util in $PATH for chaoskey
  * altos/telelco-v0: Test display, show batt voltage at boot
  * altos/driver: Improve quadrature debouncing for mechanical encoders
  * altos/telelco-v0.2-cc1200: Add build for NAR hacked TeleLCO v0.2 board
  * altos/telelco-v2.0: Fix AO_ADC_DUMP
  * Bump version to 1.8.6
  * altos/stm: Let products override AO_LED_TYPE for stm processors
  * altos/ao_pad: Use AO_LED_TYPE for computing active LEDs.
  * altos/ao_pad: Turn on all LEDs for a moment at power up
  * altos/ao_pad: Move LED test to the monitor task
  * altos/telelco-v2.0: Do all drag race beeping from the beeping thread
  * altosuilib: Split cc1111 vs arm telefire/telemini for flashing
  * altos/test: Compute and show height error tracker in ao_flight_test
  * altos: Share common LCO functions in ao_lco_bits.c
  * altos: Build telelco-v2.0 by default
  * altos: A bit more LCO code sharing
  * altos: Fix telelcotwo build for new ao_lco_bits.c file
  * altos: Fix LCO display while searching
  * altos: Make LCO search directly drive pad/box displays
  * altos: Make fewer LCO variables public
  * altos: Fetch current quadrature status at startup time
  * altoslib: Make stop_remote delay depend on the data rate
  * ao-tools/ao-dumplog: Dump entire eeprom contents
  * altos: Change 'after motor' pyro check to be >= instead of ==
  * altos/stm-demo: Set up for dumping eeprom
  * altos/plottest: Make linewidth bigger
  * altos: Add separate 'ao_launch_tick'. Use in pyro and lockout.
  * Update docs for 1.8.6

 -- Bdale Garbee <bdale@gag.com>  Sun, 05 Aug 2018 11:25:17 +0800

altos (1.8.5-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * update Releasing with wisdom from 1.8.4 release process
  * need to push telegps-v2.0 loader .bin file to corporate repo, too
  * doc: update copyright year in doc/altusmetrum-docinfo.xml
  * preparing to release 1.8.5

  [ Keith Packard ]
  * altos/scheme: Add separate floor-quotient builtin
  * altos/scheme: Pull out per-frame vals while printing list of frames
  * altos/scheme: Add support for hex, octal and binary constants
  * altos/scheme: support %x format for scheme printf
  * altos/scheme: fix parsing of vector followed by list
  * altos/scheme: Add start/end args to vector->list
  * altos/scheme: Make for-each tail recursive
  * altos/scheme: Make constant built pool as large as possible
  * altos/scheme: add make-string builtin
  * altos/scheme: Fix macro-detection debugging
  * altos/scheme: Add builtin list-tail
  * altos/scheme: Allow make-vector value param to be optional
  * altos/scheme: Accept more escaped character constants
  * altos/scheme: Add vector and string funcs. Test everybody.
  * altos/scheme: add 'install' target to install both test and tiny test
  * altos/scheme: Add ports. Split scheme code up.
  * altos/lambdakey-v1.0: Switch back to command buffered input
  * altos/kernel: Use ao_put_string for syntax error message
  * altos/stmf0: Remove packet counters from non-debug build
  * altos/stmf0: Stop shadowing USB tx buffers in system RAM
  * altos/stmf0: Use double buffering for USB tx data
  * altos/stmf0: use double buffering for USB rx data
  * ao-chaosread: add --raw and --cooked flags
  * altos/stmf0: Use double buffering for ChaosKey
  * altos/scheme: Split tests out from build sources
  * altos/scheme: Allow individual lisp keywords to be feature-conditional
  * altos/scheme: remove debug code from vector write
  * altos/lambdakey-v1.0: Add LED function back in
  * altos/scheme: Allow unicode in lexer
  * altos/scheme: Move ao-scheme to a separate repository
  * altoslib/altosuilib: Validate rom image is for target device
  * libaltos: Use case-insensitive compare when matching BT MACs
  * Add TeleGPS v2.0 binaries to distribution
  * ao-bringup: Don't wait for user when testing EasyMini igniters
  * chaoskey: Create unified ROM image with both loader and app
  * ao-bringup: Check for Loader USB id before attempting dfu-util
  * ao-usbload: Flip product names in loader error message
  * altos: Make panic beeps use fixed frequencies
  * altos/stmf0: Add some common definitions for flash loaders
  * doc: Add release notes for 1.8.5
  * Bump version to 1.8.5

 -- Bdale Garbee <bdale@gag.com>  Sun, 18 Mar 2018 15:50:54 -0600

altos (1.8.4-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * update Releasing with changes discovered in 1.8.3 release process
  * releasing 1.8.4

  [ Keith Packard ]
  * doc: Don't 'publish' release notes, don't build pdf release notes
  * altos/scheme: Add ao_scheme_vector.c
  * altos/scheme: Support scheme subsetting via feature settings
  * altos/lambdakey-v1.0: Get this building again
  * altos/kernel: Allow ao_cmd to be built without tasking
  * altos/stm: Align 'data' to 8 bytes, just like textram
  * altos/scheme: apply const to places taking const strings.
  * altos/scheme: More compiler warning cleanups
  * altos/scheme: Use direct calls from frame to frame_vals mem functions
  * altos/scheme: inline some mem calls to reduce stack usage.
  * altos/lambdakey-v1.0: Make stack larger
  * altos/scheme: integer? is builtin on all versions
  * altos/scheme: swap BIGINT and STRING types
  * altos/lambdakey-v1.0: shrink scheme code to fit the ROM
  * ao-bringup/test-chaoskey: Make finding most recent device more reliable
  * altos/scheme: Use AO_SCHEME_IS_CONS in cons memory funcs
  * altos/scheme: Use memory manager mark code to note recursive print
  * altos/scheme: abort when we try to print an invalid value
  * altos/scheme: rearrange debugging defines
  * altos/scheme: Work around gcc 7.2.0 optimization bug in memory manager
  * altos/scheme: Compile scheme test with -O3
  * altos/scheme: Rework display/write code
  * altos/scheme: apply also needs to not free value list on lambdas
  * altos/scheme: (define (foo . bar)) has a pair, not list as card
  * altos/scheme: Clean up test CFLAGS
  * altos/scheme: Don't optimize ao_scheme_make_const
  * altos/scheme: ao_scheme__cons -> ao_scheme_cons
  * altos/scheme: AO_SCHEME_IS_CONS -> ao_scheme_is_cons
  * altos/scheme: Replace memory pool macros with inlines
  * altos/scheme: Replace per-type indexed stash with poly stash heap
  * altos/lambdakey-v1.0: Add back and/or macros
  * altos/easymini-v2.0: Adapt to final hardware pin assignment changes
  * ao-bringup: turnon_easymini was left with dfu_util disabled
  * altos/attiny: Add ADC implementation
  * altos/micropeak: Remove all compiler results
  * Doc updates for version 1.8.4
  * Bump for version 1.8.4

 -- Bdale Garbee <bdale@gag.com>  Thu, 21 Dec 2017 19:07:43 -0700

altos (1.8.3-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * be more aggressive about removing and ignoring .mdwn files
  * tweak Releasing based on 1.8.2 release experience
  * don't exit on dfu-util errors, it's not reliable about reporting success
  * handle repeated invocations without failing as often
  * moving to TeleMega v3.0 by default
  * TeleMega v3.0 turnon scripts
  * take telescience out of the routine builds
  * TeleMega default is now v3.0
  * releasing 1.8.3

  [ Keith Packard ]
  * altoslib: Add tilt and pyro data to CSV export
  * altosuilib: Don't drain voice when terminating display
  * altoslib,altosuilib,altosui: log_format/device_type TeleGPS selects stateless
  * altos: Allow pyro config name to end with newline, not just space/tab
  * altoslib: Allow early bail-out on bad telemetry CRC
  * altosuilib: Show raw tick values in graph and info table
  * altoslib: Add user-selectable filter width for data smoothing
  * altoslib: Adapt KML output to make TRA record people happier
  * altosuilib: Add 'show marker' button to graphs
  * altoslib: Missing file for filter additions.
  * Set version to 1.8.2.1
  * altos: Stop storing pyro fired status in config block
  * altos: Add MPU9250 driver (accel/gyro only for now)
  * altoslib: Allow gps time later than requested if it's first
  * altoslib: Don't crash if there's no GPS coord to write KML
  * altoslib: Fix time series filter window computation
  * altos: Add MPU9250 support to self test and data
  * altoslib: Report un-adjusted ground accel in idle IMU monitor
  * altoslib: Save separate config for local and remote. Use in idle
  * altoslib: Move temp GPS API from cal_data to data_listener
  * altos: Remove cross-block storage I/O on cc1111
  * altos: Define AO_LOG_FORMAT in */ao_pins.h. Use in ao_cmd.c
  * altos: Share common logging code. Deal with corrupt initial flight records
  * altos: whitespace cleanup in ao_adc_stm.c
  * altos/stm: Add AO_EXTI_MODE_PULL_NONE
  * altosuilib: New line styles and colors for graphs. Selectable line width
  * altos/test: Adapt flight test to int16_t flight number type
  * altoslib: Don't write KML record when height data is missing
  * altoslib: Remove spurious semicolon in AltosReplayReader.java
  * altoslib: Improve EEprom download
  * altos: Fix inverted test for corrupt flight log
  * altos: Fix new GCC warnings
  * doc: Update for 1.8.3
  * altos/lisp: Add non-cons cdr support
  * altos/lisp: Add scheme-style bools (#t and #f)
  * altos/lisp: Add 'else' sematics to cond
  * altos/lisp: More schemisms
  * altos/test: Get lisp test building using Makefile-inc
  * altos/lisp: Lots more scheme bits
  * altos/test: More lisp test Makefile fixes
  * altos/lisp: Generate built-in lambda atoms for const creation
  * altos/lisp: Character consts. String and assoc builtins.
  * altos/lisp: Add apply
  * altos/lisp: Finish first pass through r7rs
  * altos/test: Add jiffy funcs to lisp test
  * altos/cortexelf-v1: Make lisp compile again
  * altos/lisp: Add 'big' ints -- 24 bits wide
  * altos/lisp: Fix some scheme compat issues
  * altos/lisp: Add floats
  * altos/test: Update to build altos lisp test app
  * altos/lisp: Rename progn to begin
  * altos/lisp: Add quasiquote
  * altos/lisp: Fix pairp builtin
  * altos/lisp: return from unmatched cond is #f, not nil
  * altos/lisp: Make let distinct from let*
  * altos/lisp: Split out frame vals from frame struct
  * altos/lisp: split set/def. Add def support to lambdas
  * altos/kernel: MPU9250 support
  * altos: Add TeleMega v3.0
  * altos: Build TeleMega v3.0 by default
  * altoslib: Add support for TeleMega v3.0 log files
  * altos/lisp: Overflow int computations to float
  * altos/lisp: Convert more builtin lisp code to scheme format
  * altos/lisp: use strtof instead of atof
  * altos/lisp: Split out read debug, add memory validation
  * altos/lisp: Check only cdr base type when moving cons cells
  * altos/lisp: Fix stash usage across frame allocation
  * altos/lisp: Switch to scheme formal syntax for varargs
  * altos/scheme: Rename to 'scheme', clean up build
  * altos/scheme: Move scheme test program to scheme sub-directory
  * altos/scheme: Add explicit dependency on ao_scheme_builtin.h for ao_scheme_make_const
  * altos/cortexelf-v1: Adapt to lisp->scheme name change
  * altos/drivers: Start adding defines to get mag data out of MPU9250
  * altos/scheme: Let readline know if there's a list in progress
  * altoslib: Fix 8 to 12 bit conversion for Mega pyro voltage data
  * altos/scheme: Fix name of constant scheme file
  * altos/scheme: Add vectors
  * altos/scheme: Avoid crashing with non-list in length
  * altos/scheme: Add a bunch of string and vector builtins
  * altos/scheme: Use 64-bit ints to track memory allocation stats
  * altos/scheme: add list-copy
  * altos/scheme: Stash cons across value allocation in compare
  * altos/scheme: Make eqv? work for numbers and strings
  * altos/scheme: Make test scheme app heap maximum size
  * altos/scheme: Add Makefile for scheme test app
  * altos/lambdakey-v1.0: Switch to newlib, get things compiling again
  * altos: Add scheme for stm discovery board demo
  * altos: Allow building with newlib + avr stdio on ARM
  * altos/scheme: Allow ao_scheme_read_eval_print to be restarted
  * altos/drivers: Hook up mag sensor for MPU9250
  * doc: Note TeleMega v3.0 support in 1.8.3 relnotes
  * Bump to version 1.8.3
  * altos: Remove more software for hardware prototypes
  * altos: Actually store current MPU9250 data in data ring
  * altoslib: Keep old GPS values when updating data
  * doc: Update release notes and docinfo for 1.8.3

 -- Bdale Garbee <bdale@gag.com>  Mon, 11 Dec 2017 21:40:10 -0700

altos (1.8.2-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * a few tweaks to the Releasing document based on experience with 1.8.1
  * need to capture .bin file for telebt-v4.0 loader
  * deal with cheap BT dongle that shows multiple copies of unit in lescan output
  * publish support for TeleGPS v2.0
  * production TeleGPS v2.0 use a 16Mhz crystal for the SOC
  * be more aggressive about removing and ignoring .mdwn files
  * releasing 1.8.2

  [ Keith Packard ]
  * Bump to version 1.8.1.1/android 16 for altosdroid
  * altosui: Accel calibration UI
  * ao-tools/ao-chaosread: Add -Wall -Wextra, clean up results
  * altoslib: Correctly parse IMU cal data
  * altoslib: Remove debug stack dump from AltosState
  * altoslib: Make receive frequency available in telem data
  * altosdroid: Display serial, call, freq in tracker list
  * altosui: Remove debug printfs in FC config UI
  * altosui: Handle missing GPS when graphing mega/metrum data
  * doc: Add forward reference from 'idle' description to idle entry steps.
  * chaoskey: Wait for input data to stabilize before using it
  * altos: Fix debug printf in ao_pyro for state >=
  * altos/test: Handle new eeprom file format. Give up on telem files.
  * altosuilib: Make steps in accel cal default button
  * test/ao_flight_test: Show recorded pyro firing
  * telegps: Fix up TeleGPS UI bits after accel cal changes
  * altoslib: Avoid crashing when computing stats for empty flight logs
  * altos/telegps-v2.0: Enable USB connect monitoring
  * Add short section on accelerometer calibration
  * Update docs for 1.8.2 release
  * Update release version and date

 -- Bdale Garbee <bdale@gag.com>  Mon, 18 Sep 2017 20:48:07 -0600

altos (1.8.1-2) unstable; urgency=medium

  * updating packaging to resolve outstanding lintian issues

 -- Bdale Garbee <bdale@gag.com>  Mon, 28 Aug 2017 13:08:00 -0600

altos (1.8.1-1) unstable; urgency=medium

  [ Keith Packard ]
  * install: Add 'fat-install' target
  * altos: Perform time comparisons using 16-bit arithmetic to handle wrap
  * micropeak: Track font changes in raw data display
  * altosuilib: Add "Huge" font size
  * altosui: Add --oneline mode to briefly summarize flights
  * altos: Eliminate separate height error filter for accelerometer devices
  * altos: Don't eliminate baro above mach speed, just trust it less
  * altos/test: telemetrum baro data is inverted before being written to eeprom
  * altos/test: Integrate raw accel to provide speed for comparison
  * altos/test: Fake baro data for flight 12 serial 2093
  * altoslib: Remove debug printf for gyro adjust
  * altoslib: Allow for missing product when checking for mma655x inverted
  * altoslib: Fix parsing of old TM log GPS sat data
  * altoslib: Compute speed at entry to each state
  * altosui: Make --oneline show drogue deploy speed
  * altoslib: Fix freq preference loading
  * altos: Don't compute filtered average of height error when HAS_ACCEL
  * doc: Update for 1.8.1
  * Version 1.8.1

  [ Bdale Garbee ]
  * releasing 1.8.1

 -- Bdale Garbee <bdale@gag.com>  Mon, 28 Aug 2017 12:06:54 -0600

altos (1.8-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * two more places where telemini-outline.pdf filename needs to be updated
  * add telemini-v3.0 to list of binaries we stach in LLC repo for production use
  * telebt-v4.0: initial creation of firmware for new product, no BT yet
  * telebt-v4.0: add ao_send_packet
  * telebt-v4.0: don't need the USB pin remapping flag
  * telebt-v4.0: turn off pin remapping in the flash loader, too
  * telebt-v4.0: slow down SPI speed to radio chip
  * telegps-v2.0: slow down radio chip spi speed
  * telebt-v4.0: make git ignore products of build
  * ao-tools/ao-makebin: have git ignore built object
  * telemini-v3.0: make git ignore build products
  * altos/telebt-v4.0 Set CPU clock to 48Mhz instead of 96Mhz
  * telegps: use new eeprom reading code
  * have git ignore ao-bringup/cal_values
  * telefiretwo: don't try to record pre-burn sensor values in FLIGHT record
  * initial tests made using Terry's stand with a 2500psi sensor
  * have AltosGraph use new AltosPressure to get imperial_units working
  * re-brand current telefiretwo product as telefireone
  * altoslib: include TimeSeries code in build
  * add thrust as a graphable time series type
  * rename existing turnon_telebt script, create a new one for v4.0
  * clean up telefireone name references
  * ignore more build products in telebt-v4.0 tree
  * add TeleBT v4.0 to the list of stuff we build
  * remove libssl-dev build dependency, only used by test code we don't build
  * update docinfo file for 1.8 release
  * releasing 1.8

  [ Keith Packard ]
  * altos/stmf0: Not all timer configurations use AF2
  * altos/telemini-v3.0: Fix license
  * altos/easymini-v2.0: Add EasyMini v2.0
  * altos: Add telemini-v3.0 and easymini-v2.0 to default altos build
  * altosui: Ship telemini v3.0 firmware
  * altos/ao-bringup: Switch turnon_easymini to v2.0
  * altosui: Add TeleMini v3.0 and EasyMini v2.0 firmware to windows package
  * Update releasing to add more firmware bits
  * Ignore ao_lisp_test
  * altos/telegps-v2.0: git ignore make results
  * altos/nucleo-32: Add lisp save/restore
  * ao-bringup: make turnon_telemini search for ao_usbload on $PATH
  * Fake thrust data as accel for now
  * micropeak: Add MicroPeak V2 to the download code
  * altos/ms5607: Allow applications to not use the normal data ring and thread
  * altos: Adapt micro log to MicroPeak V3
  * altos: Add 100ms constants for baro Kalman filter
  * altos: Add header file for ao_report_micro.c
  * altos/micropeak: Use existing ao_ms5607_current variable
  * altos/micropeak: Update ao_micropeak.h for MicroPeak v2
  * altos/stmf0: Compute serial baud rate registers at runtime
  * altos/stmf0: Make sure systick is off before programming
  * altos/stmf0: Fix HSI clock rate.
  * altos/stmf0: Add support for HSI clocked applications
  * altos/micropeak-v2.0: Add initial MicroPeak v2 support
  * altos: Build MicroPeak-v2.0 by default
  * src/kernel: Add GPS lock blink LED to tracker code
  * altos/kernel: Allow TeleGPS v2 to scale battery in telem
  * altos/telegps-v2.0: Adjust LED config
  * altos/telegps-v2.0: Set CPU clock to 48MHz instread of 96MHz
  * altos/telegps-v2.0: Battery ADC input is on PB1, not PA0
  * altos/telegps-v2.0: Remove some unneeded defines
  * altos/telegps-v2.0: GPS chip is connected to serial 2, not serial 1
  * altos/telegps-v2.0: CC1200 CS is PA1, not PA5.
  * altos/telegps-v2.0: Reorder initialization sequence
  * altos/stmf0: Add code to use SoC flash as storage
  * altos/telegps-v2.0: Disable external serial port to save ROM
  * altos: Make CDC ACM 'line coding' public
  * altos: Move 'ao_force_freq' to ao_config.c
  * altos/telemini-v3.0: Add 'recovery mode' on PA14 (pin 6 on dbg header)
  * altos/telemini-v3.0: Use dbg connector pin 5 for force bootloader
  * altoslib: Hide members from json by prefixing with __
  * altoslib: Add AltosForce and AltosPressure units
  * altoslib: Add Ms5607 constructor that just takes config_data
  * altoslib: Add empty constructor for AltosPyro for JSON
  * altoslib: Add set_config_data to AltosState
  * altoslib: Add new eeprom management code
  * altoslib: Compile AltosForce and AltosPressure
  * altoslib: Hack up AltosEepromFile to support new eeprom code
  * altosui: Use new eeprom reading code
  * altoslib: Save eeprom data in new .eeprom format
  * altoslib: Remove older eeprom handling code
  * altoslib: Another bit of altoslib for the old eeprom stuff
  * Use SDP to locate the service channel on Linux
  * altos: Add RN4678 Bluetooth module driver
  * altos/telebt-v4.0: Hook up RN4678 module
  * altoslib: Handle TeleBT v4.0 battery voltage
  * libaltos: Add support for TeleBT-v4.0 bluetooth channel change
  * altos/stmf: Fix up serial port flow control configuration bits
  * altos/ao_rn4678: Send '$$$' for new devices. Fix name setting code.
  * altoslib: Mark AltosConfigData fields as MISSING until set
  * altoslib: Set default log format to FULL until we learn different
  * altoslib: Set default accel cal for old TeleMetrum v1 files
  * altos/telefireone-v1.0: Fix confusing defines about config storage
  * ao-bringup: turnon_chaoskey: search for ao-usbload in PATH
  * altos/telebt-v4.0: Remove HAS_POLLCHAR
  * altos/telebt-v3.0: Add send_packet command
  * altoslib: Add initial time series functions
  * altosuilib: Add time series subclass with data for generating a plot
  * altoslib: Create new abstraction underneath AltosState for recording values
  * altosuilib: Start creating new graph interface that takes time series data
  * altosui: Hacks to plug into the new graph stuff
  * doc: Add telegps outline
  * altoslib: Don't store computed telemetry fields
  * altoslib: Do data analysis on raw values rather than AltosState
  * altosuilib: Adapt to AltosFlightSeries data processing plan
  * altosui: Adapt to AltosFlightSeries for data analysis
  * altoslib/altosuilib/altosui: More work towards using AltosFlightSeries for analysis
  * altoslib,altosuilib,altosui: Get stats and replay working again.
  * altoslib: Make AltosReplayReader start synchronously enough to track states
  * altosui: Remove --cat mode
  * altoslib: Make sure AltosFlightSeries is filled in before use
  * altoslib: Get KML export working again
  * altoslib: Preserve old GPS data during operation
  * altoslib: Trim stale bits of AltosState
  * altosui: Remove debug printf.
  * altoslib: Use cal data temp gps for telemetry data too
  * altosdroid: Deal with AltosState changes
  * telegps: Get telegps application working again
  * altoslib: Change how speed/accel are computed from pressure
  * altoslib: Allow for other tick sizes
  * altoslib: Publish boost_time and landed_time from AltosFlightStats
  * altoslib: Return AltosTimeValue from min/max funcs
  * altoslib: Provide consistent cal_data from idle and replay readers
  * altosuilib: Make AltosFlightStatsTable neater
  * altosuilib: Remove 'cal_data' param from AltosGraphNew constructor
  * micropeak: Use altoslib/altosuilib flight analysis bits
  * altoslib: Recover from a couple of API changes
  * altoslib: Extract a few more values from config to cal_data
  * altoslib: Create data file open helper in AltosLib
  * altoslib: Add constants for speed/accel filtering
  * altoslib: Adjust boost/landed time in flight series for display
  * altosuilib: Display product/firmware version in stats table
  * altoslib: Handle eeprom tick wrapping
  * altoslib: Use first pressure value if no ground pressure available
  * altoslib: Check for empty gps height series
  * altoslib: Ignore invalid accel cal values
  * altoslib: Remove debug printfs
  * altoslib: AltosFlightSeries ignore missing accel/pressure
  * altoslib: Clean up gps series logging
  * altoslib: Only compute state stats for recorded states
  * altosuilib: Set graph title to include product/serial/flight info
  * altoslib: Don't record 'pad' state in FlightSeries
  * altoslib: Reset transient AltosCalData values before processing data
  * altoslib: When no boost tick is found, just use first tick in file
  * altoslib: Don't record radio status values in flight series
  * altoslib: Add status back to AltosFlightSeries for CSV export
  * altoslib: Check for valid pad alt before computing GPS height series
  * altoslib,altosuilib: Remove stale source files
  * altoslib: Compute orientation from eeprom data files
  * altoslib: Compute 'vertical acceleration' for eeprom files
  * altoslib, altosuilib, altosui, telegps: Missing config values now MISSING
  * altos: Update sensor data atomically
  * altos: HMC5883 output order is X Z Y
  * altoslib: Adapt to Mag sensor value ordering changes
  * altoslib: Missing config values now AltosLib.MISSING, not zero or negative
  * altos: Create separate log format for EasyMini v2.0
  * altoslib: Handle EasyMini v2.0 ADC values
  * altoslib: Keep time series in AltosFlightSeries array sorted
  * altoslib: Fix labels in AltosIMU to match source data
  * altoslib: Hook up idle monitoring data again
  * altoslib: Flush igniter fire command
  * altoslib: Remove unused 'ground_rotation' from AltosState
  * altosui: Display current altitude in monitor idle Pad tab
  * altoslib: Initialize new imu/mag values. Remove stale imu/mag objects.
  * altosui, telegps, altosdroid: say ground distance, not total range
  * altoslib: Set time for TeleMini v1.0 eeprom analysing
  * altosuilib: Don't display pad, last location in flight stats without gps
  * altos: Add timeout to RN4678 status message code
  * altos/telebt-4.0: Add dependency on RN4678 header
  * altoslib: Remove old AltosEeprom.java code
  * altoslib: Rename AltosEepromNew to AltosEeprom
  * altosuilib: Rename AltosUIGraphNew to AltosUIGraph
  * altosuilib: Rename AltosGraphNew to AltosGraph
  * altoslib,altosuilib: Bump library version numbers
  * altoslib: Make cal_data private in AltosDataListener
  * altos/rn4678: Add BLE support
  * altoslib: Clean up quaternion and rotation interfaces
  * altosdroid: cal_data is no longer public from AltosState
  * altoslib: Fix comments in AltosQuaternion and AltosRotation
  * altoslib: Deal with multiple motors in flight stats
  * altos/stmf0: Initialize UART RTS/CTS before turning it on
  * altos/telebt-v4.0: Use HW flow control to BT module
  * Set version to 1.7.1 for TeleBT firmware build
  * altoslib: fix adjustment of landed time
  * altos/test: Add EasyMini test mode
  * libaltos: Add btle test program
  * altosui: Adapt to flight stats time value changes
  * altosui: Rename AltosConfig -> AltosConfigFC
  * altos/test: Fix printf format for int64 arithmetic test
  * altos/test: Fix AES key format in test code
  * libaltos: Test both bluetooth and USB APIs with cjnitest
  * altoslib: Set time in state for KML output correctly
  * ao-bringup: Allow dfu_util to "fail" while flashing chaoskey
  * altosui, telegps: Add TeleBT v4.0 firmware to app packages
  * doc: Add 1.8 release notes
  * Bump version to 1.8
  * Note that telebt 4.0 files need to go to altusmetrumllc dir

  [ Miguel Benavidez ]
  * altoslib: Fix MS5607 raw data to pressure conversion function

 -- Bdale Garbee <bdale@gag.com>  Sat, 12 Aug 2017 01:00:11 -0400

altos (1.7-1) unstable; urgency=medium

  [ Keith Packard ]
  * Fix release note html to remove xml bits
  * Update pdclib to version using arm-specific 'ar' program
  * altos/stmf0: Add USART support
  * altos/nucleo-32: Add basic support for STM32F042 Nucleo-32 board
  * altos/test: Fix tests
  * ao-bringup: Improve EasyMini turnon and test scripts
  * altos/stm: Make ao_usb_set_address static. Saves a bunch of text space
  * altos/arm: Align data so that gcc 5.4 doesn't do byte-accesses. Add -Wcast-align
  * Add first lisp bits
  * altos: Add lisp reader
  * altos/lisp: Change lisp objects to use ao_poly everywhere. Add const
  * altos/kernel: Make ao_cmd_readline public. Return char from ao_cmd_lex.
  * altos/stmf0: Add lisp to include directories
  * altos/lisp: add set/setq and ' in reader
  * altos/lisp: Separate out values from atoms
  * altos: Add lambda support to lisp
  * altos: Add lambdakey
  * altos/lisp: Start rewriting eval as state machine
  * altos/lisp: get builtin macros working again
  * altos/lisp: Change GC move API
  * altos/lisp: make sure stack->formals_last gets moved during GC
  * altos/lisp: more GC issues. add patom
  * altos/lisp: convert GC to non-recursive
  * altos/lambdakey-v1.0: Tweak memory allocations
  * altos/lisp: working on lexical scoping
  * altos/lisp: macros appear to work now
  * altos/lisp: Clean up OS integration bits, add defun
  * altos/lisp: add progn, while, read and eval
  * altos/lisp: use regular read-eval-print loop for make const
  * altos/lisp: Make read() return eof atom on end of file
  * altos/lisp: Improve lisp test program UI
  * altos/lisp: Deal with memory compation in the middle of operations
  * altos/lisp: Add towers of hanoi example
  * altos/lisp: add length, pack, unpack and flush
  * altos/lisp: Share mark function for mark and move
  * altos/lisp: Make ao_lisp_ref and ao_lisp_poly non-inline
  * altos/lisp: Make sure memmove only happens once per object. Other GC fixes
  * altos/lisp: Add save/restore infrastructure. Needs OS support to work.
  * altos/lisp: Add save/restore to ao_lisp_test
  * altos/lisp: Append a CRC to the saved image to validate on restore
  * altos/lambdakey: Get save/restore working
  * altos/stmf0: Add a comment about the requirements for using ao_flash_stm
  * altos/lisp: Change GC to do moves in batches of 32
  * altos/lisp: Simplify GC a bit by only marking the head of each object
  * altos/lisp: Cache freed cons and stack items
  * altos/lisp: Show number of collect calls in ao_lisp_test
  * altos/lisp: Improve hanoi demo
  * altos/lisp: Add license to hanoi demo
  * altos/lisp: Evaluate macros once, then smash them into place
  * altos/lisp: Get lambdakey and nucleo-32 building again
  * altos/lisp: remove duplicate 'length' lambda from hanoi example
  * altos/lisp: re-use small frames
  * altos/lisp: Do better checking for un-evaluated macros in ROM
  * altos/lisp: Allow macro/nlambda/lexpr to have multiple args
  * altos/lisp: Take advantage of multi-arg macros. Add more ROM funcs
  * altos/lambdakey: Strip out unused code
  * altos/lisp: remove nth from hanoi.lisp
  * altos/lisp: Make hanoi example output a bit prettier
  * altos/lisp: Add incremental collection
  * altos/lisp: Optimize chunk searching in collect
  * altos/lisp: Allow empty defun bodies
  * altos/test: Disable position independent executables
  * altos/lisp: binary search for chunk in collect
  * altos/lisp: Eliminate compiler warning about array bounds at -O3
  * altos/lisp: Clean up hanoi.lisp comments.
  * altos/lisp: Remove some stale frame debugging checks
  * altos/lisp: Fix error atom name in ao_lisp_length
  * altos/lisp: Dump globals on error
  * altos/lisp: Fix uninitialized values in ao_lisp_make_const
  * altos/lisp: Compile ao_lisp_make_const -no-pie
  * altos/lisp: Make lambda, cond and while all have implicit progns
  * altos/lisp: Take advantage of implicit progn in ROM code
  * altos/lisp: have 'while' return the last body value
  * altos/lisp: Take advantage of implicit progns in hanoi demo
  * altos/lisp: Add continuations
  * altos/lisp: Make DBG settings global
  * altos/lisp: Use poly stashes for stacks
  * altos/lisp: Empty lambda body is not an error
  * altos/lisp: bounds check in move_map plus binary search
  * altos/lisp: Build new ao_lisp_stack.c into test and lambdakey
  * altos/lisp: Sort frames by atom
  * altos/lisp: Add builtin 'collect'
  * altos/lisp: Share binary search for memory chunk between mark and move
  * altos/lisp: Cleanup some DBG defines
  * altos/lisp: Include memory stats for test program
  * altos/lisp: Move stack recursion check after null check
  * altos/lisp: Clean up hanoi.lisp demo a bit
  * altos/lisp: Tell compiler that the two lisp memory pools are aligned
  * altos/lisp: Add casts to keep the latest GCC from whinging
  * altos/lisp: Start adding scheme symbols
  * altos/chaoskey: use both halves of the CRC
  * altos: Eliminate printf format warning with long vs int
  * ao-bringup: Allow serial number on turnon_easymega cmdline
  * ao-bringup: test-chaoskey needs to use the SerialNumber dmesg line
  * altos/stmf0: Allow apps to leave interrupt vectors at 0
  * altos/stmf0: Complain if the SPI configuration isn't complete
  * altos/stmf0: Allow projects to not use the USB boot loader
  * altos: Allow applications to define LEDs for ao_report.c
  * altos: Require SPI speed to be declared for cc1200
  * altos/stmf0: Add adc and beep support for TeleMini v3.0
  * altos: Initial TeleMini v3.0 code
  * altos/telemini-v3.0: Update to second prototype version
  * altos/telemini-v3.0: Finish initial turn-on
  * altos: Split out TeleMini v3 log/telem labeling
  * altos/telemini-v3.0: Swap main and apogee sense pins.
  * altoslib: Add TeleMini v3 support
  * altos/cc1111: Remove unneeded initialization in ao_timer.c
  * ao-tools/ao-usbload: Pad image with 0xff instead of random bits
  * altos: Don't wait while idle if trying to minimize interrupt latency
  * altos/stm: Interrupt priority is in the upper bits of the priority mask
  * altos/stm: Allow use basepri instead of primask for masking interrupts
  * altos/avr: Avoid warning about unused args in stdio_put and stdio_get
  * altos: Allow for console to be used for stdio
  * altos/stm: Allow DMA channels to be hijacked by other code
  * altos/stm: Make i2c code handle PCLK1 of 24MHz
  * altos/stm: Add nvic priority register fields. Add more TIM234 defines.
  * altos: Add bitmap drawing code
  * altos: Add VGA driver for STM32L processors
  * altos: Add PS/2 keyboard driver
  * altos: Add console driver using VGA and PS/2
  * altos/stm: Add draw and lisp to make search paths.
  * altos: Add stm-vga demo project
  * altos/telemini-v3.0: Add beeper defines needed for more general beeper code
  * altos/stmf0: Support tim1 beeper channel other than 3
  * altos/stmf0: Support timer 2/3 for the beeper
  * altos/lisp: Not quite ready to start making it look like scheme yet
  * altos/nucleo-32: Update lisp files, add beeper support
  * Add initial TeleMini v3 docs
  * telemini outline svg had wrong version number
  * ao-tools/ao-flash-lpc: Adapt to current openocd LPC support
  * ao-tools/ao-flash-stm: Use openocd instead of st-utils
  * doc: Rename telemini doc file from telemini-v1.0.inc to telemini.inc
  * cortexelf-v1: Add ps/2 and vga with graphics
  * cortexelf-v1: Fix clock to drive VGA at 640/480. Add sdcard, remove others
  * cortexelf-v1: Hook up serial consoles for debugging
  * cortexelf-v1: Use new memory map to access all flash and ram. Add fat.
  * cortexelf: Add lisp interpreter
  * stm: Use common flash wait loop instead of inlining
  * lisp: Fix up lisp build so projects can get ao_lisp_const.h built as needed
  * cortexelf-v1: Add serialblather command.
  * cortexelf-v1: Add buttons
  * altos: Add AS1107 LED display driver
  * cortexelf-v1: Hook up AS1107 in test mode
  * altos: add button matrix driver
  * altos: Allow buttons to be high when pressed rather than low
  * cortexelf-v1: Hook up hex keypad using matrix input driver
  * cortexelf-v1: Add bit flipping array generator
  * cortexelf-v1: doodling with 1802 bits
  * cortexelf-v1: Make bit flipping array constant
  * stm: Add a few more GPIO functions to make dealing with the 1802 easier
  * cortexelf-v1: Add pin definitions for 1802 connections
  * altos: Define CC115L spi speed in each product
  * telegps-v0.1: Hack up for SDCARD debugging
  * altos: Disable FAT commands unless requested
  * altos: Allow programs to enable SDCARD debugging if desired
  * stm: Add more mask-based GPIO controls
  * cortexelf-v1: More 1802 noodling
  * ao-elftohex: Add conditions for skipping ELF sections
  * altos: Place AS1107 in 'normal' mode at end of init sequence
  * altos: Drive row low instead of high in matrix driver
  * altos: Document a few more SPI mode bits in VGA driver
  * altos: Escape lisp REP loop with () input
  * altos: Use MP switch in cortexelf boot loader for force loader mode
  * cortexelf-v1: Bump SPI pin speed to 40MHz to for sdcard. Fix VGA DMA.
  * cortexelf-v1: Initialize key matrix code
  * altos/telegps: Inherit LDFLAGS from lpc make specification
  * cortexelf-v1: Fetch data at TPB rising when MWR or MRD are low
  * altos/stmf0: Split up rom load in altos.ld to make linker happy
  * telegps-v2.0: Remove fec_tx code and ADC logging.
  * altos/telefiretwo-v0.2: Add AO_CC1200_SPI_SPEED
  * altos/telebt-v3.0: Add LCO bits for testing
  * altos/telemini-v3.0: Update to production hardware
  * altos/telemini-v3.0: Add flash loader
  * ao-test-baro: Be more lax about altitude checks
  * altos/lpc: Fix up Makefile definitions
  * altos/lpc: Add (void *) cast to fix alignment warning
  * altos/telemini-v3.0: Remove vestiges of the pre-USB code
  * altos/lpc,altos/stmf0: Use -n flag to work around link editor issue
  * alots/stmf0: Fix vpath entry for AES directory
  * doc: Update TeleMini v3 photos to production unit
  * Replace turnon_telemini with v3 version. Add test-teleminiv3
  * altos/lpc: Really fix aes entry in lpc vpath
  * doc: Finish updates for v1.7
  * altos/stmf0: Pull beeper pin low when beeper is off
  * altoslib: Add TeleFireTwo eeprom support
  * altos: Move old AO_LAUNCH defines to cc1111/ao_launch.h
  * doc: Errors in the TeleMini v3.0 updates found by Bdale
  * altos/ao_pad.c: Use #if HAS_LOG instead of #ifdef HAS_LOG
  * altoslib: renamed AltosSensorTMini2, but didn't update AltosIdleFetch
  * Bump to version 1.7

  [ Bdale Garbee ]
  * augment TeleDongle turn on script to support serial number on command line
  * stop using /usr/share for binaries in remaining turnon scripts
  * use elf, not ihx
  * first rough cut at skeleton of code for pnpservo .. altos boots and runs
  * initial skeleton of CortexELF support
  * makefiles too
  * capture pnpservo makefiles too
  * initial cut at telegps-v2.0 firmware
  * copy telefiretwo-v0.2 to start firmware for v1.0
  * builds, loads, runs, not very useful yet
  * need top level Makefile too
  * add new ADC channels for telefiretwo
  * fix TeleFireTwo product name in ao-list output
  * enable spi flash on telefiretwo
  * fleshing out logging for telefiretwo
  * a stab at turning on rudimentary logging for telefiretwo
  * cobble up a command to toggle logging on/off on TeleFireTwo
  * enable logging support in telefiretwo
  * add static test start and stop commands to radio protocol for telefiretwo
  * eliminate spurious close braces
  * implement static test start and stop protocol for telefiretwo+telebt
  * allow multiple tests to be logged on telefiretwo without rebooting
  * update copyright year in docs
  * update ChangeLog for 1.7 release

  [ Richard Hughes ]
  * altos/chaoskey: Add a metainfo for the ChaosKey

 -- Bdale Garbee <bdale@gag.com>  Mon, 24 Apr 2017 18:22:58 -0600

altos (1.6.8-5) unstable; urgency=medium

  [ Keith Packard ]
  * altos/lpc,altos/stmf0: Use -n flag to work around link editor issue,
    closes: #860601
  * ao-elftohex: Add conditions for skipping ELF sections
  * ao-tools/ao-flash-lpc: Adapt to current openocd LPC support
  * altos/telegps: Inherit LDFLAGS from lpc make specification

 -- Bdale Garbee <bdale@gag.com>  Sat, 22 Apr 2017 12:07:57 -0600

altos (1.6.8-4) unstable; urgency=medium

  [ Keith Packard ]
  * altos/arm: Align data so that gcc 5.4 doesn't do byte-accesses. Add -Wcast-align

 -- Bdale Garbee <bdale@gag.com>  Wed, 25 Jan 2017 12:22:30 -0700

altos (1.6.8-3) unstable; urgency=medium

  [ Keith Packard ]
  * altos/stm: Make ao_usb_set_address static. Saves a bunch of text space,
    closes: #844816

 -- Bdale Garbee <bdale@gag.com>  Tue, 13 Dec 2016 00:19:44 -0700

altos (1.6.8-2) unstable; urgency=medium

  [ Keith Packard ]
  * Update pdclib to version using arm-specific 'ar' program, closes: #838357

 -- Bdale Garbee <bdale@gag.com>  Sun, 02 Oct 2016 17:49:32 -0600

altos (1.6.8-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * updates made during 1.6.5 release process
  * remove debian/ from master branch, it should live only on the debian branch
  * reinstate debian/ content on the debian branch only
  * update to latest Debian standards version
  * update Changelog for release

  [ Keith Packard ]
  * Switch from GPLv2 to GPLv2+
  * altos: Add telemetrum v3.0
  * Bump version to 1.6.5.1 after 1.6.5 release
  * altosuilib: Show indicator when they switch from invalid back to valid
  * altos: Add STM32F0 beep and SPI byte API.
  * altos: Keep telemetry and command output from interleaving
  * altos: Don't access cc1120 SPI bus during recv after abort has started
  * fixup for interleave
  * altos: Expose cc1200 radio test functions for telemini bringup
  * altos: Don't switch to flight 0 when log fills in flight
  * altos: Stop building cc1111-based telemini v2.0 firmware
  * altoslib: Add a 'seconds' method to AltosGPS
  * altos: Add 'ao_button_get' to button driver
  * altos: Make telelcotwo control two boxes instead of two pads
  * altos/stmf0: Hook up clock output support
  * altos/stmf0: Clean .bin files from flash-loader dirs
  * altos: Use standard FIPS testing for chaoskey
  * ao-chaosread: Add --infinite and --bytes options
  * ao-chaosread: Eliminate double-free when serial match fails
  * ao-bringup: Test chaoskey using dieharder
  * ao-bringup: Use released files for chaoskey turnon
  * Bump to version 1.6.6
  * ao-bringup: Add colors to chaoskey test result reporting
  * altos: Flash all LEDS during power on
  * altos/stmf0: Switch ADC fast to ADC clock
  * Bump verison to 1.6.7
  * ao-chaosread: Parse -i and -b options
  * ao-usbload: Check target device name to avoid mis-flashing
  * altos/cc1120: remove unused status from ao_radio_fifo_write_stop
  * ao-bringup: telemega allow serial on command line, loop on accel fail
  * ao-tools/ao-cal-freq: --verbose option has no parameter
  * altosui: Deal with connect failure in AltosConfigTD
  * ao-bringup/turnon_telemetrum: serial on cmd line. Loop on accel fail
  * ao-tools/ao-usbload: Fix -f flag, remove debug hacks
  * ao-tools/ao-cal-freq: Re-open usb device each try
  * Bump version to 1.6.7.1
  * altos/stm: Make ao_spi_duplex out pointer const
  * altos/stm: Create funcs to set SPI DMA parameters
  * altos/stm: Set MISO DMA priority to HIGH to avoid OVR
  * altos/stm: Set i2c recv DMA to HIGH
  * altos/stm: Set SPI slave DMA priority to HIGH/VERY_HIGH
  * Add 1.6.8 release notes
  * altosui: Don't ship TeleMetrum v3.0 firmware (yet)
  * Bump version to 1.6.8
  * Remove pyro wizard file from master

 -- Bdale Garbee <bdale@gag.com>  Mon, 05 Sep 2016 21:02:09 -0600

altos (1.6.5-1) unstable; urgency=medium

  [ Keith Packard ]
  * doc: Add install-html script
  * Bump android version to 13
  * ao-tools/ao-chaosread: Document length (-l) option
  * altosdroid: Deal with multiple installed android SDKs
  * Mark testing version 1.6.4.1
  * altosui: Deliver firmware for Tmega 2.0 and TBT 3.0 for Windows too
  * altos: Block interrupts while waking tasks sleeping on timers.
  * altos: Move comment in ao_sleep_for next to related code
  * altos/stm: remove ao_dma_abort
  * altos/stm: use 0xff for dma mutex value for allocated mutexes
  * altos/stm: Add more SPI status register bits
  * altos/stm: Change ao_spi_send_sync definition to take const source
  * altos: Add STM DMA debugging
  * altos: Add STM SPI debugging
  * altos/stm: move spi execution to common ao_spi_run
  * altos/stm: Clean up spi_enable/disable_index functions
  * altos/stm: Add better byte-level SPI api
  * altos/drivers: Use more reliable byte interface for CC1120 reception
  * altos: Add debug check for irq block when editing task queues
  * altos: cc1200: use FIFO threshold pin output for APRS buffering
  * altos: Make ao_delay(0) not wait forever
  * altos/telemini-v2.0: Remove show tasks command
  * altos: Make task list output more useful
  * altos/stm: clean up ao_exti_enable
  * altos: Leave USB enabled in flight with -DDEBUG=1
  * altos: Use FIFO_THR pin for cc1120 transmit buffering
  * Bump to testing version 1.6.4.2
  * altos/cc1111: Remove 'show tasks' command
  * Bump to 1.6.5. Add preliminary release notes
  * Credit Chuck Haskin for helping fix the SPI bug.
  * doc: Build 1.6.5 release notes

  [ Bdale Garbee ]
  * switch libgtk-3-bin build-dep to gtk-update-icon-cache, closes: #825455
  * updating ChangeLog for 1.6.5 release

 -- Bdale Garbee <bdale@gag.com>  Mon, 04 Jul 2016 23:48:50 +0200

altos (1.6.4-1) unstable; urgency=medium

  [ Keith Packard ]
  * altos/cc1111: Use SW to drive UART RTS pin
  * Bump version to 1.6.3.1
  * altosui/telegps: Ship firmware for new hardware
  * altosdroid: Check for closed before writing/reading bluetooth
  * Publish firmware with keithp-fat
  * Add TeleMega to spec list. Add TeleGPS RF output.
  * altoslib: Switch distance from m/ft to km/miles for large values
  * altoslib: Remove some debug printf calls
  * altosuilib: Rate limit map loading pacifier updates
  * altoslib: Allow map preloading to be aborted
  * altosdroid: Rate limit map loading pacifier
  * altosuilib: Don't flicker missing voltages when changing units
  * doc: Start update for 1.6.4
  * altoslib: Clean up map file and url handling
  * altosdroid: make disconnect stick past pause/restart
  * altoslib: Get rid of AltosMap from AltosMapLoader
  * telegps: Adapt to distance units switching changes
  * Bump android app version
  * Bump java library versions
  * Automatically run 'git submodule update' if necessary
  * altosui/telegps/micropeak: Handle both MULTI_LIB and non-MULTI_LIB builds
  * altoslib: Store common frequencies in library version-independent form
  * altoslib: Store saved state in version-independent format
  * altoslib: Allow empty values in AltosHashSet representation
  * altoslib: Set version and log space from AltosIdleFetch
  * altoslib: Add log_space to AltosState
  * altoslib: Add AltosIdleReader
  * telegps: Use log_space when flight_log_max is missing
  * telegps: Add monitor idle mode
  * altoslib: use miles for distances > 1000ft.
  * altosuilib: Have map preload respond to units and font size changes
  * altosuilib: Rename AltosUIMap*New.java to AltosUIMap*.java
  * doc: pad/idle indicator table was busted
  * altosuilib: Fill preload map on site or lat/lon change
  * altosuilib: Only display map debugging when serial_debug is enabled
  * telegps-v1.0: Document how SN 1959 was fixed
  * stmf0: Clear all USB state when resetting chip. Wakeup all sleepers
  * stmf0: Do not send more data than requested for GET_DESCRIPTOR
  * altos/lpc: Handle USB reset by resetting internal state
  * altos/stm: Handle USB reset in STM32L usb driver
  * altos/cc1115l: Reduce trace buffer size
  * altos/stmf0: Rework the sram allocation to save a few text bytes
  * altos/stmf0: Remove ao_usb_free
  * altosdroid: Auto save freq changes on 'ok'
  * altosui: Remove missing items from --summary output
  * altosuilib: Track open frames, exit when none remain
  * altosui: Don't open command window when --graph is provided
  * doc: Updates to 1.6.4 release notes.
  * altoslib: Switch preserved state format to JSON
  * altoslib: Remove AltosHashSet code
  * altoslib: Add null constructors to AltosQuaternion and AltosRotation
  * altoslib: Add JSON-based object saving/restoring code
  * altoslib: Use reflection JSON code for frequency preferences
  * altoslib: Improve AltosState save/restore debugging
  * altoslib: Get rid of manual JSON encoding stuff
  * altoslib: Add null constructor for AltosCompanion
  * altoslib: Add construction for remaining primitive array types to JSON
  * altoslib: Add back some JSON exception debugging printfs
  * altosui: Print filename before attempting to parse in --summary mode
  * altoslib: Stop reflective JSON class walk at Object instead of null
  * Bump version to 1.6.4

  [ Bdale Garbee ]
  * process updates made during 1.6.3 release cycle
  * extend "ok" temp range to 40C, since battery charger on bench can drive temp above 35C at times in Bdale and Robert's production testing
  * releasing 1.6.4

 -- Bdale Garbee <bdale@gag.com>  Fri, 17 Jun 2016 10:02:32 -0600

altos (1.6.3-1) unstable; urgency=medium

  [ Keith Packard ]
  * Releasing: Copy TeleMega v2.0 bits to Binaries
  * src/chaoskey-v0.1: Add HV enable support
  * altos/chaoskey: Add support for flipping between raw and cooked bits
  * altos/chaoskey: Delay ADC reading for 250ms at startup
  * altos: remove blank line in stmf0/ao_timer.c
  * altos/stmf0: Allow projects to specify non-default stack size
  * altos: Add power management APIs
  * altos/stmf0: Add suspend/resume support
  * altos: Allow USB drivers to skip CDC-ACM -specific descriptors
  * altos: Add power management to TRNG driver
  * altos/chaoskey-v0.1: Add power management and change USB classes
  * altos: Delay TRNG ADC long enough for HV supply to stabilize
  * altos: Add simple stats test to TRNG code
  * altos/stmf0: Add missing ao_gpio.c
  * altos: Another fix for non CDC-ACM devices
  * altos/stmf0: Fix location of device_id register
  * altos/chaoskey: Encode both hardware and software versions in product ID
  * altos/stmf0: Use device ID as usb serial number if requested
  * altos/chaoskey: Use SoC device ID as serial number
  * altos/chaoskey: Add another USB endpoint to read raw data
  * altos: Add ChaosKey v1.0 product
  * ao-bringup: Switch to v1.0 for chaoskey
  * ao-tools: Add ao-chaosread
  * altos/stmf0: Fix build without second USB IN endpoint
  * libaltos: jni_md.h moved to linux subdir in Java install
  * libaltos: Add unistd.h to get defines for various syscalls
  * altos: Expose fast timer API from kernel/
  * Change how we detect and install java
  * ao-tools/ao-dump-up: Remove spurious flight state strings
  * ao-tools/lib: Remove trailing whitespace from ao-elf.c
  * ao-tools/lib: Add ao_hex_image_cat function
  * ao-tools: Add ao-makebin
  * altos/stmf0: Construct .bin files for flash loaders
  * ao-bringup: Use dfu-util to install flash loader on chaoskey
  * libaltos: Add Windows BT support. Split into separate source files.
  * altosui: Delay between polling for igniter status in Fire Igniters
  * altosuilib: Note that Windows now supports Bluetooth
  * libaltos: Fix warning in linux libaltos code
  * altoslib: use env var LAUNCH_SITES to override default URL
  * altosuilib: Control map debugging output with Serial.debug
  * altosui,telegps: Do not allow radio calibration to be edited
  * altos/stm: Run scheduler code on interrupt stack
  * altos/stm: Validate current task SP in interrupt by looking at PSP
  * altos/stm: Allow apps to define different stack size
  * altos/lpc: Add fast timer
  * altos: Add one-byte SPI output routine for LPC and STM cores
  * altos: Allow for flight hardware without any ADC values
  * altos: Add Detherm log format (easymini without ADC)
  * altos: Use mini logging for detherm, just without ADC
  * altos/stmf0: Add SPI driver.
  * altos/stmf0: Support HPE clock source
  * doc: Note that EasyMega and TeleMega report A-D continuity
  * altos: Add detherm product
  * altos/stmf0: Add pwm and exti drivers
  * altos: Add ao_gpi_set/clr_bits functions
  * altos: Add easy mini plotting helper in test code
  * altos/detherm: Add ms5607 to detherm
  * altos/detherm: Add servo driver
  * altos: Support telefire products in cc1200 driver
  * altos: Add pad support for new telefire versions
  * altos: telefiretwo-v0.1 bits
  * altos: Allow for pad boxes with different sensor configurations
  * altos: Support pad/lco boxes with fixed box numbers
  * altos: Add TeleLCOTwo firmware
  * altos: Fix telefiretwo .gitignore
  * altos: Add ao_lco_two.c; alternate LCO interface code
  * altos: Use simpler debounce logic for buttons
  * altos/telelcotwo: Add idle timeout
  * Add TeleFireTwo v0.2 project
  * altos/stmf0: Fix external interrupts
  * altos/telefiretwo-v0.2: Change alarm names in comment
  * altosdroid: Don't set target location if lat/lon is MISSING
  * altoslib: Add debugging to AltosPreferences.state() etc
  * altoslib: Make AltosGPSSat implement Serializable
  * altoslib: switch from keySet() to keys() in altos map tiles
  * altos: avoid mixed declarations and code in ao_task.c
  * Update java library version numbers
  * AltosDroid play store keys have moved, update configure.ac
  * Prepare for new Android release by updating version number
  * libaltos: Fix for Mac OS X El Capitan
  * Add preliminary 1.6.3 release notes
  * altosdroid: Can only use message once
  * Bump version to 1.6.3
  * altosdroid: Track device location in app, not telemetry service
  * altosdroid: Redraw offline map when my location changes
  * altosdroid: Run even without Bluetooth
  * altoslib: Use feet per second for imperial speed
  * altoslib: Report exceptions caught while opening launch sites URL
  * altoslib: Don't try to drag lines around until map is loaded
  * Debug bits for telebt
  * altos: Use TXE instead of TC for serial on STM32l
  * altos/stm32l: Add support for software-driven HW flow control
  * altos/telebt-v3.0: Flip CTS/RTS pins for BT module
  * altos: Clear packet queue when starting packet master
  * altosdroid: Add idle mode monitoring, reboot. Start igniters
  * altosdroid: Split setup functions to separate dialog
  * Fix key in AndroidManifest.xml.in
  * altosdroid: Add configurable frequency set
  * altoslib: Make AltosPreferencesBackend abstract. Add set/put Serializable
  * doc: Add idle mode info to 1.6.3 release note
  * Revert "altos/stm: Run scheduler code on interrupt stack"
  * altosdroid: max height is a height, not a speed
  * altoslib: Correct stats for flights without a real landing
  * altoslib: Flush during set_state. Don't store listener state.
  * publish AltosDroid in keithp-fat target
  * altoslib: Deal with TeleMetrum v2.0 MMA6555 being inverted
  * altos: Make sure AO_MMA655X_INVERT is declared where needed
  * doc: Update AltosDroid chapter for 1.6.3
  * doc: 1.6.3 release notes note TeleBT rts/cts and TM 2.0 monitor idle fixes
  * micropeak: Change order of windows install so that java detect works
  * altoslib: Fix map preloading callbacks, run in separate thread
  * windows: Change install to look for browser in a different place
  * Ignore some built files for 1.6.3

  [ Robert Garbee ]
  * fix argument to ao-cal-freq so devices other than /dev/ttyACM0 work

  [ Bart Massey ]
  * Clean up stmf0 adc init.
  * altos: Fixed timing of panic display LED to be readable

  [ Justin Vreeland ]
  * Fix java class differing only by case

  [ Bdale Garbee ]
  * add beep to TeleMega turnon script
  * releasing 1.6.3

 -- Bdale Garbee <bdale@gag.com>  Fri, 06 May 2016 18:14:11 -0600

altos (1.6.2-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * process updates from 1.6.1 release
  * move turnon_teledongle to new cal-freq code
  * add a paragraph about TeleBT battery charging to AltosDroid chapter in documentation
  * turnon script for TeleBT v3.0
  * apply wrap-and-sort to control files
  * add automatic Bluetooth functionality check to turnon_telebt
  * new build dependency on asciidoc
  * now building for m4, too
  * modify bringup scripts to handle TeleMega v2.0
  * modify release procedure to reflect Keith setting version in confgure.ac
  * submodule madness
  * one more time, with feeling .. this time, I've updated pdclib
  * update Changelog from git log

  [ Keith Packard ]
  * altoslib: Add companion telemetry data support
  * ao-telem: Add companion packet telemetry data printing
  * altos: Add HAS_COMPANION to new boards with companion connectors
  * altos/telefire: No reply for ARMED. Ignore time for FIRE.
  * altos: Provide direct segment driving interface for LCD displays
  * altos/telelco: Infrastructure changes for drag racing
  * altos/telelco: Add drag race UI
  * altoslib: Hide 'state' member and use accessor function
  * altoslib: Rotation off by factor of two
  * altos/telelco: Adjust drag race UI
  * altosdroid: Add minus sign and decimal point to lat/lon input fields
  * altosuilib: In display thread, set new state synchronously
  * altoslib: Make sure .eeprom download file is flushed on exception
  * Bump release number to 1.6.1.1
  * altoslib: Clean up remaining direct AltosState.state users
  * altoslib: Keep downloading when a parse error occurs
  * Create directory on keithp.com when uploading devel version
  * telelco: Fix pad reset to one on radio signal loss
  * doc: Force FOP to read images from doc directory
  * doc: Start doc transition to asciidoc
  * doc: Add asciidoc telemini v1.0
  * doc: Lots more conversion from docbook to asciidoc
  * doc: Add asciidoc version of altosui chapter.
  * doc: Add asciidoc version of Altos Droid manual
  * doc: Add updating firmware and using am products asciidoc bits
  * doc: Add titles to all figures
  * doc: Finish converting docs to asciidoc format
  * doc: Convert AltOS doc to asciidoc
  * doc: Convert telemetry and companion docs to asciidoc
  * doc: Minor makefile cleanups
  * doc: Switch to free fonts. Publish fonts with docs.
  * doc: Place html book contents on left side of page with separate scrollbar
  * doc: Split revhistory to separate file for html docs
  * doc: Get images and tables all centered and labeled
  * doc: Make pdf titles less ridiculously large
  * doc: verbose mode for a2x
  * altosui: telemini outline pdf changed name
  * doc: Add product logos to books
  * Break out common pieces from TeleGPS and AltusMetrum
  * doc: Reformat 'Using MicroPeak' section
  * doc: Provide more actual links instead of just chapter names
  * doc: Move pad beeps table to usage chapter
  * doc: Reformat html versions a bit
  * doc: Split out EasyMini into a separate manual
  * doc: Try a different trick for asciidoc build issues
  * doc: Construct html index for documentation
  * doc: Remove some bogus bits from am.css
  * ao-tools/ao-dbg: Stop using sigvec
  * altos: Add TeleMega v2.0, including PWM driver
  * altos: Get stm32l pwm driver working
  * altos: Set AO_PWM_TIMER_SCALE for telemega-v2.0
  * Switch TeleMega v2.0 to CC1200 radio chip
  * altos: Insert inter telemetry-packet delay
  * Elide pyro channel information from EasyMini docs
  * Elide flight computer info from APRS section of TeleGPS manual
  * altoslib: Remove debug message from AltosMap
  * Update java library versions
  * Add release notes for 1.6.2
  * altos: Set TeleMega v2.0 PWM to support servos
  * altos: Switch PWM constants to end up exposing µsec
  * Bump version to 1.6.2, altosdroid to 10
  * doc: Update copyright year in altusmetrum doc
  * doc: fix typo in using external active switch circuit section
  * doc: Remove telemini v2.0. Add telemega v2.0
  * doc: Remove extraneous 'first off' from legal paragraph

 -- Bdale Garbee <bdale@gag.com>  Sun, 10 Jan 2016 19:11:18 -0700

altos (1.6.1-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * swap names so v3.0 is the default TeleDongle version to turn on
  * add debian branch spec to vcs-git: line in control so Debian tools work right
  * changelog for 1.6.1 release

  [ Tom Marble ]
  * Minor typo in man page
  * Added continuous output option to ao-usbtrng

  [ Keith Packard ]
  * altos/stmf0: Add ao_crc_stm.c
  * altos: Replace ao_alarm/ao_clear_alarm with ao_sleep_for
  * altosui: Run all igniter status requests from non-GUI thread
  * altosuilib: Detect pair programming by product name, not USB id
  * ao-bringup/turnon_telemini: Detect which programmer to use by $USER
  * altos: embed ao_alarm and ao_clear_alarm in ao_sleep_for
  * altos/cc1200: Adjust bit-sync configuration
  * altos: Remove some accidental debug printfs from ao_packet.c
  * ao-bringup: Changes for telebt for keith's hacking
  * altosdroid: Lots of bluetooth connection changes
  * altosdroid: Explicitly disconnect BT on termination or 'disconnect'
  * altosdroid: Only speak when GUI is running
  * altosdroid: Missing file: DeviceAddress.java
  * altosdroid: Ignore automatic tab changing while activity is saved
  * altos: Allow software to offer other USB interface classes than CDC
  * altos/stmf0: Fix fast ADC interface
  * altos/stmf0: Typo in ao_crc_stm.c
  * altos/stmf0: Allocate USB buffers at startup
  * altos: Create chaoskey product
  * altos: Add chaoskey flash loader
  * altos/usbtrng: Split out random number generating code to separate driver
  * altos: Make APRS format (compressed/uncompressed) configurable
  * altosui/telegps: Add config option for APRS format
  * altoslib: Round frequency when configuring radio
  * ao-tools: Add ao-flash-stm32f0x
  * altos: Wait for BT disconnect before sending command
  * altos: Missing pad field in TMv2 data packet
  * altosui/telegps: Change from variable-units snuck into master
  * altosdroid: Deal with bluetooth connection failures better
  * doc: Update telemetry docs to include new packet formats
  * altos: Add .gitignore for chaoskey
  * altos: Build chaoskey by default
  * altos: Add makefile for chaoskey flash loader
  * altos/stmf0: Need ao_exti.h for pin configuration
  * altosui: Add map to MonitorIdle display
  * ao-tools/ao-mega: Clean up formatting of pyro status messages
  * altos/test: Make aprs test code compile again
  * altos/test: Support old telemega eeprom file formats in ao_flight_test
  * ao-tools/ao-list: Show devices that have no TTY
  * altos: Add the ability to configure a different USB vendor ID
  * altos/chaoskey: Set USB VID/PID to 0x1d50/0x60c6
  * altos/stmf0: Have fast ADC ring buffer code use wrap-around
  * icon: Convert windows stub into launcher program
  * windows: Use new windows stub to launch applications
  * altosdroid: Add USB support for TeleDongle/TeleBT
  * altosdroid: Fix tab label height problems
  * altoslib: Use Locale.ROOT for KML export
  * altoslib: Expose locale and non-locale floating point parsing functions
  * altosui: Remove un-implemented --fetchmaps argument
  * ao-dump-up: Add --wait option to make testing µPusb easier
  * doc: Clarify what 'after motor' means
  * altos: Support 32MHz xtal on cc1200
  * microsplash: Add 'publish' target to Makefile
  * micropeak: Use fast load mode by default in -load script
  * Flip version to 1.6.0.2
  * altoslib: Create display-independent map support code
  * telefire: Make 'good' RSSI value configurable
  * altos: Only set CMAC RSSI value on valid packet received
  * telefire: Report telefire battery voltage over telemetry link
  * altos: Add telelco v0.3 (v0.2 with cc1200 instead of cc1120)
  * altos/telelco: Display telefire battery voltage
  * altos/telelco: Show box voltage with pad knob instead of firing button
  * altoslib: Build AltosVersion.java in configure.ac
  * altoslib: Get new abstract mapping code compiling
  * altoslib: More frobbing with new map bits
  * altoslib/altosuilib: Update library version to 7
  * altoslib/altosuilib: Get new Map display code running in altosui and telegps
  * altosuilib: Add AltosUIImage.java
  * altosuilib: Use new map code for map preload UI
  * altosuilib: Remove old map bits
  * altosuilib: Get rid of AltosUIVersion.java
  * altosdroid: Add offline map tab
  * altosdroid: Move pause before reopening bluetooth into connec thread
  * altosdroid: Centralize debug printf code
  * altosdroid: Place icons on screen instead of drawing path
  * altoslib: Add AltosLaunchSite bits
  * altosuilib: Use altoslib site list loader
  * altoslib: Start with map empty
  * altoslib: Provide toString method for AltosLatLon
  * altoslib: Add map loading helper class
  * altosuilib: Switch to altoslib map loading code
  * altosuilib: Get rid of AltosUIMapNew.set_load_params
  * altosuilib: Eliminate extra MapCache in AltosUIMapPreloadNew
  * altoslib: Pass all map loader params to set_load_params
  * altosdroid: Add map types and map preloading UIs
  * altosdroid: Look for zipalign in the new place too
  * altosdroid: Disable debug output on release builds
  * altosdroid: Save selected map type in AltosDroid object
  * altosdroid: Add 'Current Location' as an option when preloading maps
  * altosdroid: Split out AltosMapView into separate file
  * altosdroid: Missing call to super.onDetach from TabMapOffline
  * altosdroid: use 'show' to set new tab contents in onResume
  * altoslib: Require 'debug' hook in AltosMapInterface
  * altosdroid: Switch from custom title to standard Holo theme
  * altosdroid: Highlight age in red when older than 10 seconds
  * ao-tools: Create ao-cal-freq
  * ao-bringup: Use new ao-cal-freq program for cal-freq script
  * ao-bringup: Do telegps freq cal before testing GPS
  * ao-tools: Add missing ao-cal-freq man page
  * altoslib: Add preferences for saving/restoring multiple flight states
  * altosdroid: Add multi-tracker support
  * altosdroid: Note recent changes
  * altosdroid: Resource changes needed for multi-tracker mode
  * altoslib: Set product for idle monitor
  * altoslib: Let the application disable the link cancel dialog
  * altoslib: Expose public function to set state.product
  * altoslib: Remove debug output from AltosMap
  * altosuilib: Show state.product if state.device_type isn't set
  * altosuilib: Create grid-bag helper functions in AltosUIFrame
  * micropeak: Update mac/windows FTDI drivers
  * telegps: use new AltosUIFrame constraint helper
  * ao-bringup: Fail turnon_easymega if accel cal fails
  * ao-bringup: Use local versions of tools instead of /usr/bin for turnon_easymega
  * ao-bringup: Make turnon_easymega run without 'make install'
  * altoslib/altosuilib: Fix equals methods, add hashCode
  * altoslib: Clean up map tile removal
  * altosuilib: Allow for no transform in map mouse wheel function
  * altosdroid: Switch trackers automatically when changing freq or baud
  * altosdroid: Remove debug
  * altosdroid: Support for sorting rockets by age
  * altosdroid: Stack map markers with newest rocket on top
  * altosdroid: Multiple tracker support for google maps
  * altoslib: Add set_zoom_centre to AltosMap
  * altosuilib: Use AltosMap set_zoom_centre instead of in-line version
  * altosdroid: Use AltosMap set_zoom_centre
  * altosdroid: Show receiver battery voltage in the 'pad' view
  * altosdroid: Add map source preference
  * altosdroid: Display online/offline maps in same tab
  * altosdroid: Get rid of on-line only maps tab
  * altosdroid: Select tracker by clicking on map
  * altosdroid: Switch to four tabs (pad/flight/recover/map)
  * altosdroid: Allow tracker selection from online map widget
  * altosdroid: Mark four-tab change done
  * altosdroid: Fix line drawing to old tracker location
  * altoslib: Use a longer filter for descent values
  * altosdroid: Show direction to target in recover tab
  * altosdroid: Define strings for the tab names
  * altosdroid: Change voice output around
  * altoslib: Typo slipped into AltosState.java
  * altosdroid: Make sure whole flight state is spoken even when no-one is moving
  * altosdroid: Make sure flight voice output always starts with 'speed'
  * altosdroid: Mark tab-dependent voice output as done
  * altosdroid: Update version numbers in manifest
  * Bump version to 1.6.0.3
  * altoslib: Fix replay to run in realtime again
  * altosdroid: Display direction in map view
  * altosdroid: Class of offline map view widget changed
  * altoslib: Don't crash if dragging a map view without any tiles
  * altos/telebt-v3.0: Report battery voltage correctly
  * altoslib: Support TeleBT v3.0 battery voltage conversion
  * altosuilib: Receiver battery voltage lives in listener_state
  * altosui: Correctly show/hide receiver battery value
  * telegps: Add receiver battery to Status display
  * altoslib: Make AltosMap floor/ceil static. Check transform in paint
  * altoslib: Make earth size constants public
  * altoslib: Limit simultanous map tile downloads to 128
  * altoslib: Convert longitude from distance in AltosMapTransform
  * altoslib: Preload maps based on distance rather than number of tiles
  * altosdroid: Keep speaking even when screen is off
  * altosdroid: Pop up menu of nearby trackers on map click
  * altosdroid: Remove a debug line in AltosVoice
  * altosdroid: Don't disconnect from bluetooth onStartCommand
  * altosdroid: Add other igniter status, various other layout changes
  * Generate Android version info from configure.ac
  * altosdroid: Note time at startup to avoid flipping trackers
  * altosdroid: Add 'Auto' to map tracker list
  * altosdroid: Clean up tab layout
  * altosdroid: Cleanup Makefile.am
  * Bump version to 1.6.0.4 (android version 8)
  * doc: Update for 1.6.1
  * Bump configure.ac versions to 1.6.1
  * Bump Java library versions

  [ Robert Garbee ]
  * add beep when test completes

 -- Bdale Garbee <bdale@gag.com>  Thu, 16 Jul 2015 13:38:22 -0600

altos (1.6-1) unstable; urgency=medium

  [ Keith Packard ]
  * altoslib: Stop re-loading previous flight when starting telemetry monitoring
  * telegps: Was mis-configuring the 'Configure Device' dialog
  * altos: Fix ability to disable telemetry by setting interval to 0
  * altos/test: Add TMv2 test program to .gitignore
  * altos: Add smaller altitude table file to .gitignore
  * altos: Make sure we don't beep out continuity twice in idle mode
  * altosui: Ignore built .desktop file
  * ao-bringup: Use C version of test-flash for telegps
  * ao-tools: Add ao-test-gps program
  * ao-bringup: Use C version of ao-test-gps in test-telegps
  * ao-tools/ao-test-gps: Improve output formatting
  * ao-tools/ao-test-igniter: Remove bogus printf
  * ao-bringup: Improve igniter testing. Add TeleMega and TeleMetrum testing.
  * Mark master branch as past the 1.5 point
  * altosdroid: Update version code and name for 1.5
  * altosdroid: Automatically sign the released version if the key is available
  * altosui: Fix --replay to run in realtime after boost
  * altosui: Bring up main window when doing --replay or --graph
  * altosdroid: Update notebook to reflect current status
  * altos: Make sure we drop the SPI mutex when aborting cc1120 recv
  * ao-bringup: Auto-select programmer for teledongle turnon
  * altos: Handle antenna down in ao_flight_test
  * altosui: Check for map and stats table when changing units/fonts in graph
  * altos: Record 32-bits for gyro calibration values
  * altoslib: Deal with new Mega log format that has 32-bit gyro cal
  * altosui: Update 'Imperial Units' checkbox when units change
  * altoslib: Compute tilt angle from eeprom data
  * altos: Fix syntax error with ao_log_mega change.
  * altos: Copy cc1120 driver to cc1200 driver and hack a bit
  * altos: Add prototype TeleDongle v1.9 code
  * altoslib: synchronize access to serial debug output list
  * altosuilib: Try to detect the architecture when loading JNI lib
  * ao-tools/ao-send-telem: Add verbose, fake and rate options
  * altos: Mark STM ao_spi_send as taking const pointer
  * altos: Expose telemetry altitude macros even without GPS
  * altos: Complete cc1200 driver
  * altos/teledongle-v1.9: Add remaining code to complete the project
  * altos: Sort out ao_gps_print altitude fetching
  * altos: Increase PQT value for cc1200 improving sensitivity
  * altos: Build TeleDongle v1.9 by default
  * altos: Remove old AO_SEND_ALL_BARO bits
  * altos: Perform cc1200 calibration less often. Tweak radio params
  * altos: Fix up telemetry delay computations
  * altos: Increase CC1200 SPI data rate to 8MHz
  * altosui: Pop up 'Connecting' dialog during Monitor Idle
  * altos: Rename microwater to microsplash
  * Move teledongle 1.9 to 1.8; there's a new 1.9
  * altos: Declare port register type only in arch header
  * altos: Stop attempting to ramp power on CC115L
  * altos: Use AO_SPO_SPEED_FAST for CC1200
  * altosuilib: GPS errors are recorded in floating point, not integers
  * altos: Use other TeleDongle LED for CRC-invalid packet reporting
  * altos/lpc: Declare SPI send parameters as const
  * altos/lpc: Disable JTAG when using pins for GPIO
  * altos/teledongle-v1.9: Switch to NXP processor as on prototype boards
  * altos: Reset interrupt flags before TX in CC1200 driver
  * altoslib: Missing headers for mag sensor in CSV output
  * altoslib: Make AltosState serializable
  * altosdroid: Don't display MISSING flight number
  * altoslib: Add getBytes/putBytes interface to AltosPreferencesBackend
  * altosdroid: TabMap needs to expose () constructor
  * altoslib: add AltosPreferences state save/restore interfaces
  * altosdroid: Save AltosState and restore at startup
  * altosdroid: East and West were flipped in all GPS output
  * Add AltosDroid release note for version 1.5
  * altos/microsplash: fix .gitignore to ignore resulting binary
  * altosui: Remove duplicate AltosUIPreferencesBackend.java
  * altos: Allow TeleMega to be built without MPU6000
  * altos/teledongle-v1.8: Make this the same as teledongle v1.9
  * altos/cc1200: Wait for packet to be placed in FIFO during receive
  * altos/cc1200: Open up preamble detect to improve sensitivity
  * altos/cc1200: With PQT wide open, we can't use PQT_REACHED for start
  * altoslib: Add usbtrng, usbrelay and mpusb USB ids
  * micropeak: Support µPUSB with our own USB ids
  * ao-bringup: Clear pending output before setting frequency.
  * altos: Document cc115l power measured at RF setting 0x03 as -31.75dBm
  * altos: Adjust CC1200 RSSI reporting value
  * altos/lpc: Switch LPC SPI driver to interrupt-driven
  * Set version to 1.5.9.1
  * altos: Get rid of some accidental debug code
  * altos/lpc: Fix double-buffered USB changes
  * altos: Add support for TeleBT v3.0
  * altos: Initial STMF04x support
  * altos: USBtrng v2.0 hardware bringup
  * altos: Add self-flash support for STM32F042 processor
  * altos: Add flash-loader to usbtrng-v2.0
  * ao-tools: Add --wait option to ao-usbload
  * altos/stmf0: Fix linker scripts to make ao_boot work
  * altos/stmf0: Add faster USB path
  * altos/stmf0: Add ADC and DMA APIs
  * altos/usbtrng-v2.0: Add random output command
  * altos/stm: Fix typo in stm32l.h
  * ao-tools: Add ao-usbtrng to dump RNG data for testing
  * altos/stmf0: Remove remaining stm32l bits from stm32f0 code
  * altos/stmf0: Add CRC driver
  * altos/usbtrng-v2.0: Use stmf042 hardware CRC unit
  * altos/stmf0: Re-implement fast ADC code for stmf0
  * Oops, forgot the TeleBT-v3.0 Makefile
  * And, also add the TeleBT v3.0 flash loader Makefile
  * altos/stm: Add ability to delay STDIO usage for serial ports
  * altos/btm: Add fancier debug. Pull serial reset port low.
  * altos: Always include a check for stdio overflow
  * altos/telebt-v3.0: Fix stdio setup for BTM
  * altos/telebt-v3.0: Turn red LED off after initialization
  * altos/stmf0: Support PA11/PA12 remapping
  * altos/usbtrng-v2.0: Select PA11/PA12 mapping config value
  * altos/telebt-v3.0: Add monitor bits
  * altos/telebt-v3.0: Set initial radio cal to a sensible value
  * altos: Rename teledongle-v1.9 as teledongle-v3.0
  * ao-bringup: Add turnon_teledonglev3
  * Revert "altos/lpc: Fix double-buffered USB changes"
  * Revert LPC usb performance improvements
  * altos/teledongle-v3.0: Shrink stacks to 320 bytes to fit in ram
  * altos/easymini-v1.0: Shrink stack to deal with USB changes
  * altos/lpc: Clean up USB endpoint access functions
  * altos/lpc: Double buffer USB data transfers
  * Update docs for 1.6
  * libaltos: Use more SetupDi API to get Windows 7 listing devices
  * Add 'keithp-fat' target for uploading temporary builds to keithp's machine
  * windows: Look for current Java version in \SOFTWARE\Wow6432Node
  * micropeak: Fix file association registry install on Windows
  * micropeak: Support both FTDI and Altus Metrum USB IDs
  * micropeak: Install Windows AltusMetrum driver bits
  * altosuilib: New teledongle and telebt devices are not pair-programmed
  * Package TeleDongle-v3.0 firmware with TeleGPS and AltosUI apps
  * altoslib: Store MS5607 data in AltosConfigData for use by AltosMs5607
  * altosuilib: EEProm download from TeleGPS doesn't have states
  * altosuilib: Don't show 'Sats in view' for TeleGPS eeprom graphing
  * altoslib: Support TeleGPS for Monitor Idle
  * altoslib: Use 'stateless' for Monitor Idle
  * altoslib: Initialize GPS data to MISSING for Monitor Idle mode
  * altos/drivers: Increase SPI speed of CC115L to 6MHz
  * altos/lpc: Give up on interrupt-driven SPI driver
  * altos: Separate out ao_tracker force from dbg
  * Update version 1.6 release notes with more bug fixes
  * altos: ao_packet_getchar needs to return 'int' so AO_READ_AGAIN works
  * altosui: Remove the dregs of AltosDroid load-old-telem code
  * altoslib: Mark listener as 'not running' on EOF.
  * altosuilib: Wait for product data while scanning
  * altoslib: Drop telemetry packets processed while monitoring is disabled
  * altosuilib: Reset telemetry state after processing it
  * altoslib: Clear saved TelemetryReader state instead of resetting in ScanUI
  * altosuilib: Set the icon and title of the telemetry scanning dialog
  * doc: update 1.6 release notes with recent bug fixes
  * altosuilib: Get the Eeprom download progress bar working again
  * altosuilib: Don't offer to graph some GPS details that TM doesn't log
  * Bump java library versions

  [ Bdale Garbee ]
  * updated to reflect changes from 1.5 release
  * reflect filename changes in LLC repo
  * store cal value correctly even when we didn't need to change it
  * document pyro current limits in an appendix
  * improve test procedures for TeleMega
  * document addition of TeleDongle to the set of ARM targets to save binaries for
  * update ChangeLog for release

 -- Bdale Garbee <bdale@gag.com>  Sat, 07 Feb 2015 22:40:49 -0700

altos (1.5-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * notes updated for TeleGPS and 1.4 release learnings
  * make sure to use Google Maps API key for official builds
  * need the api key in Bdale's root too
  * update Releasing file based on learnings from 1.4.1 release
  * Windows sucks, hard .. make sure filenames are legal in .mdwn files
  * note need to push the updated repo with production binaries during release
  * update turnon tools
  * change easymega from v0.1 to v1.0, tweak to build on master, add to Makefile
  * turn echo back on after accel cal in turnon_telemetrum so rest is easier
  * tweaking test scripts
  * releasing version 1.5
  * updated ChangeLog for 1.5 release
  * update changelog for Debian build
  * capture deleted file
  * more build dependencies for processing icons
  * more build dependencies for processing icons
  * update ChangeLog
  * update changelog for Debian build
  * another build dep
  * use dh_installmime, which requires telling configure to stay out of the way
  * another build dep
  * use dh_installmime, which requires telling configure to stay out of the way
  * update changelog for release
  * update changelog for Debian build
  * need multi-arch in fat build
  * ignore cal_values file in bringup directory
  * updated ChangeLog for release

  [ Keith Packard ]
  * doc: Add instructions for flash recovery technique
  * altos/micropeak: Create a script to load firmware.
  * altosui/telegps: Use menus for frequency list and telemetry formats
  * altosuilib: Move menu bars into the Mac OS X top bar
  * altosui: Fix ground station configure frequency list
  * java: Bump java library versions for next release
  * altos/micropeak: Add load script template
  * Sign our .inf file with the comodo key. Update signing-driver
  * Fix java version detection and downloading
  * icon: Construct .exe files to hold windows icons for file associations
  * windows installer: Create file associations for Windows.
  * macosx: Define icons for our file types on OS X
  * altosui: Ship TeleMetrum v2.0 firmware with AltosUI
  * altosuilib: Hook up apple messages to callbacks
  * macosx: Respond to apple messages in all apps
  * windows: Missed adding 'refresh-sh.nsh'
  * linux: .desktop files must begin with organization name
  * Rename icon files to fit XDG specifications. Add file icons. Add mime types
  * altosuilib: Wrap radio frequency menu in JMenuBar when used in config
  * altos/aprs: Encode last serial number in SSID. Transmit serial in comment
  * altosui: Add Ignitor tab to Monitor Idle mode
  * altos: Make APRS SSID configurable
  * altosui/telegps: Expose configurable APRS SSID
  * ao-tools: Add ao-test-baro, ao-test-igniter and ao-test-flash
  * ao-bringup: Use the C tools to test EasyMini
  * altos: Add optional debugging to print out pyro firing status
  * altos/ao_flight_test: Get the Tmega version compiling again
  * Bump version to 1.4.1.1
  * altosuilib: Make map cache size configurable
  * altosuilib: Outline map lines and distance value with white
  * icon: Generate altusmetrum.xpm and install it
  * altosuilib: Mark 'Configure AltosUI' window with maps key status
  * Clean all .desktop files, ignore them too
  * Add 1.4.1 release notes
  * Add note about including Google maps API key
  * altosui: Don't show the tracker motion value when switching units
  * telegps: Disable tracker config when not available
  * altosui/telegps: Undo the frequency/telemetry menu changes
  * altoslib: Disable telemetry while getting config data
  * altoslib: Preserve receiver_serial across state reset for new transmitter
  * altosuilib: Remove debug printfs from map cache
  * altos: ao_rssi subsystem needs to use AO_LED_TYPE instead of uint8_t
  * altos: Stop sticking cc1111 firmware in src directory
  * altos: Use TeleMetrum v1.9 board for MegaDongle experiments
  * altos: Reduce configuration data telemetry to once per 5 seconds
  * altos: Add defines for 2400 and 9600 baud telemetry rates
  * altos: Add config support for 2400 and 9600 baud telemetry rates
  * altos: Call ao_telemetry_reset_interval when telemetry rate changes
  * altos/cc1111: Adjust receive parameters to improve sensitivity
  * altos/cc1111: Add 2400 and 9600 baud telemetry rate support
  * altos: Add 2400 and 9600 baud telemetry support to cc115l driver
  * altos: Packet reception tuning for cc1120 driver
  * altos: Add telemetry rate support to CC1120 driver
  * altos: Rework packet receive for cc1120
  * altoslib: Support multiple telemetry rates
  * altosuilib: Add telemetry rate to Scan UI
  * altosui: Support telemetry data rates
  * telegps: Support variable telemetry rate
  * Add support for the "kite" micropeak variant
  * Bump version to 1.4.9.1 -- on the way to 1.5
  * altosui: Hide inactive altimeter configuration entries
  * altos/telemini-v2.0: Add memory decorations to new telemetry variables
  * altos: Add smaller pa to altitude table for TeleMini
  * altos/telemini-v2.0: Enable beep config and radio rate config
  * micropeak/altosui/telegps: Fix icon file names
  * altoslib: Clean up GPS DOP support in AltosState
  * altoslib: Ensure CSV output is consistent
  * altosuilib: Add GPS DOP values to graph
  * altosuilib: Add GPS DOP values to info table
  * altosuilib: Allow for unitless axes in graphs
  * altos: Extend GPS altitudes to at least 24 bits everywhere
  * altoslib: Handle wide GPS altitude values in eeprom and telemetry
  * altos: Scale DOP values by 10 in GPS drivers
  * altos: Record pdop value in TeleMetrumV2 log
  * altos: Use 32-bits for flight state data (alt/speed/accel)
  * altosui: Fix the 'Graph' button on the landed tab
  * altoslib: Extend telemetry heights from 16 to 32 bits
  * libaltos: Bind to libbluetooth at runtime on demand
  * altosui: Don't show bluetooth UI bits on mac/windows
  * libaltos: typo in libaltos broke the build
  * telegps: Missing function in TeleGPSConfigUI
  * altos/telefire,telelco: Add HAS_RADIO_RATE to launch system software
  * ao-tools: Add TMv2 and Tgps log formats to cc.h
  * ao-tools: Provide altitude to temperature conversion function
  * ao-tools: Add a few GPS telem/eeprom constants
  * altos: Interrupt radio receive when changing data rate
  * altos: Make ao_gps_print deal with telem containing 32-bit altitude values
  * altos/test: Build TeleMetrumV2 flight test variant
  * altoslib: Parse eeprom 'altitude-32' fields
  * Set version to 1.4.9.2
  * altosuilib: Fix minor scan UI nits
  * linux-fat: Fix up fat linux install icons, mime types and .desktop files
  * altoslib: Handle TeleGPS files for KML export
  * altos: Have MicroKite just start recording at startup
  * altos: Document which TeleFire alarm pins are which
  * altos: Report additional pyro channels via beeper
  * altosdroid: Add telemetry rate support
  * altosdroid: Skip updating hidden UI elements
  * altoslib: Parse 'Log fixed:' configuration value
  * altoslib: Handle link timeout in AltosDebug.read_memory
  * altoslib: Close serial port when AltosFlash fails to detect a target
  * altoslib: Improve performance of AltosLib.hexbytes
  * altoslib: Remove some debug printfs
  * ao-tools/ao-send-telem: Support sending TM v2 and Tm v2 telemetry
  * Use -ldl when testing whether -m32 and -m64 builds work
  * cc1111: Wait for internal flash write to complete
  * telegps-v1.0: Provide one log and append to it
  * altosui: Make Windows java test "smarter"
  * altos: Add telerepeat-v1.0
  * Add ao-tools/ao-cal-accel
  * ao-bringup: Use ao-cal-accel instead of cal-accel in turnon scripts
  * ao-bringup: Test EasyMega boards
  * altos: Make sure pyro remains valid during delay
  * altosdroid: start restoring from log data on startup
  * altoslib: TeleMega telemetry pyro voltages are uint8
  * altosdroid: fixup fetching active device address
  * altosdroid: Add quit. Restart. Show freq in title.
  * altoslib: create logfiles preference object. check link in existing_data
  * altosdroid: Add missing preferences backend file
  * altosdroid: reload previous log file at connect time
  * altos: Don't add AO_LOG_FLIGHT to existing GPS logs
  * altoslib: Ignore extra AO_LOG_FLIGHT records from TeleGPS
  * altoslib: Catch a couple null pointers in AltosConfigTD
  * altosui: Fix 'pad' screen for TeleGPS
  * altos/telefire: Add firing length to manual pad command
  * altosdroid: Use single object to pass data to UI
  * altos: Allow negative values for pyro configuration data
  * altosui: Don't mark altimeter dirty when opening pyro panel
  * altosdroid: add new TelemetryState.java
  * altosdroid: Ignore TelemetryService messages after service shutdown
  * altosdroid: Update tab contents before switching
  * altosdroid: Add imperial unit support
  * altosdroid: Mark completed items as 'done'
  * altos: Reduce deviation at 2400/9600 baud
  * altoslib: Update local callsign/baud rate when using remote protocol
  * altoslib: Increase timeouts when using low baud rate remote protocol
  * altos: Scale packet master receive delay by baud rate
  * doc: Update for version 1.5 release
  * altosui: Include EasyMega firmware in fat release
  * Tag version 1.4.9.3
  * altoslib: Fix idle monitor parsing of MMA655x state
  * altos/easymega: Set USB PID for EasyMega to 0x0028
  * altoslib/altosuilib: Add EasyMega support
  * altoslib/altosuilib: clean all versions of the .jar file
  * icons: Use DESTDIR when updating mime/icon caches
  * .desktop: Use %F instead of %f in .desktop files
  * configure: Add --disable-install-shared-mime-info option
  * altoslib: Stop re-loading previous flight when starting telemetry monitoring
  * telegps: Was mis-configuring the 'Configure Device' dialog
  * altos: Fix ability to disable telemetry by setting interval to 0
  * altos: Make sure we don't beep out continuity twice in idle mode

 -- Bdale Garbee <bdale@gag.com>  Sat, 13 Sep 2014 11:33:05 -0600

altos (1.4.1-1) unstable; urgency=medium

  [ Keith Packard ]
  * Sign our .inf file with the comodo key. Update signing-driver
  * Fix java version detection and downloading
  * altosui: Ship TeleMetrum v2.0 firmware with AltosUI
  * Add 1.4.1 release notes
  * Add note about including Google maps API key
  * altosuilib: Mark 'Configure AltosUI' window with maps key status

  [ Bdale Garbee ]
  * notes updated for TeleGPS and 1.4 release learnings
  * make sure to use Google Maps API key for official builds
  * need the api key in Bdale's root too
  * releasing 1.4.1
  * update ChangeLog for release

 -- Bdale Garbee <bdale@gag.com>  Tue, 24 Jun 2014 21:57:12 -0600

altos (1.4-1) unstable; urgency=medium

  [ Keith Packard ]
  * Add linux installer script
  * Put altusmetrum.svg and micropeak.svg in icon directory
  * Move .desktop and icon management out of debian dir
  * micropeak: Construct linux install script
  * Mark .desktop files as executable
  * Re-create drill templates
  * doc: Need to publish .svg files as well
  * altos: Move balloon flight code to core
  * altos: Expose ao_usb_running globally
  * altos: Set reasonable accel values when !HAS_ACCEL
  * altos: Make balloon code run again
  * altos: Create balloon-specific load for TMv2 hardware
  * libaltos: Link so with -znoexecstack flag
  * Mark development sequence to 1.3.3 by bumping version to 1.3.2.1
  * altosui: Retry device enumeration after rebooting for self flash
  * Install .desktopfile as _SCRIPTS so they are left executable
  * doc: Add separate outline pdf generation
  * Add flash loader for stm-demo board
  * Re-add LCD bits to stm-demo
  * Add USB True Random Number Generator product
  * altos: Don't require projects to define PACKET_HAS_SLAVE
  * altos: fix building LPC serial support for STDIO
  * altos: Fix LPC LED driver
  * altos: Missing ao_pins files for usbtrng
  * altos: Another missing usbtrng file
  * altosui: Hide Tilt Angle values when not available
  * Add easymega firmware
  * altos: HAS_LED is useless; remove it
  * altoslib: Ignore speed/accel after boost when finding maxima
  * altoslib: Fix EasyMini voltage computations
  * Add easymini turnon script and helpers
  * altoslib: Missed a couple of easy mini voltage API changes
  * altos: Rename 'core' to 'kernel'
  * ao-bringup: Get turnon_telemini working
  * ao-tools: Use 'program' command in ao-flash-lpc instead of 'flash'
  * ao-tools: Wait for device to become ready instead of failing
  * doc: Outline files are now generated, so don't put them in git
  * altos: Report battery voltage instead of S at startup
  * Bump version to 1.3.3
  * doc: Document new voltage beeping at startup time
  * altosui: Add ignitor tab for TeleMega extra ignitors
  * ao-bringup: Split out easymini test into separate script
  * altos: Build TeleBalloon v2.0 by default
  * altos: Replace C code attiny async output with inline asm
  * altos: Provide stable binaries for MicroPeak
  * altos: Fix nanopeak compile
  * altosui: Disable flight log configuration while flights are stored
  * altos: Add 'microwater' product
  * altoslib/altosui/altosuilib/libaltos: Remove trailing whitespace
  * altosuilib: Make lines in graphs 2 units wide
  * altos: Switch beeping to farnsworth spacing
  * altosui: Add extra ignitors to graphable objects
  * altoslib: Track pyro firing state when reading mega eeprom files
  * altosui: Mark TeleMega additional pyro ignitor fired points in graphs
  * ao-telem: Dump orientation field from TeleMega sensor telemetry packet
  * ao-load: Make ao_sym static to avoid collision with ao-editaltos
  * ao-tools: Clean up ao-sym structure an initializers
  * altos: For telelco discovery packets, retry 5 times with shorter timeout
  * altos: Add configurable beep tone
  * altosui: Add configuration UI for beeper tone
  * altos: 8051 64 * 16 multiply function was broken for negative 64-bit
  * altoslib: Add a comment to remind us to fix the IMU code to deal with calibration
  * altoslib: Parse remaining mega AO_LOG_FLIGNT and AO_LOG_GPS_TIME fields
  * altosui: Add GPS course, ground speed and climb rate to graphs
  * altos: ublox driver always offers course data when it has a fix
  * altos: Fix byte offsets in the mega AO_LOG_FLIGHT packets
  * altos: Clean up trailing whitespace in ao_pad.c
  * altos: Simplify quadrature tracking
  * atosui: Hide Callsign and RSSI tabs for devices without a radio
  * ao-bringup: test-baro should accept altitudes a bit below sea level
  * ao-bringup: Use official binaries for EasyMini turnon
  * altos: Add LED test command to pca9922 driver
  * altos: Report amount of program space available in the version command
  * altos: Assume all LPC products will have 32KB of flash
  * altos/stm: Use flash address of boot loader instead of 0x0
  * altos/stm: White space fix in ao_boot_pin.c
  * altos/stm: Figure out available flash space based on chip id registers
  * altos/stm: Use #define'd constants for GPIO register addresses
  * altos/flash-loader: Check memory addresses against flash space
  * ao-tools/ao-usbload: Check image flash usage against device flash availability
  * altos/cc1111: Wait for xtal to be stable
  * altos/cc1111: Errata fix isn't needed for discontinued products
  * altos/cc1111: Add support for CPU-driven USB pullup
  * altos/cc1111: Switch P1_0 from a green LED to USB pullup
  * altos/telemini-v2.0: Remove old baro->alt conversion table
  * altos/telemini-v2.0: Enable beep frequency configuration
  * altos: Make quadrature debounce per-pin rather than per-device
  * doc: Document the Apogee Lockout setting
  * altos: Use explicit boot loader signal in ao_boot_reboot
  * altos: stm and lpc ao_boot.h were identical. move to kernel.
  * altosui: Remove debug printf about beep config
  * altosui: Remove another beep config debug printf
  * altos/stm: Make stm applications depend on ao_boot.h
  * altos/lpc: adc code computes number of active ADC channels
  * altos/lpc: whitespace
  * altos: Allow APRS to send just battery voltage
  * altos: Fix cc115l debug build
  * altos: Expose ao_gps_set_rate from u-blox driver
  * altos: Don't define ao_ignite_decivolt without igniters
  * altos/test: Get APRS generation test working again
  * altos/test: Parse mega ground data. Fix pyro parsing
  * altos: Add config values for tracker start motion limits
  * altoslib: Move CSV/KML output code to altoslib
  * altosui/altosuilib: Cleanup -Xlint:unchecked warnings
  * altosui/altosuilib/altoslib: Move more stuff out of autosui. Reduce site map memory
  * ao-tools: Add cc_usb_write function
  * altoslib/altosuilib: Change versions to altoslib:4, altosuilib:2
  * micropeak: Add -Xlint:unchecked to javac line
  * altos: Make MS5607 PROM a public variable
  * altos: Move ao_config declarations to ao_config.h
  * altos/test: Fix ADC structure for mega, use ao_config.h
  * altosuilib: Add multiple zoom levels and content types to map
  * altos: Fake flight code changes in kernel and stm
  * altosuilib: Add distance measuring line to site map.
  * altosuilib: Decompress map images asynchronously and in parallel
  * altosuilib: Add google maps API key, configured with -with-google-key
  * altoslib: When log-format is missing, use product
  * altosuilib: Remove debug printf in AltosSiteMapCache
  * altosuilib: Update map preloading UI to include zoom and maptypes
  * altosuilib: Publish AltosSiteMap.centre. Add prefetchMaps with old API
  * altosuilib: Don't try to draw to destroyed map windows
  * Document the need for ~/altusmetrumllc/google-maps-api-key
  * altosui/altosuilib: Shuffle lots more code from altosui into altosuilib
  * telegps: Add first version of telegps
  * Mark version 1.3.2.2
  * doc: Add outline of TeleGPS doc
  * telegps: Working towards building fat versions of telegps application
  * telegps: Use altosui's Instdrv NSIS plugin for telegps
  * telegps: Add device configuration dialogs
  * telegps: Add preferences dialog
  * telegps: Add scan UI
  * telegps: Hook up data download dialog
  * telegps: Add 'Info' tab
  * telegps: Don't try to ship TeleGPS firmware yet
  * telegps: Auto-connect to any base stations plugged in at startup
  * telegps: Add flash device functionality
  * telegps: Add info table
  * java: Refactor AltosFlightDisplay units and font update handling
  * telegps: Add graph display
  * Build telegps distribution bits with 'make fat'
  * telegps: Add missing TeleGPSGraphUI.java file
  * Capture windows build error messages
  * TeleGPS firmware isn't quite ready, don't include in windows fat build yet
  * telegps: Fixup windows fat build harder
  * telegps: Add config for tracker starting distances
  * altos: Switch APRS altitude encoding computation to fixed point
  * altos: Test APRS altitude encoding
  * altos: Allow sparse GPS data logging for TeleGPS
  * altos: Configuring pyro channels can use more than 48 characters
  * altos: Maximum pyro configuration parameter has 4 bytes in the name
  * altos: Fetch/store only 8 bits for pyro state values
  * altosui: Fix pyro channel value formatting
  * altosui: Display error message when parsing pyro channel values fails
  * altoslib: Add missing AltosConfigDataException file
  * telegps: Trap AltosConfigDataException in telegps config
  * doc: Create release notes for version 1.4
  * altosuilib: Let the user hand-edit the preload map radius
  * telegps: Update icon and icon building
  * altos: Add ao_distance.c to compute cartesian distances on the globe
  * altos: Add tracker task for TeleGPS
  * altos: Include sensor logging task only on flight boards
  * altos: Allow cc115l driver to be built without radio power control
  * altos: ao_distance was overflowing when checking for longitude wrap
  * altos: Change tracker not-moving speed to 2m/s and document
  * altos: Have tracker average 5 GPS samples before moving to pad mode
  * altos: Stick flight state in GPS location packets
  * altos: Fix tracker start state
  * altos: tracker distance computation flipped arguments around
  * altos: Add debug to tracker to force launch
  * altos/telegps-v0.3: Add tracker task
  * altos: Add AO_LOG_FLIGHT packet to TeleGPS logs
  * altos: Fix config to set default log size for all devices with log
  * altos/lpc: HAS_USB_CONNECT has been changed to mean a custom pin
  * altos: Force telemetry on by default for v0.3 TeleGPS boards
  * altos/telegps-v0.3: Disable APRS by default. Set log max to 1M
  * altos/telegps-v0.3: Remove ao_flight_number from main program
  * altos: Add telegps-v1.0 code and loader
  * altos: Move ao_tracker.c to kernel
  * altos: Allow AO_CONFIG_MAX_SIZE to be configured. Validate it.
  * altos: Allow value other than 0 for marking erased flights
  * altos: Clear out eeprom erase records when writing entry 0
  * altos/telemega-v1.0: Adjust config params to make flight erase work
  * altos: Add TeleGPS logging format
  * altos: Write current flight state to GPS data from GPS drivers
  * altos: Write tracker logging from tracker thread directly
  * altos: Update other CONFIG_EEPROM users to set LOG_ERASE_MARK
  * altos: Switch TeleGPS to GPS logging format
  * altoslib: All products with logging have the 'l' command
  * altoslib:  Add TeleGPS log parsing code
  * altoslib: Record whether flight data includes sensor values in AltosFlightStats
  * altosuilib: Show GPS instead of (missing) flight data for TeleGPS graphs
  * altosuilib: Add GPS altitude as a possible graph value
  * altosuilib: Fix crash when initializing site map cache
  * telegps: Track graph windows as one of the TeleGPS windows
  * Set version to 1.3.2.3
  * altos: Use 0x80 to indicate valid state value in the GPS location packet
  * altos: Define lat/lon sum variables as 64-bit instead of 16
  * altos: Reduce tracker GPS buffer to 4 samples
  * altos: Make telegps builds depend on ao_tracker.h
  * ao-tools: Parse TeleGPS state value from gps location packet
  * altoslib: Parse TeleGPS state value from GPS telemetry packet
  * altos: Encode TeleGPS battery voltage in configuration packet
  * altos: Enable ADC for TeleGPS v1.0 battery voltage measuring
  * altoslib: TeleMega uses 5.6k/10k divider for v_batt
  * altoslib: Recover battery voltage from TeleGPS configuration packet
  * Bump to version 1.3.2.4
  * Revert "altoslib: Parse TeleGPS state value from GPS telemetry packet"
  * Revert "altos: Write current flight state to GPS data from GPS drivers"
  * altos: Report total available log space in version command
  * altos: Make extra pyro channel firing time configurable
  * Revert "ao-tools: Parse TeleGPS state value from gps location packet"
  * Revert adding state to GPS location packets
  * altos: Simplify tracker logic, removing boost detect
  * altos: Set TeleGPS default log size to half of avaiable memory
  * altoslib/altosui/telegps: Change log size configuration
  * altoslib/altosui/telegps: Switch TeleGPS config to motion/interval
  * altoslib: TeleGPS no longer logs satellite information
  * altoslib: Add new 'stateless' flight state for TeleGPS
  * altoslib: Check for time going backwards when replaying from file
  * altosuilib: Split battery graph enable out from other adc enables
  * altoslib: Use GPS speed/height values when other sensors are missing
  * altosui: Show "Missing" instead of huge numbers in descent/landed tabs
  * altosuilib: Skip voice announcements for invalid values
  * altosuilib: Move AltosFlightStatsTable to altosuilib
  * telegps: Add statistics tab to graph UI
  * altosuilib: Rewrite map GUI bits
  * altoslib: Use GPS seconds as an additional sort key for TeleGPS eeprom
  * altos: Disable TeleMini v2.0 build for now
  * altosuilib: Remove old widget-based map UI
  * altos/telemini-v2.0: Disable beep frequency config on TeleMini v2.0
  * altos: Re-enable telemini v2.0 builds
  * altosdroid: Altosdroid build doesn't work in parallel, so stop trying
  * altosui: Add pyro firing time configuration
  * doc: Update 1.4 release notes to include a few more changes
  * altosuilib: Handle font and units changes in maps and stats table
  * altosui: Don't list tracker parameters when configuring altimeter
  * altoslib: Report GPS height when baro height is not available
  * altosuilib: Repaint map when starting line draw
  * altos/telegps: Build .ihx versions for TeleGPS
  * telegps: Remove 'Flight' from titles
  * doc: Update altusmetrum docs and screen shots for 1.4
  * doc: Add TeleGPS screenshots
  * altosui/telegps: Reduce CPU time needed for flight displays
  * telegps: Don't re-add frequency menu when already present.
  * altos/telegps: Don't log data when plugged in to USB
  * debian: Fix build depends icotool -> icoutils
  * altos: Show current flight number for TeleGPS
  * altos/telegps: Set default log to 496kB for 4 logs
  * altos/telegps: Keep ring of recent GPS positions to detect motion quickly
  * altos: Define ao_log_mutex in ao_log.c rather than every log product
  * altos/telegps: Create new flight if current flight is erased
  * altoslib: Call state.set_serial first for telemetry parsing
  * altoslib: Remove telem monitoring when closing log file
  * telegps: Disconnect telemetry device when closing monitor window
  * telegps: Show flight number in monitor window
  * altosuilib: Build some common classes for displaying values in flight window
  * altoslib: Add conversion class for voltages
  * altoslib: Correctly save firmware version in AltosState
  * telegps: Add status tab
  * altosdroid: Don't crash when the map is touched
  * altosdroid: Improve voice for TeleGPS
  * telegps: Shuffle menu entries around
  * altosuilib: Make map-cache per-window instead of global
  * doc: Add a bunch more stuff to the telegps docs
  * telegps: Allow TeleGPS preferences to have a custom title and label
  * doc: TeleGPS docs are complete
  * altoslib: Add units converters for latitude and longitude
  * altoslib: When GPS disappears, set range and elevation to MISSING
  * altosuilib: Require all flight display classes to provide a name
  * altosuilib: In graph, show zero sats in view as 0 instead of MISSING
  * altosuilib: provide getName() for AltosInfoTable
  * altosuilib: Make sure only one thread is closing serial device
  * altosuilib: Add more options to AltosUIIndicator to suit AltosUI
  * altosuilib: Add AltosUIFlightTab class
  * altosui/telegps: Switch to AltosUIIndicator and AltosUIFlightTab
  * alotsuilib: Remove old "mega" and "mini" file extensions from data chooser
  * micropeak: Make statistics entries un-editable
  * telegps: Fix Mac icon file name
  * altosuilib: Make graph enable buttons be CheckBoxes instead of RadioButtons
  * icon: Create all icons from .svg files
  * icon: Build windows ico files, clean built files
  * altosui: Build MacOSX icon from svg
  * icon: Build resolutions needed for Java bits too
  * telegps/micropeak: Ship built Mac OSX icons
  * debian: Build requires /usr/bin/convert now
  * icon: Make the icon shadows a bit less harsh
  * altosuilib: Serialize access to async tile notify function in preload
  * altoslib: AltosFlightStatsTable: another editable text field that shouldn't be
  * altosuilib: Remove some debugging printfs
  * telegps: Include telegps firmware in windows package
  * windows: Rename telemetrum.inf to altusmetrum.inf
  * telegps: Deal with 64-bit windows differently on install
  * altosui: Deal with 64-bit windows
  * icon: Add drop-shadows to the SVG files; stop generating in the png versions
  * windows: Sign altusmetrum.inf with altusmetrum.cat
  * altosui: Ship telegps firmware
  * Add notes about windows driver signing in the 'signing-driver' file
  * micropeak: Deal with 64-bit windows

  [ Bdale Garbee ]
  * have the cal-freq script save cal values to a file
  * use svg in the .desktop file
  * update copyright year assertion in MicroPeak manual, remember during releases
  * deliver images used in MicroPeak manual to web server, too
  * typo fixes from Matt Kraai
  * update turnon scripts to store cal values
  * ugly hack (just make sleep longer) to work around ttyACM* discovery issue
  * first cut of usbrelay-v0.1 support .. LEDs wiggle, not switching relay yet
  * relay control implemented, this project is now complete
  * fix copyright year
  * update TeleMega turn-on script and Releasing for new stable firmware home
  * lose the (old) easymega-v1.0 directory in favor of my fresher 0.1
  * working?
  * include EasyMega Makefiles
  * document mounting hole size for TeleGPS
  * update Releasing document to include TeleGPS firmware files in those copied
  * tweaks
  * add release to revision history
  * tagging 1.4 release
  * turn-on support for TeleGPS

  [ Tom Marble ]
  * add jenkins.sh
  * fix for jenkins.sh
  * jenkins.sh: make -j 4 can fail, fix for altosui-test

 -- Bdale Garbee <bdale@gag.com>  Sun, 15 Jun 2014 17:51:01 -0600

altos (1.3.2-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * update notes on how to release
  * use firmware in /usr/share/altos for teledongle, update telemetrum for v2.0
  * updating changelog for release

  [ Keith Packard ]
  * altoslib: Validate TeleMega GPS_SAT log packet nsat
  * altos: Tmega Don't try to log info about more than 12 GPS sats
  * doc: Add 1.3.2 release notes
  * Set version to 1.3.2 in preparation for release
  * doc: Document flight computer wiring connections
  * doc: Fix spelling of decelerate
  * altoslib: Track GPS altitude values to be able to report max gps height
  * altosui: Show GPS max height in flight stats window of graph
  * altoslib: Don't lose gps_height value between GPS samples
  * doc: Add explicit paragraph about using one battery with Tmega
  * altosui: Use letter names for pyro channels in pyro config UI
  * doc: Update screen capture of pyro config with correct names
  * doc: Replace screen captures with 'active' window ones
  * doc: Mention that an APRS interval of 0 disables it entirely
  * altoslib: Use existing unicode Charset in AltosLink
  * micropeak: Watch serial data during download
  * altos: report 0/0/0 for APRS position when GPS is not locked
  * micropeak: Keep reading until we get valid data
  * micropeak: Missing a couple of new exceptions when loading files
  * doc: Micropeak doc updates for 1.3.2
  * doc: Update micropeak docs to include lots of pictures
  * doc: Document GPS max height addition
  * doc: Ignore generate template XSL file
  * doc: Add title page image to altusmetrum.pdf
  * altos: Add names when reporting STM ADC values
  * altos: Add watchdog timer task
  * altos: Eliminate warnings in FAT code
  * altos: Enable system timer in flash loader and prod watchdog with it
  * altos/stm: Block interrupts while reprogramming flash
  * altos: Don't write more than 12 sat infos in ublox driver
  * altos: Report nsat in view in APRS packet
  * altos: Add needed math sources to TeleGPS v0.1 build
  * altos: Fixup named ADC printing
  * altos: Re-send previous GPS position in APRS if lock is lost
  * altos: Put locked/unlocked GPS status in APRS comments
  * doc: Add remaining configurable parameters to the System Operation chapter
  * doc: Update the 1.3.2 release notes to include APRS and Fire Igniter changes

 -- Bdale Garbee <bdale@gag.com>  Thu, 13 Feb 2014 21:56:46 -0700

altos (1.3.1-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * updated notes from 1.3 release
  * use firmware in /usr/share/altos for production flashing
  * set version to 1.3.0.2 for test flights this weekend
  * set version to 1.3.1 for release
  * update copyright date on main documentation file
  * freshen ChangeLog for release

  [ Mike Beattie ]
  * altosdroid: force older jarsigner signing algorithm for java 1.7
  * altosdroid: update to latest google play services
  * altosdroid: improve build system dependencies

  [ Keith Packard ]
  * altoslib: Convert IMU and Mag sensor values to useful units
  * altoslib: Fetch 'orient' value from Mega Sensor packet
  * altosuilib: Rearrange graph enable buttons
  * altosui: Add imu and mag sensor values to plots
  * altoslib: Bump library version
  * altos: Execute self-test on MMA655X part
  * altos: 3-axis accel calibration was invalid in explicit accel cal mode
  * altos: Complain about sensor self-test errors only in idle mode
  * altos: mma655x also needs ao_sensor_errors
  * altos: Clean up some minor warnings from -Wall
  * altos: Turn on -Wall for stm compiles
  * altos: Clean up -Wextra warnings
  * altos: unsigned value in ao_pyro_set checked for negative value
  * altos: Add default button return value from ao_button_get
  * altos/stm: Turn on -Wextra
  * altos: Clean up warnings for LPC products
  * altos: cc115l driver tone_run wasn't recording number of tones
  * altos: lpc exti setup was incorrectly testing mode
  * altos/lpc: Missing */ in definition of PIO0_4
  * altos: Turn on warnings for LPC products too
  * altos: Turn on -Werror for STM and LPC builds
  * altosui: Switch from radio buttons to check boxes in pyro config. Add close
  * altosui: Extend Fire Igniter to additional channels
  * altoslib: Add AltosOrient class and max_orient()
  * altosui: Add orient to ascent and info table views
  * altosui: Adjust info table column width
  * altosui: Switch Graph to AltosOrient type
  * altos: Add 'O' command for TeleMega orient testing
  * altos: Flip acceleration data consistently for orientation changes
  * altosui: Handle a missing libaltos when starting up
  * Bump version to 1.3.9.1
  * libaltos: Build -m64 and -m32 for fat tarball when possible
  * altosui: Require both libaltos32 and libaltos64 for fat Linux tarball
  * doc: Ship telemini outline as pdf file too
  * altos: Switch APRS to compressed position format
  * altos: Use factory calibration for all acceleration computations
  * altos: Report battery, apogee and main voltages over APRS
  * Ignore 32 and 64 bit cjnitest apps
  * altos: Add missing ADC divider values for Tmega v1.0
  * altosui: Make romconfig serial and radio cal fields 8 digits wide
  * altoslib: Fetch target device config for Fire Igniter npyro value
  * altosuilib: Remove some spurious debug printfs
  * altosui: Handle already-opened link in IgniteUI
  * altosui: Handle serial-port startup errors in idle-monitor
  * doc: Fix image widths to make them all scale the same amount
  * doc: Update for 1.3.1

  [ Anthony Towns ]
  * AltosSiteMapPreload: only load 49 maps
  * altosui: --fetchmaps gets same number of maps as GUI
  * altosui: rate limit map downloads

 -- Bdale Garbee <bdale@gag.com>  Wed, 22 Jan 2014 20:56:31 -0700

altos (1.3-1) unstable; urgency=low

  [ Keith Packard ]
  * altos: Add flash-loader for telescience-v0.2
  * altos: Add 'g' command to ublox GPS code.
  * altos: Give u-blox 3 seconds after boot before we bug it
  * altos: gps serial routines are called ao_gps_*, not ao_ublox_*
  * altos: Fix telemega v0.3 igniter order (drogue/main moved). Label ADC dump
  * altos: Initialize MPU6000 CS pin for SPI mode
  * altos: Grab SPI mutex until MPU6000 I2C mode is disabled
  * altos: Remove some MMA655x debugging printfs
  * altos: Move MS5607 info from 'v' to 'c s'
  * altos: Generate unmodulated carrier for CC1120 test mode
  * altos/cc1111: Hack on USB driver to make Windows happy
  * libaltos: Build the linux library targets when doing a 'fat' build
  * libaltos: use PurgeComm in Windows altos_close to abort in-progress ops
  * lpc: Initial lpcxpresso bits
  * lpcxpresso: Add ao_demo.c
  * altos/lpc: Get 100Hz timer running
  * altos/lpc: Get USART running
  * altos/lpc: Take advantage of USART TX fifo
  * altos/lpc: Start adding USB register definitions
  * altos/lpc: Start adding USB register defines
  * altos: Finish off LPC USB register definitions
  * altos: Allow target-specific USB endpoint specifications
  * altos/lpc: Get USB working
  * altos: Move ao_data.c from stm to core
  * altos: Allow architecture to define the type of port registers
  * altos: ao_data_get is in ao_data.c now, not ao_adc.c
  * altos: Check for packet mode before trying to disable it in flight code
  * altos: Use ao_data_pres macro in ao_log_tiny
  * altos: Use ao_port_t in m25 driver
  * altos: Add LPC spi driver
  * altos: LPC interrupt priorities are just 0-3
  * altos/lpc: Fix ao_enable_input, add ao_enable_analog
  * altos/lpc: Clean up broken IOCONF defines
  * altos/lpc: add gpio int, spi, adc and ct32b defines to lpc.h
  * altos/lpc: Add ADC driver
  * altos/lpc: Add beep driver
  * altos/lpc: Add pin interrupt driver
  * altos/lpc: Try a smaller stack.
  * altos/lpc: Use separate interrupt stack
  * altos: Add easymini-v0.1 product
  * altos/lpc: Stick USB control structure in USB memory
  * altos: Initialize SPI for easymini
  * altos: Build easymini-v0.1
  * altos: ignore built files in easymini-v0.1
  * altos/attiny: Fix ao_spi_get_bit/ao_spi_put_bit macros
  * altos: Use ao_spi_get/put_bit in MS5607 driver
  * altos/lpc: Make EXTI code work.
  * altos: Add EXTI_PIN_NOCONFIGURE to exti interface, use for MS5607
  * altos/lpc: Don't use loader to place USB endpoint data in USB ram
  * altos/lpc: Pull ADC data from the correct registers
  * altos/lpc: SPI runs off main clock (48MHz), not sysclk (24MHz)
  * altos/lpc: Missing parens around ao_gpio_set macro
  * altos/lpc: Fix beeper driver
  * altos/lpc: Create TX/RX busy macros for SPI driver
  * altos/lpc: Leave SPI enabled all the time
  * altos/lpc: Allow for alternate SPI SCLK0 pin usage
  * altos/lpc: Configuring wrong pin for SPI1 MOSI
  * altos/lpc: Reset SPI device at startup time
  * altos/lpc: Force idle mode if USB gets an address during boot time
  * altos/easymini: Easymini doesn't have USB connect or VBUS wiring
  * altos/easymini: MS5607 chip select bits were defined wrong
  * altos/easymini: Use different pins for igniter outputs
  * altos/easymini: Initialize beep and ADC. Declare use of igniter bits.
  * altos/telemega: The last two igniters are apogee and main
  * Add Mini logging format. Use in EasyMini
  * altosui: Add TeleBT firmware to release
  * altos: Set the path for the STM32L compiler explicitly
  * Bump master version to 1.2.9 to avoid confusion with 1.2 releases
  * altos: Can't use inline functions because SDCC doesn't do that
  * Separate out cortex-m0 compiler tests in configure
  * Create release notes for 1.2.1
  * doc: Update description of graph window to note new tabs (config and map)
  * altosui: Stop downloading mega eeprom on empty block
  * altosui: Missing 'break' after selecting 'mega' format detection
  * ao-tools: Add ao-mega tool to parse TeleMega eeprom files
  * ao-tools/ao-mega: Dump 'pyro' state from mega log
  * altos: Add pyro code testing to ao_flight_test for TeleMega
  * altos,altosui: Add pyro state logging for TeleMega
  * altos: Light pyro charges simultaneously if so configured
  * altos: write pyro fired to correct log field
  * altos: Make manual pyro firing command work again
  * Set version to 1.2.9.1
  * altos: Add pyro operations to regular ignite commands
  * altos: Add driver for 74hc165 shift register
  * altos: Add telefire v0.2 support
  * altos/telefire: Leave siren on all the time. Add siren/strobe debugging.
  * altos: Add debounce helper. Use in button and quadrature drivers for TeleLCO
  * altos: Add fast-timer API. Use for quadrature and button drivers
  * altos/telelco: Add 30ms delay in search after finding a box
  * altosui: Use preferred units for main deployment height configuration
  * altos/lpc: Make ADC inputs work
  * altos/lpc: Filter ADC inputs
  * altos/lpc: Turn off more clocks, disable USART for easymini
  * altos/lpc: Don't disable all of the clocks just yet, USB doesn't work
  * altos/lpc: Remove spurious semicolon
  * altos: Declare m25 write-in-progress as 'ao_port_t'
  * altos: Disable USB on all flight computers when in flight mode
  * altos/lpc: Get the IRC turned off after boot time
  * altosui: Add raw pressure to the AltosUI graph
  * altos/lpc: Get rid of ADC filter
  * altos/cc1111: Fetch RSSI for TeleFire from correct byte
  * altos: PCA9922 LED driver needs Enable driven low to latch values
  * altos/telefire: Radio status (no data, weak data, good data) on LEDs
  * altos/lpc: Enable brown-out-detector
  * altos/lpc: Remove ao_usb_task structure
  * altos/lpc: Don't disable all interrupts when disabling one interrupt
  * altos/telefire-v0.1: Use same LED selection as the v0.2 setup
  * altos/lpc: Add boot loader
  * altosui: Add EasyMini USB ids
  * altos: Support mega-style logging without ADC
  * altosdroid: Just use GPS location provider to build on 4.2
  * micropeak: Add Download button to menu bar
  * altos/lpc: Rename serial port to 'serial0'
  * altos: Remove ao_radio_gpio_bits from normal build
  * altos: Make FAT test program link explicitly against libcrypto
  * altosui: AltosDbm class was missing somehow
  * altosdroid: Add note to report TeleBT battery level
  * altos: allow projects to override default config values
  * altos: Allow ublox to run at other baud rates
  * altos: Set default LPC stack to 512 bytes, Em to 384 bytes
  * altos: Wake up on LPC usart ISR only once
  * altos: various cc115l driver hacks
  * altos: Add telegps v0.3 product
  * altos: Allow products to disable RDF entirely
  * altos/lpc: Stop using burst mode for LPC ADC
  * altos: Use installed arm compiler for LPC
  * altosdroid: Add note to report TeleBT battery level
  * altos: Set default LPC stack to 512 bytes, Em to 384 bytes
  * altos: Wake up on LPC usart ISR only once
  * altos: MS5607 pressure computation for low temperatures was wrong
  * altos: Explicitly list the linker script needed for AVR targets.
  * Initial TeleMini bits
  * altos: Add 64-bit add/mul/shift for SDCC
  * altos: Make 64x16 mul a bit faster
  * altos: Add 64x64 multiply. Test 64 ops for dest same as either source
  * altos: Add 64-bit subtraction
  * altos: Make TeleMini v2.0 fit
  * altos: Add exti and spi to telemini-v2.0
  * altos/teletiny-v2.0: Support multiple SPI busses on CC1111
  * Bump version to 1.2.9.2
  * altos: Changes required by cc1111 multi-spi support
  * altos: Build more products by default
  * ao-tools: Use TeleDongle for default ao-dbg target
  * cc1111: Rework ADC configuration a bit, fix Tm V2 ADC usage
  * cc1111: Hacky pin interrupt support. Only useful for TeleMini v2
  * altos: Get telemini to copy current MS5607 state to ring.
  * altos/cc1111: Leave pin interrupts completely disabled at init time
  * altos/cc1111: Wake up non-ADC sensor code each timer tick
  * altos: Use %ld and %lu for MS5607 debug output
  * altos/telemini-v2.0: Add ao_exti.h depend. Init beeper and usb.
  * altos: Check for MS5607 MISO low before sleeping
  * altos: Make ao_wakeup reentrant
  * altos: Don't use ao_data on cc1111 projects
  * altos: Initial TeleMetrum v2.0 bits
  * altos: Add TeleMetrum v2.0 boot loader
  * altos: Rename TeleMetrum v2.0 ADC sense members
  * altos/telemetrum-v2.0: Fix MMA6555 SPI pin assignment
  * altos/telemetrum-v2.0: Use 9600 baud for ublox
  * altos: TM v2 places the MMA6555 upside down compared to Tmega
  * altos: Update time for next alarm each time a task is added
  * altos: Add debugging to ublox GPS driver
  * altos: Force u-blox to 9600 baud for now
  * altos/stm: New compiler doesn't correctly build flash bits yet
  * altos/stm: Make sampling profiler work again
  * altos/stm: Remove stale timer defines
  * altos/stm: Make sure we switch to MSI during timer init
  * altoslib: Start restructuring AltosState harder
  * altos: Split EasyMini and TeleMini log formats
  * altoslib, altosui: Restructured state management now does TM eeprom files
  * altoslib/altosui: Get legacy telem working with new AltosState structure
  * altoslib/altosui: Fixes for state changes
  * altos/lpc: Add bits for building flash loaders
  * altos/telegps: Initialize logging system
  * altoslib/altosui: Further AltosState transition work
  * altos: Not all products have pins to control flash loader
  * altoslib: More AltosState hacking
  * altoslib: Ensure eeprom file body always exists
  * altoslib: Correct tick wrapping in eeprom file reading
  * altoslib: Correct mega/metrum eeprom years by adding 2000
  * altoslib: Clean up metrum eeprom file reading
  * altoslib: Remove duplicate cmd/tick from TM eeprom file code
  * altoslib: Make Ascent/descent use different filter values. Always filter.
  * altoslib: Use first few baro samples for ground pressure on TM
  * altoslib: Start integrated value at 0 by default
  * altoslib: Clear sat data when tick changes
  * altoslib: Set measured acceleration for measured acceleration
  * altoslib: Finish AltosState changes. Update version number.
  * altoslib: Remove AltosRecord-based telemetry code
  * altoslib: remove AltosRecord based eeprom code
  * altoslib: Remove more AltosRecord based files
  * altoslib: Use AltosTelemetry.parse to pull telem lines apart
  * altoslib: Only open log file when both flight and serial are known
  * altoslib: Update received time when replaying flights
  * altoslib: Record time_change in AltosState correctly
  * altoslib: Rewrite AltosTelemetryIterable
  * altoslib: Remove debug printf from AltosTelemetryMetrumSensor
  * altosui: Fix 'Graph Flight' button in landed dialog
  * ao-tools/ao-telem: Parse new TM v2 packets
  * altos: Set tick value in new TeleMetrum v2 sensor packets
  * altosui: Remove debugging printf from InfoTable
  * altoslib/altosui: Add TeleMini-v1.0 eeprom support
  * altoslib: Set 'valid' for valid TeleMetrum eeprom download
  * altoslib: Lock access to AltosLink config_data
  * altoslib: Add TeleMini eeprom file to Makefile.am
  * altosui: Load Telem files in AltosDataChooser too
  * altosui: Set 'flight' value in AltosEepromMonitor window during download
  * altoslib: Add receiver serial to telem file names
  * altoslib: TeleMetrum v2 telemetry includes computes Pa/°C, not raw values
  * altosui: Include device name in Table view
  * altos: Move micropeak sources around
  * altos: Add nanopeak-v0.1
  * altos: Stop copying cc1111 binaries to the altos/src dir
  * altos/telemini-v2.0: Change initialization order
  * altos/telemetrum-v2.0: Use red LED during boot time
  * altoslib: Prefer averaged ground pres for ground alt computation
  * Add TeleMini v2.0 telemetry support
  * altos: Set TeleMini v2.0 USB ID correctly
  * Change differentiation filter constants and limits
  * altos: Don't require an LED for ao_flight
  * altos/lpc, altos/stm: ARM requires ISB after switching stack pointers
  * altos: Rename easymini-v0.1 to easymini-v1.0
  * altos/stm: New GAS version requires flags in APSR assignment
  * Add --with parameters to configure for compiler selection
  * altos: Broken test for M0 compiler in src/Makefile
  * altos: avr-gcc appears to find the loader scripts without help now
  * altosui: Binaries to package are only in per-product dirs now
  * altos: Messed up the ifeq syntax a bit so ARM bits weren't getting built
  * doc: Add EasyMini outline drawing
  * doc: Add easymini outline to distribution
  * Bump version to 1.2.9.3
  * altos: Use installed pdclib
  * altos: Fix stm-bringup demo build to use installed pdclib
  * Make sure the AVR compiler can actually link stuff
  * Another try at skipping broken avr-gcc
  * altos/micropeak: Increase boost detect to 30m
  * altoslib,altosui: Be more robust when graphing bogus .telem files
  * altos: Use #define values for ublox packet types
  * altos: Merge GPS logging into a single function
  * altos: Add floating point math functions from newlib
  * altos: Fix GPS test frameworks to handle shared ao_gps_new variable
  * altos: Add gyro-based orientation tracking
  * altos: Calibrate IMU accelerometers too
  * altos: IMU accel calibration values need to be signed
  * altos: Mark arguments to quaternion functions as const
  * altos: Add some comments describing quaternion multiplication
  * altos: Add functions to init quaternions from vector pairs and euler angles
  * altos: Rename ao_orient to ao_sample_orient
  * altos: Keep 9 more bits of average pad IMU gyro data
  * altos: Add sinf to math code
  * altos: Fixup for ao_sample_orient rename
  * altos: Compute initial rotation from vertical
  * altos: Correct incremental rotation computation
  * altos: Fixup for 32-bit gyro averages
  * altos: Change ao_mpu6000_gyro arg to float
  * altos: Update quaternion tests to check vectors_to_rotation
  * altos: Add orientation test when HAS_FLIGHT_DEBUG is set
  * altos: Make telemega v0.1 compile with new quaternion code
  * altos: Make telemega v0.3 compile with new quaternion code
  * altos: sample profile address range was too narrow
  * altos: Don't hold GPS mutex while waiting for GPS data in report code
  * altos: Add orientation tracking to ao_flight_test
  * altoslib: Raise ParseException on invalid eeprom format
  * altoslib: Start moving eeprom download logic to altoslib
  * altosui: Make AltosEepromDownload not swing-dependent
  * altosui, altoslib: Move eeprom download code to altoslib
  * Ignore mac .dmg files
  * Add ublox checksum generating program
  * altos: Clean up .gitignore and add a few random files
  * ao-tools: add ao-mega man page, ignore executable
  * Add TeleMini v2.0 turnon script
  * ignore "compile" script
  * altos: Build TM v2.0 firmware by default
  * altos: Don't hold GPS mutex while waiting in TM v2.0 report
  * altos: Allow use of internal EEPROM for config storage
  * altos: Move TeleMetrum v2.0 to using internal eeprom for config
  * altos: Move telemega to using internal eeprom for config
  * altos: Make sure flight erase log comes after config blog
  * altos: include ao_eeprom.h in ao_telemetrum.c to define ao_eeprom_init
  * Bump to version 1.2.9.4
  * doc: Start work on 1.3 doc updates
  * doc: Get altusmetrum.xsl to validate
  * doc: Switch to xorg style to generate index
  * doc: Make altos.xsl validate
  * doc: Make telemetry.xsl validate
  * Make companion.xsl validate
  * doc: Make micropeak.xsl validate
  * doc: Make pdf files depend on local stylesheet
  * doc: Use system fo docbool.xsl instead of network one
  * debian: Build now depends on 'xmlto' for docs
  * Extend the hardware overview chapter. Edit System Operations
  * Remove duplicate log description. Describe pyro config.
  * Use more 1/4 single characters
  * doc: "rocketry electronics" instead of listing products
  * doc: use correct quotes in altusmetrum.xsl
  * doc: Add telemetry enable and APRS interval config docs
  * altosui: Handle units in pyro config.
  * doc: Work on AltosUI Pyro config docs a bit more.
  * ao-tools: Create general elf and hex library routines
  * ao-tools: Add debug printf support
  * ao-tools: Add ao-elftohex and .ihx symbol support
  * ao-tools: Move ao-selfload into library
  * ao-tools: move 16/32-bit readers from ao-stmload to lib
  * ao-tools: Missing ao-selfload.h
  * ao-tools: Split out altos symbol editing from ao-stmload
  * ao-tools: Split out USB loader to ao-usbload
  * doc: First pass for 1.3 finished; docs have most major sections updated.
  * src/cc1111: Turn off RC osc after xtal is running
  * altos: Add lots more GPS data to mega log
  * altos: Telemega uses eeprom, include it in main file
  * altos/test: Compute and plot tilt based on GPS track
  * altos: Nothing in altos uses AES decryption, so don't compile it
  * altosui: Don't try to report bearing/elevation without GPS
  * altosui: Clean up serial close handling
  * altosuilib: Deal with AltosUnits API change
  * ao-tools: Add ao-flash-stm and ao-flash-lpc scripts
  * ao-tools: Allow building without stlink and readline
  * ao-tools: Clean up ao-stmload and ao-usbload options. Add --raw
  * altos: Allow products to override default 100mA USB current
  * altos: Build .ihx files for all arm projects
  * altos: Change flash loader name to just AltosFlash
  * altos: remove all versions of stm-demo executable
  * altoslib: AltosEepromMonitor had false import of altosuilib
  * ao-tools: build ao-usbload by default
  * altos/stm: arm-none-eabi-binutils now puts 'main' into .text.startup
  * altoslib: Support binary reading/writing in AltosLink
  * altoslib: Add symbols to .ihx files
  * altoslib: Create AltosProgrammer class
  * altoslib: Publish mapping from product name back to USB id
  * altosuilib: Don't match product_altusmetrum for product_basestation or product_altimeter
  * altoslib: Use symbols in AltosRomconfig instead of fixed offsets
  * altoslib: Add AltosNoSymbol exception
  * altoslib: Add self-flashing code
  * Add new tools to .gitignore
  * altoslib: Don't require radio_cal or usb_descriptors in AltosRomconfig
  * altosui: Match directories in hex file matcher
  * altosui: When flashing to TeleDongle or TeleBT, match any .ihx file
  * altos: Oops. Was only filling out part of the TeleMetrum ADC record
  * altos: Rename telemega-v0.3 to telemega-v1.0
  * ao-bringup: Add turnon_telemega script
  * altosui: Ship TeleMega-v1.0 firmware
  * debian: .ihx and .map files are left in subdirs now
  * doc: More altusmetrum.xsl updates for 1.3
  * Set version to 1.3 in preparation for release
  * altos: Remove ARM .ihx files on 'make clean'
  * java: Add -target 1.6 to all java compiles
  * java: Missed libaltos java compile flags from previous patch
  * ao-tools: Use st-flash for STM flashing instead of openocd
  * Clean up reflashing section, include section on self-flash recovery
  * doc: Convert several more itemizedlists to variablelists
  * Keep tables together on a page
  * doc: Add product pictures to manual
  * Add altosui image and attempt to add launch photo to title
  * doc: Add screen shots everywhere
  * altos: Broke TeleMetrum GPS reporting by holding the GPS mutex too much
  * doc: Publish images with HTML bits
  * altosui: Add EasyMini bits to fat distribution images. Update telemetrum.inf
  * altos: Use all 16 bits of setup packet len when limiting reply len
  * altos: Make TeleMega v0.1 work more like TeleMega v1.0
  * altoslib: Pass InterruptedException up the stack instead of hiding it
  * altos/lpc: Be a bit more resistant to toolchain section name changes
  * altosui: Hide non-applicable altimeter config values
  * include pdclib in wrong place
  * altos: Build pdclib locally if necessary
  * altos: create target pdclib directories before building
  * altos/stm: Update pdclib paths for flash-loader builds
  * Remove stale stm test apps from regular build
  * altos: get stm-bringup building again
  * ao-tools: complain if st-flash is not available
  * Ignore .dll files in libaltos
  * Use git: path for pdclib
  * fix git: path for pdclib
  * altosui: Add docs to Mac OS X dmg distribution
  * libaltos: fix test harness main type
  * libaltos: remove usb id filtering from darwin code
  * libaltos: Import newly build libaltos.dylib
  * altoslib: Don't close telemetry reader at startup unless something fails
  * altoslib: create eeprom download thread before telling monitor about it
  * altoslib: Define 3.8 as a good battery and 3.5 as a good igniter
  * altosdroid: Use altoslib standard voltages to control lights
  * altosui: Remove some debug printfs
  * Move pdclib build results to pdclib-root
  * micropeak: Compile for java 6
  * doc: Update micropeak quick start guide to note new boost detect
  * doc: typo in micropeak doc hole->hold
  * altos/stm: Semantic error in STM usb disable caused it to not work
  * doc: Add tables describing AltOS beeps and flashes
  * altos: Try IMU self-test 10 times before giving up
  * ao-tools: Add man pages for ao-flash utilities
  * micropeak: Add micropeak man page
  * altoslib: Remove some old debug printfs for self flashing
  * altos/lpc: Reset less of the device on USB reset.
  * altos/lpc: Stop sending SETUP IN when the requested size is reached
  * altosui: When device has no valid romconfig, set RF cal to 0
  * altosdroid: bump versionName to 1.3 and versionCode to 4
  * altosui: Ship EasyMini firmware too

  [ Bdale Garbee ]
  * add a note about callsign matching and case sensitivity to the manual
  * new toolchain for STM32L is in /usr/bin, not /opt/cortex/bin
  * updated turn-on script for telebt 1.1
  * temporarily force stlink location in debian/rules to allow complete build
  * add serial number to ao-usbload call, pass SERIAL to cal-freq
  * capture my changes so far
  * further documentation tweaks
  * need to include the Cortex toolchain
  * a fresher changelog entry for test builds
  * we're using packaged and local-to-our-tree ARM toolchain now
  * update release docs to include option for submodules
  * update Debian standards version we claim compliance with
  * update ChangeLog from git
  * update changelog for Debian build
  * patches no longer needed
  * fix missed merge conflict
  * fix missing newline at end of src/test/Makefile

  [ Mike Beattie ]
  * altosdroid: update to support new state code
  * altosdroid: more updates for new AltosState
  * altosdroid: convert rogue files to unix line endings

 -- Bdale Garbee <bdale@gag.com>  Thu, 19 Dec 2013 02:07:40 -0700

altos (1.2.1-3) unstable; urgency=low

  [ Keith Packard ]
  * altos: Make FAT test program link explicitly against libcrypto

 -- Bdale Garbee <bdale@gag.com>  Sat, 17 Aug 2013 16:07:25 +0200

altos (1.2.1-2) unstable; urgency=low

  [ Keith Packard ]
  * altosui: Add TeleBT firmware to release

 -- Bdale Garbee <bdale@gag.com>  Tue, 21 May 2013 12:53:15 -0600

altos (1.2.1-1) unstable; urgency=low

  [ Mike Beattie ]
  * altosui: remove un-used imports
  * altosui: comment out un-used fields and methods
  * altosui: comment out un-used classes and associated imports
  * altosui: remove redundant catches
  * altosui: access class variables by class, not instance
  * altosui: comment out/remove dead code
  * altosui: add type to … implements Comparable.
  * altosui: comment out obsolete code - could probably remove the file.
  * altoslib/altosui: begin moving preferences "backend" into interface
  * altosui: add missing methods for Backend, fix BT code.
  * altosui/altoslib: add methods to interface, fix imports/exceptions in BT code
  * altoslib: Add AltosPreferencesBackend.java to Makefile.am
  * altosui/altoslib: Add call to …Preferences.init() with backend object, remove static init()
  * altosui/altoslib: bug fixes, update Makefile.am
  * altosui: add missing try/catch
  * altosui: Add return to try/catch.. duh
  * altosui: revert AltosUIPreferences init() method
  * altosui: remove un-used import
  * altosdroid: implement AltosPreferencesBackend, and initialize.
  * altosdroid: Update Makefile.am
  * altosdroid: simplify keys() method
  * altosdroid: cosmetic re-order of methods
  * altos{lib,ui,droid}: move OS specific code out of altoslib
  * altoslib: make parts of AltosLog public for usage outside altoslib.
  * altosdroid: initial implementation of telemetry logging.
  * altosdroid: add autogenerated BuildInfo.java
  * altosdroid: match only the current version tag
  * altosdroid: Add branch to BuildInfo
  * altosdroid: Add version information to UI
  * altosdroid: more reliable branch detection
  * altosdroid: more restrictive commit no. matching
  * altosdroid: initial release to Play Store
  * all: clean up .gitignore files and Makefile clean targets
  * altosdroid: excise old code/xml
  * altosdroid: update copyrights/licensing
  * altosdroid: minor whitespace cleanup
  * altosdroid: Fix up some formatting in manifest
  * altosdroid: Only update BuildInfo.java when other source files change
  * altosdroid: use a glob for source files
  * altosdroid: adjust Makefile rules
  * altosdroid: Adjust build system for GMaps & Tabs support
  * altosdroid: Symlink red/green/gray LEDs via build system
  * altosdroid: adjust release Makefile target
  * altosdroid: convert spaces to tabs in strings.xml
  * altosdroid: make AltosDroid.pos() static
  * altosdroid: whitespace cleanup
  * altosdroid: Import initial versions of XML and Java for Tab content
  * altosdroid: implement tabs interface
  * altosdroid: implement UI updating on tabs
  * altosdroid: implement Age field updating
  * altosdroid: Auto tab changing
  * altosdroid: fix side-to-side scrolling in map tab
  * ao-tools: Add ao-edit-telem to .gitignore
  * altosdroid: adjust clean targets to get rid of automake warning
  * altosdroid: Add SDK checks to configure.ac
  * altosdroid: programmatically create map fragment
  * altosdroid: Add rocket and pad map markers
  * altosdroid: Add map polyline between pad and rocket
  * altosdroid: whitespace and import tidyup
  * altosdroid: incorrect property syntax in pad xml
  * altosdroid: Add filters for TeleBT bluetooth devices.
  * altosdroid: set tab height based on screen density.
  * altosdroid: check for mAltosVoice being null.
  * altosdroid: fix up 'send last' code.
  * altosdroid: Make the service class implement locationlistener
  * altosdroid: Release v1.2, push to play store.
  * altos: update .gitignore files
  * altosdroid: Bump APK version, and re-upload.

  [ Bdale Garbee ]
  * further refinment of Releasing document
  * remove local copy of launch-sites.txt and reference to old web location
  * let upstream version rule, don't force use of Debian version in firmware
  * update stlink-pins document to make it clear 4-pin MicroMaTch is our standard STM32L programming connector, and the big MM thing was v0.1 only
  * document what the 'Age' value in the AltosUI display means
  * document what the 'Age' value in the AltosUI display means
  * add pcb overall dimensions and screw sizes the holes are intended for
  * update copyright year to 2013
  * various updates to the text .. more SMA to BNC adapter references, etc
  * improve text in telebt turn-on script
  * document my snazzy new 4-pin to MM v0.1 debug cable
  * name change from MegaMetrum to TeleMega
  * document need for an ARM Cortex toolchain in /opt/cortex, point to build docs
  * point to pkgconfig content in /opt/cortex so stlink stuff works
  * add libssl-dev as a build dep since it's used in FAT filesystem test code
  * update ChangeLog for release
  * update changelog for Debian build
  * add sox as a build dependency
  * update Releasing document to reflect process as of 1.2
  * update configure.ac to reflect version 1.2.1
  * update changelog for 1.2.1 release
  * update Changelog for 1.2.1 release, again
  * unwind debian/changelog to last release

  [ Keith Packard ]
  * Bump revision to 1.2 development branch
  * altos: Shrink Pa to altitude table
  * altos: Provide MS5611 configuration option, HAS_MS5611
  * altos/megametrum: Commit for boards with MS5611 baro sensor
  * altos: Re-enable the ms5607 and mma655x acquisition threads
  * altos/megametrum: Use mma655x for acceleration measurements now
  * altos/megametrum: Make MS5607 driver hold SPI bus for whole operation
  * altos/drivers: Use data ring values for MS5607 presentation
  * altos/stm: Clean up SPI pin configuration code
  * altos/telefire: Make sure armed alarm goes off on time
  * altos/stm: Set SPI clock high for disabled SPI busses
  * altos/megametrum: Try running accel and baro in parallel again
  * altos: Compute desired frequency when upgrading from pre-1.1
  * altos: Go back to recording sensor data in globals
  * altos: Fix up ms5607 and mma655x commands to work again
  * altos/telefire: Add siren/strobe support
  * altos: Split task definitions out to ao_task.h
  * altos: Prepare ms5607 driver for use in non-tasking products
  * altos: Allow projects to specify clock at other than 100Hz
  * altos: Allow for other mutex implementations
  * altos: Use alt_t for all Pascal-based altitude data
  * altos: Parameterize altitude table access and initialization
  * altos: Elide ao_altitude_to_pa in flight firmware
  * altos: Clean up types in Pa conversion testing code. Only test to 40km
  * altos: Include struct ao_data declaration only when used
  * altos: Add attiny architecture files
  * altos: Megametrum uses altitude-pa.h, not altitude.h
  * altos: Allow products to define which LED to panic with
  * altos: Add initial micropeak implementation
  * altos: Add (untested) driver for AT24C i2c flash parts
  * altos: Add .gitignore for micropeak
  * altosui: Parse .mega files from command line
  * altos: Document a few member offsets in struct ao_log_record
  * altos: struct ao_log_mega doesn't have a ground temp value
  * altos: Split out ms5607 conversion code for use in ao_flight_test
  * altos: Eliminate implicit 1 byte offset in uint16/int16 functions
  * altos/test: Add ao_flight_test_mm
  * altos: When missing MMA655x, create fake Z accel value
  * altos: Define full-scale gyro and accel values for MPU6000
  * altos/test: Display MPU6000 values in ao_flight_test_mm output
  * altos/telefire: Report valid channels instead of valid pins
  * altos/telelco: Only present valid pads
  * altos/telelco: Handle case where no boxes are present
  * altos/telelco: Actually set pad when it changes
  * altos/stm: Declare all SPI bus speeds
  * altos/telelco: Crank up SPI speed to cc1111
  * altos/telelco: Only display every 10th box number during scan
  * altos/telelco: 10ms is not enough time to get a packet back
  * altos/telelco: Make the RSSI led turn red when no packet is received
  * altosui: Handle missing pad distance in descent tab
  * altosui: Print exception stack trace when tracking flights
  * altos/avr: Use ISR_BLOCK to disable interrupts during slave ISR
  * altosui: Accept serial number of zero for eeprom download
  * altos: Only enable PWM on telescience_pwm product
  * altos: Add telescience-pwm product
  * altos: Build telescience-pwm product when possible
  * altos/megametrum: Switch back to using the MS5607
  * Bump version to 1.1.9.1
  * altosui: Re-add a couple of "unused" values
  * altos/stm: Stop spewing clock out PA8 pin
  * altosui: Add new filename filters
  * altosui: Correct megametrum eeprom filename date
  * altoslib: MegaMetrum eeprom never loses GPS date
  * altoslib: remove a couple of TM log record types from MM log parsing
  * altoslib: Compute accelerometer speed from megametrum eeprom data
  * altoslib: Move computed state from AltosRecord to AltosState
  * altoslib: Parse GPS .mega file entries for reply/graphing
  * altos: Document mega log packet types
  * altosui: Handle .mega files in Landed tab 'Graph Flight' button
  * altos/test: Use MMA655X in ao_flight_test_mm. Add run-mm to plot mm data
  * altoslib: Add AltosRecordNone.java
  * altosdroid: AltosState now has speed and max_speed funcs
  * altos: Add state comparisons to pyro channel conditions
  * altosui/altoslib: Add support for configuring pyro channels
  * altoslib: capitalize 'Invalid' state name appropriately
  * altos: Let AVR products override the stack size. Set telepyro to 104
  * altos: Allow pyro flight state config to be set
  * altos: make check-avr-mem utility executable
  * altosui: Allow any non-basestation to be configured
  * altosui: Allow AltosConfig to abort before serial line starts
  * altos: When slave mode first starts, accept any packet
  * altos: Force beep timer regs reload when enabling beeper
  * altos: Add ao_arch_block/release_interrupts to avr and cc1111
  * altos: profiling on STM32L
  * altos: Replace __critical usage with ao_arch_critical as needed
  * altos: Add stack-guard code. Uses STM MPU to trap stack overflow.
  * altos: Add task queues.
  * altos/megametrum: Depend on Makefile contents for build
  * Bump version to 1.1.9.2
  * altos: Switch drivers to ao_arch_block/release_interrupts
  * altos: Wrap ao_container_of value in parens
  * altos: Clean up cc1111 architecture macros a bit, removing cli/sei
  * altos: Clean up stm arch macros a bit.
  * altos: Leave interrupts disabled while checking for task to run
  * altos: Provide ao_task_alarm_tick to reduce per-tick cost
  * altos/attiny: Update to new interrupt macros
  * altos/micropeak: Switch to MS5607 sensor. Require 4m for boost. Elide dead code
  * altos: Build micropeak when avr-gcc is available
  * doc: Add micropeak manual
  * altos/micropeak: Set boost detect to 10m. Add 30s boost delay.
  * altos/attiny: Don't initialize the CS pin in the general SPI setup
  * altos/micropeak: Clock micropeak at 250kHz to save power
  * altos/micropeak: Run MS5607 at max resolution for micropeak
  * altos/attiny: Remove debugging code which frobs PB1
  * altos/stm: Support LEDs on multiple ports
  * altos: Remove 'volatile' from ao_rssi.c globals
  * altos: Remove legacy telemetry from ao_monitor when not needed
  * altos/megadongle: Add megadongle product
  * altos: Build megadongle when possible
  * doc: Start updating AltOS documentation for multi-arch
  * altoslib: Add (disabled) conversion for MS5611
  * altos: fix cc1120 radio test - state wasn't made static
  * altos: Make Tm recovery mode set RF cal and callsign too
  * altoslib: MegaMetrum data telem packets have sensor data, not flight no
  * altoslib: Allow flight number to be zero
  * altoslib: Reset telem tracking state when switching altimeters
  * altos: Clean everything, even if we don't have compilers
  * doc: Minor updates to the micropeak docs
  * altos: micropeak LED is orange now, not blue
  * altos: Slow down micropeak report timing
  * altos: Make TeleBalloon v1.1 build again
  * altos: Share getnibble function
  * altos: Shrink cc1111/ao_dbg.c a bit
  * altos: Share cc1111 reset/debug-start code
  * altos: Make stdio 8-bit clean by making pollchar return int
  * altos: Add support for 115200 baud serial rates
  * altos: Use ao_xmemcpy in ao_log_telem.c
  * altos: Add ao_task_minimize_latency to reduce IRQ delays
  * altos: Expose GPS serial fifo on MegaMetrum
  * altos: Add support for reflashing skytraq GPS chips
  * ao-tools: Add ao-sky-flash to update GPS firmware
  * altos: Make skytraq reflashing code try both 9600 and 4800 baud
  * ao-sky-flash: Clean up debug printfs a bit
  * ao-tools. Oops, let 'ao-mega' slip into build.
  * Another ao-mega addition which shouldn't be here
  * altos: shrink ao_companion_status by merging printf calls
  * altos: Break out GPS speed resetting sequence
  * altos: Add Pico Beacon code as ao_aprs.c
  * altos: Make aprs code output encoded packets to stdout
  * altos: Add test scaffolding for APRS
  * altos: Generate all of the APRS messages
  * altos: Add missing ao_aprs.h file
  * Signed-off-by: Keith Packard <keithp@keithp.com>
  * altos: Strip out everything but the basic position reporting from APRS
  * altos: Reduce printf calls in APRS packet generation
  * altos: Remove more unused APRS code
  * altos: More APRS trimming
  * altos: Remove APRS sine-wave table
  * altos: Remove a bunch of time bits from the APRS code
  * altos: Start restructuring APRS code to create and send packets
  * altos: Prepare APRS for use within altos itself
  * altos: Hook APRS up to the radio
  * altos: Hook up APRS to telemetry loop
  * altos: Allow telemetry, rdf and APRS to be individually controlled
  * altos: Send APRS packets even during ascent
  * altos: Shrink 'ao_version' by calling printf fewer times
  * altos: Change 'flight-number' to 'current-flight'
  * altoslib: Make AltosMs5607 capable of parsing ms5607 info lines
  * altoslib: Make AltosConfigData parse all of the config data
  * altosui: Use AltosConfigData for altosui configuration dialog
  * altos: fix functions calling pollchar to use 'int' to hold the value
  * altos: Fix up APRS packet sending code in cc1120 driver
  * altos: Make APRS interval configurable
  * altos: Use configured callsign in APRS packets
  * altosui: Call config UI from AltosConfigData directly
  * altosui: Add APRS interval configuration to UI
  * altos: Fix aprs test to not allow callsign configuration
  * altos: Stop including profiling and stack guard code in megametrum
  * altos: Store altitude in 32-bits for MicroPeak
  * altos: Make sure pa to altitude conversion is done with 32 bits
  * altos: Use alt_t value to hold displayed height in micropeak
  * altos: Increase MicroPeak blink times a bit
  * altos: Tim Van Milligan suggestion for µP -- delay before showing last flight
  * altos: Add load-slow target for MicroPeak
  * altos: Log in-flight data for MicroPeak
  * doc: Update MicroPeak doc to include EEPROM and programming info
  * altos: Note that Lithium battery may be included with MicroPeak
  * altos: Log baro readings for MicroPeak
  * altoslib: Only list flight logs for boards that we know have them
  * altoslib: Discard previous flight state on SN change
  * doc: Add paragraph noting differences in JST polarity
  * doc: Add warning about matching battery voltage.
  * altoslib: unconfigured radio frequency data is now -1, not 0
  * altos: Round APRS data correctly
  * altos: Document what HAS_BOOT_RADIO does in the m25 driver
  * altos: Test APRS rounding by using coordinates near the boundary
  * altos: Wire up another CC1120 GPIO to get MARC status changes
  * altos: Add new MARC status pin interrupt bits to megadongle
  * altos: Re-enable beeper on megametrum
  * altos: Average MPU6000 values on ground for later use
  * altos: Make micropeak 'serial' interface work
  * altos: Add distinct LED pattern before writing log data
  * altosui: Clean up graph a bit, remove shapes, improve tooltips
  * altos: Actually record ground averages for 6dof sensor
  * Move libaltos to top level
  * Start building MicroPeak GUI tool
  * Add file chooser for MicroPeak
  * Lots more work on the MicroPeak application
  * altos: Fix cc1120 debug code to build on megadongle
  * altos: Fix MegaDongle CC1120 chip select pin
  * altos: megadongle radio int is C13, not C14
  * Create altosuilib to share code between altosui and micropeak
  * altoslib: Add units change notification list
  * micropeak: Use altosuilib
  * micropeak: Add flight stats pane
  * Allow CC1120 to sit on other SPI busses
  * micropeak is code complete now.
  * micropeak: Fix chart colors
  * micropeak: Add 'Close' menu item. Fix start location
  * Build installable versions of MicroPeak GUI
  * Build micropeak by default
  * micropeak: Check CRC on downloaded
  * Rename AltosConfigureUI to AltosUIConfigure
  * libaltos: Remove a couple of spurious debug printfs
  * altosui: Use altosuilib for configuration
  * altosui: Remove AltosVersion.java
  * altosui: Use shared AltosDeviceDialog
  * altosui: Use shared AltosFontListener class
  * altosui: Use shared AltosUIFrame and AltosUIDialog
  * altosui: Use shared AltosUIListener
  * altosui: Remove duplicate AltosUSBDevice
  * altoslib: Remove unused fake product_micropeak_serial
  * micropoint: Add MicroDataPoint
  * micropeak: Add CSV export
  * micropeak: Add view of raw data in GUI
  * altosuilib: Fix install issues on Linux
  * micropeak: Use JTextArea instead of TextArea
  * micropeak: Change graph tooltip units on the fly
  * micropeak: Add Mac OS Info.plist file
  * micropeak: Add command line export option
  * micropeak: Export in lots of units
  * micropeak: Use data.export for Raw display. Change to MPH
  * Add separate code path for listing FTDI devices
  * micropeak: Remove debug printf for command line
  * micropeak: Move raw view caret to top. Make raw text uneditable
  * micropeak: Use new libaltos entry point for FTDI devices
  * micropeak: Create .dmg file for apple. Create micropeak-jdb script
  * micropeak: Suggest filenames for saving data
  * micropeak: Create Mac OS X package
  * micropeak: Add ReadMe.rtf to Mac distribution
  * altosui: Create .dmg file for Mac OS X installations
  * altoslib: Don't smash existing GPS pad alt after boost
  * altoslib: Clean up AltosRecord clone methods
  * altos: Time out reading packet data from cc1120 after 100ms
  * libaltos: Need to check for tty/ttyACMx before ttyACMx
  * Fix up 'make fat' to build all libs and micropeak too
  * micropeak: Report recorded apogee instead of searching flight data
  * micropeak: Demonstrate how to hide various parts of the graph
  * micropeak: Create 'micropeak' script correctly
  * micropeak: Note when libaltos fails
  * altosui,micropeak: Link altoslib.jar and altosuilib.jar before compiling
  * altosui: Reference altosuilib.jar and altoslib.jar from original dirs
  * micropeak: Record samples before boost detect
  * altos: Initial telescience bits
  * Update avr ao_spi_slave code to match API changes
  * altos: Build telescience-v0.2
  * altos: Set STM GPIO output speed for SPI pins correctly
  * altos: Crank fast SPI on STM to 8MHz
  * altos: Change CC1120 SPI speed to 4MHz.
  * doc: Add simplesect headers to release notes
  * altos: Correct model error covariance matrix
  * altos: Add computation of MicroPeak Kalman correction coefficients
  * altos: Add Kalman filter to MicroPeak
  * micropeak: Show decimeters in stats window
  * micropeak: Fetch Mac and Windows drivers when creating packages
  * Tag version 1.1.9.3
  * altosi: callsign could not be configured for AltosUI
  * altosui/micropeak: Let native window system place windows
  * altosui: All of the Altos class is actually in AltosUILib now
  * altosui: Remove duplicate AltosUIPreferences.java
  * altosui: Make initial AltOS window position configurable
  * micropeak: Respect font size preference in MicroPeak stats tab
  * Add documentation for the MicroPeak USB interface
  * micropeak: Add mac build file Info.plist
  * micropeak: fix 'make clean' and .gitignore
  * Mark MicroPeak as a recording altimeter, not a peak-recording altimeter
  * Change AltosLib to altoslib
  * Add version numbers to java libraries
  * altoslib: fix Makefile JAR target
  * micropeak: Update Makefile to versioned Java libraries
  * altos: Document which MPU6000 revs have broken accel values
  * test: Accept micropeak CSV files for micropeak testing
  * altos: Add atmosphere.5c
  * doc: Add TeleMetrum and TeleMini drill templates
  * altosuilib: Remove duplicate AltosUnitsListener.java
  * altosuilib: Add graphing routines from MicroPeak
  * micropeak: Use altosuilib graphing functions
  * altoslib: Add AltosUnits.graph_format
  * altosuilib: Initialize graph axes units
  * altoslib: Fix altoslib install
  * altosuilib/micropeak: Add state markers to micropeak graph
  * altosui/altoslib/altosuilib: Switch altosui to shared graph code
  * altoslib: Fix a couple of unit functions to make them public
  * altosui: Adjust graph voltage tool-tip value format
  * altosui: Add callsign to Monitor Idle window (Trac #62)
  * altosui: Interrupt MonitorIdle when changing frequency/callsign
  * altosui: Display callsign in connecting message window
  * altoslib: Fix available flight log storage computation
  * altosui: Display block number while downloading flights. Track #51
  * altosui: Display count of erased flights along with their numbers
  * altosui: Add map and GPS data to graph window. Trac #50
  * Build Windows .nsi files in configure script
  * micropeak: Remove Info.plist
  * altosuilib: rescale axis when enabling data series
  * altosui: Stick file basename in graph window title
  * altosui: Remove graph series which aren't available
  * altosui: Fix AltosLanded call to AltosGraphUI
  * altos/stm: Add more bits to NVIC register definitions
  * Update build version to 1.2
  * altos/driver: Make HMC5883 driver build again
  * altos: telescience-v0.2 is an ARM product
  * altosuilib: Add setNotify/fireSeriesChanged methods to AltosUIGrapher
  * altosuilib: Disable graph element notifies for each add()
  * doc: Document how to get TeleMini to 'emergency recovery' mode
  * doc: Add version 1.2 release notes
  * libaltos: Open FTDI serial devices twice on Windows.
  * ao-tools: Add ao-dumpflash program
  * altoslib: Invalidate GPS new data bit when updating state
  * altosui: Add N/S and E/W to info table lat/lon values
  * ao-tools/lib: Add cc_telemetry_unparse
  * ao-tools: Add ao-edit-telem
  * altos: re-enable optimization for stm-demo. remove unused bits
  * micropeak: Improve download docs and UI
  * ao-tools: add ao-dump-up
  * Add telegps initial version
  * ao-tools: Make library support µPusb
  * altos: Add cc115l driver (untested)
  * altos/telegps: Hook up cc115l driver
  * altos: Add RFPA0133 amplifier driver
  * altos: Improve CC115L driver. Generates carrier now.
  * altos/stm: Ensure SPI always sends 0xff during receive
  * altos: Allow radio recv and xmit to be separately configured
  * altos: Fix config to not abort radio recv when no recv is available
  * altos: Add SDCARD and FAT16 filesystem support
  * altos: Hook up the FAT16 and SD card support to telegps
  * altos: Add new panic flag for bufio misuse
  * altos: Teleshield has a radio, set HAS_RADIO in ao_pins.h
  * altos: Use FTDW, clear DATA bit. Disable backup write protection
  * altosui: Don't deref null pyros when saving altimeter config
  * altos: Add sanity checking to busy counts in bufio driver
  * altos: Clean up fat driver API. Improve fat test
  * altos: Add a simple cache for the FAT position->cluster computation
  * altos: seek forward on FAT cluster chain instead of restarting
  * altos: Add FAT32 support. And lots more testing.
  * altos: Add temporary RF power settings
  * altos: Get CC115L radio working.
  * altos: Configure cc115l sync byte count for each radio mode
  * altos: Lock cc115l radio mutex when using global radio values
  * altos: Export ao_fat_sync and ao_fat_full functions
  * altos: Add logging and telem to telegps
  * altos: Add SD card writing function
  * altos: Disable CC115L debug commands
  * altos: Move fat mount information to separate command.
  * altos: Add sdcard read/write tracing
  * altos: Do not release interrupts from any pollchar function
  * altos/stm: Add debugging mechanism to STM USB driver
  * altos/stm: Always check for idle IN buffer before sending
  * altos: Don't add fat commands when building ao_fat_test
  * altos: Unmount file system after each testing pass in ao_fat_test
  * ao-tools/ao-stmload: Be smarter about ELF parsing. Retry open on failure.
  * altos: Fix command-line FAT filename parsing
  * altos: Increase SD card timeout at startup time
  * altos: Make ao_fat_readdir return real error values instead of 1/0
  * altos: Create the log file if it doesn't already exist
  * altos: Flush the on-board mega log after every sample interval.
  * altos: let FAT tracing work in ao_fat_test as needed
  * altos: Make sure FAT cluster allocation works for size zero files
  * altos: Support open on multiple simultaneous FAT files
  * altos: Add a FAT test that re-writes the same file multiple times
  * altos: Provide build hooks for sampling profiler in telegps
  * altos: Retry SD card I/O. Use time for timeouts instead of counts
  * altos: Add defines for the specific pins used for telegps SPI
  * altos: Horrible kludge -- disable radio while talking with SD card
  * altos: Shorten SD initialization timeouts.
  * Set telegps USB id to 0025
  * altoslib: Make any incoming telem packet update the RSSI value
  * altosui: Don't display missing sensor data
  * altosui: Hide flight-related tabs for telegps
  * altosui: Display current GPS in 'pad' tab for 'startup' staten
  * altosui: Graph TeleMini flights without crashing
  * altos: Try RDF mode for TX calibration
  * altos: Create telebt-v1.0 product. Remove old telebt products
  * altos: Create telebt-v1.0 product. Remove old telebt products
  * altos: Monitor battery voltage on telebt
  * altoslib/altosui: Carry receiver status around in AltosListenerState
  * altoslib/altosui: Adapt monitor idle to new AltosListenerState
  * doc: Add an outline of an AltosDroid chapter
  * altosdroid: Hook up the position listeners
  * altosdroid: Send LOCATION and CRC_ERROR messages to UI.
  * altosdroid: Mike was right -- only need one LocationListener
  * altoslib: Add range and elevation to AltosGreatCircle
  * altosdroid: Compute course from android device to rocket, display it
  * altoslib: Remove spurious debug message
  * altosdroid: Check state.gps != null before using it
  * altosdroid: The Map already draws our location; no receiver marker needed
  * altos: Delay while waking up SD card a bit
  * altos: Stick a mutex around FAT operations
  * altos: Don't include bufio debug commands by default
  * altoslib: Remove spurious debug message
  * altos: Make sure the packet format is set reasonably for radio test
  * libaltos: Retry Windows serial port open five times
  * Windows: Add all of the AltusMetrum USB IDs to telemetrum.inf
  * altosdroid: Shrink text so it fits on my phone
  * altosdroid: Show our position in the map tab. Squeeze to fit phones
  * altosdroid: Get rid of a couple of startup messages
  * altosdroid: Update UI even if no telem has been received. Center map.
  * micropeak: Oops. Lost the call to actually start downloading data
  * altoslib: Check for null state.gps before accessing it in eeprom records
  * altosui: remove debug message from AltosFlightUI
  * altosdroid: Check for missing values
  * altosui: Handle broken network in map tile loading
  * altosui: Disable main deploy setting for TeleGPS
  * altosdroid: Fix integer formatting in tabs
  * altosdroid: Update distance/bearing on map tab
  * doc: Add a bunch of Altos Droid material to the docs
  * doc: Start filling in details about Altos Droid flight monitoring
  * libaltos: Try Bluetooth open 5 times on EBUSY
  * libaltos: Delay after opening bluetooth device on linux
  * altosdroid: Add Notebook to track feature requests
  * altosdroid: Add a few more Notebook entries
  * altosdroid: Add request for sat images to AltosDroid Notebook
  * Move cortex toolchain to /opt/cortex
  * altos: Re-generate TeleMega bits
  * Re-add telemega outline pictures
  * altos: Make SD card driver compile without radio support
  * altos: Add MR25 everspin MRAM driver
  * altos: Add TeleMega v0.3 support
  * altos: Build telemega-v0.3 by default
  * altos: All STM ADC users need to declare HAS_ADC_TEMP
  * altosdroid: Add wish for persistent TBT and freq settings
  * Allow build without SDCC
  * altos: Expose ao_put_string function
  * altos: Call ao_task_init before initializing any drivers
  * altos/stm: Always declare all romconfig variables
  * ao-tools/lib: Deal with binary USB data in debugging output
  * altos/stm: Remove USB EP0 task
  * altos: Make telemega-v0.3 binary use the right name
  * altos: Build test framework for AES code
  * altos: Provide timeout value to ao_radio_recv
  * altos: Make cc1120 driver wait for TX finished
  * altos: Clear any broken cc1120 TX fifo bits before transmitting
  * altos: Allow LCD segments to not be multiplexed across digits
  * altos: Add telelco-v0.2 project
  * altos: Add nickle micropeak log parsing code
  * altos/test: Add telemega plot helper script
  * altos: Ignore ao_aes_test binary
  * altos: Build test framework for kalman filter
  * altos: Add .gitignore to kalman test dir
  * altos: Add ublox checksum app to generate ublox config lines
  * altos: Add a bunch of .gitignore files
  * altos: More .gitignore bits
  * altosdroid: Add Notebook entry for reloading telem data option
  * altos: Compute "real" RSSI value in radio code as needed
  * altos: Reconfigure CC1120 receiver to match our usage
  * altos: Make cc1120 driver return false on recv timeout
  * altos: Stop using telelco v0.2 top LEDS for radio TX/RX
  * altos: Open up the DVGA gain to use all of the available settings
  * altos: Reduce stack usage of FAT driver and logger
  * altos: Use separate exception stack on STM32L
  * altoslib: Update GPS state even if new state is unlocked
  * altos: Mark GPS telemetry packets with GPS time stamp
  * altos: Use SYSTICK on STM32L
  * altos/test: Fix warning in ao_aprs_test
  * altos: Set APRS deviation to 3kHz
  * altos: Elide M25 debug output from storage info command
  * altos: Sanity check barometer before going to pad mode
  * Add STM self-flashing loader
  * altos: Make stm-flash capable of switching to application
  * altos: Add program flash function
  * altos: Clean up boot loader support
  * altos: Add actual flashing functions to stm-flash app
  * altos: Fix up stm-flash output file name. Use discovery LED pins
  * altos: Mark .boot section as (NOLOAD)
  * altos: Validate boot chain start address
  * altos: Fix STM flash programming
  * altos: Add erase command to stm-flash app. Validate addresses.
  * altos: Create ihx version of stm-demo
  * altos: Switch ao_stm_flash to read/write binary blocks
  * altos/stm: Add .elf to .ihx rule
  * altos/stm: Add comments to the .ld files explaining how the romconfig stuff works
  * ao-tools/lib: Add loading support for 32-bit ihx files
  * ao-tools/ao-stmload: Fix ELF, add IHX, add self-flashing
  * altosui: Support 32-bit ihx files
  * altosui & altoslib: Move a pile of debug/programming bits to altoslib
  * altosui/altoslib: Move more flashing code from altosui to altoslib
  * ao-tools/ao-stmload: Remove IRC dregs in source code
  * altos: Move ao_notask to core
  * altos: Eliminate stdio looping when system has a single stdio source
  * altos/stm: Don't define task macros when not tasking
  * altos/stm: Allow core timer to be excluded from build
  * altos/stm: Shrink stm flash loader to < 4kB
  * altos/stm: Provide another 4kB of flash space for apps
  * altos: Use flash loader on all STM products
  * ao-tools: reboot to loader now uses 'X' instead of 'L'
  * ao-tools/ao-stmload: application base moved to 0x08001000
  * altos/stm-flash: Check target flash address against AO_BOOT_APPLICATION_BASE
  * altos: Allow STM usb driver to be used without stdio
  * altos: Run self loader when application sets boot addr to 0
  * altos: Make stm-bringup build again
  * altos: Get rodata into flash, make sure sections are aligned
  * altos: Remove stdio from stm-flash
  * ao-tools/ao-stmload: Add --verbose flag
  * altos: Add ao_boot_chain to telemega v0.3
  * altos/stm: Create per-product flash loaders
  * altos: Wait after configuring boot pin before testing it
  * Add altosdroid notebook entry for imperial units
  * altoslib: Add non-persistent 'last logdir' preference
  * Information from configure about android build was misprinted
  * micropeak: Use new 'last logdir' preference for MicroPeak save/load dialogs
  * altosui: Wait for valid callsign/flight when graphing
  * altoslib: Correct hexfile address ranges
  * altosuilib: Mistake in the MegaDongle listing -- was set to TeleMega
  * altos: Don't bother fixing telelco-v0.1, just disable it
  * altos: Add U-Blox GPS driver
  * altos: Provide a define for the number of sat infos in a telem packet
  * altos: Switch TeleMega v0.3 to u-blox
  * altos: Struct used for u-blox testing had lat/lon swapped
  * altos/test: ao_gps_test_ublox uses ao_gps_blox.h
  * altoslib: Use sequence numbers to track GPS updates to AltosRecord
  * altosui: Use GPS alt + baro height for KML altitude
  * altosui: Generate useful KML files from TeleGPS logs
  * altos: Use symbolic names for ublox packet id
  * altos: Set u-blox navigation settings
  * altos/cc1111: Hack on USB driver to make Windows happy
  * libaltos: use PurgeComm in Windows altos_close to abort in-progress ops
  * libaltos: Build the linux library targets when doing a 'fat' build
  * altos/telemega: The last two igniters are apogee and main
  * Create release notes for 1.2.1
  * doc: Update description of graph window to note new tabs (config and map)

  [ Robert Garbee ]
  * telescience: steal last adc channel for icp3 most recent value Make the ICP3 rpm counter use in ao_adc_avr.c optional
  * first work on PWM input to TeleScience, 'p' command displays timer 1
  * Timer 3 working with slower clock and all 16 bits.
  * ICP3 working
  * telescience: correctly calculating rate values with higher resolution

 -- Bdale Garbee <bdale@gag.com>  Tue, 21 May 2013 09:43:47 -0600

altos (1.1.1-1) unstable; urgency=low
  * new upstream bug-fix release
    - fix flight data deletion problem affecting TeleMetrum v1.0 boards only
    - fix broken Google Earth export from on-board flight data (.eeprom) files
    - fix units displayed on "Landed" tab in UI to honor imperial units flag
    - display both range to the rocket and ground distance in "Descent" tab
    - fix bug in sensor data display for TeleMini in "Monitor Idle" mode

 -- Bdale Garbee <bdale@gag.com>  Sun, 16 Sep 2012 14:07:23 -0600

altos (1.1-1) unstable; urgency=low

  * new upstream minor release, which provides a few new features in AltosUI
    and the AltOS firmware, and fixes bugs
    - Add apogee-lockout value. Overrides the apogee detection logic to
      prevent incorrect apogee charge firing.  A configuration menu
      provides a list of reasonable values, or the value can be set by hand.
    - Fix a bug where the data reported in telemetry packets was from
      320ms ago.
    - Force the radio frequency to 434.550MHz when the debug clock
      pin is connected to ground at boot time. This provides a way
      to talk to a TeleMini which is configured to some unknown frequency.
    - Provide RSSI values for Monitor Idle mode. This makes it easy to check
      radio range without needing to go to flight mode.
    - Fix a bug which caused the old received telemetry packets to
      be retransmitted over the USB link when the radio was turned
      off and back on.
    - Fix a bug that caused GPS ready to happen too quickly. The
      software was using every telemetry packet to signal new GPS
      data, which caused GPS ready to be signalled after 10 packets
      instead of 10 GPS updates.
    - Fix Google Earth data export to work with recent versions. The
      google earth file loading code got a lot pickier, requiring
      some minor white space changes in the export code.
    - Make the look-n-feel configurable, providing a choice from
      the available options.
    - Add an 'Age' element to mark how long since a telemetry packet
      has been received. Useful to quickly gauge whether
      communications with the rocket are still active.
    - Add 'Configure Ground Station' dialog to set the radio
      frequency used by a particular TeleDongle without having to go
      through the flight monitor UI.
    - Re-compute time spent in each state for the flight graph; this
      figures out the actual boost and landing times instead of
      using the conservative values provide by the flight
      electronics. This improves the accuracy of the boost
      acceleration and main descent rate computations.
    - Make AltosUI run on Mac OS Lion. The default Java heap space
      was dramatically reduced for this release causing much of the
      UI to fail randomly. This most often affected the satellite
      mapping download and displays.
    - Change how data are displayed in the 'table' tab of the flight
      monitoring window. This eliminates entries duplicated from the
      header and adds both current altitude and pad altitude, which
      are useful in 'Monitor Idle' mode.
    - Add Imperial units mode to present data in feet instead of
  * update build-deps to use cc1111 intead of sdcc, closes: #676739
  * update build-deps to use default-jdk, closes: #655580

 -- Bdale Garbee <bdale@gag.com>  Thu, 13 Sep 2012 14:46:50 -0600

altos (1.0.3) unstable; urgency=low

  [ Bdale Garbee ]
  * lose the bluetooth lib dependency until it's relevant
  * don't try to include bluetooth headers
  * don't try to link bluetooth lib
  * mention release notes in Releasing file prep stage
  * more notes on release notes in Releasing
  * releasing 1.0.3

  [ Keith Packard ]
  * altos: Create TeleMetrum v1.2 directory
  * Add 1.0.3 release notes.

 -- Bdale Garbee <bdale@gag.com>  Sun, 25 Dec 2011 19:08:56 -0700

altos (1.0.2) unstable; urgency=low

  [ Bdale Garbee ]
  * update release process docs
  * update changelogs for Debian build
  * include 1.0.1 release notes in docs, closes: #642705
  * add run-time dependency on libjfreechart-java

  [ Keith Packard ]
  * altos: Delay reboot by a second to avoid re-entering idle mode
  * Bump to version 1.0.2
  * altos: TM: Don't turn on packet slave mode until idle/invalid state
  * doc: Add 1.0.2 release notes

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Sep 2011 01:58:27 -0600

altos (1.0.1) unstable; urgency=low

  [ Bdale Garbee ]
  * use multimaint-merge to make Debian changelogs less ugly
  * update TeleMini turnon script now that we've made a stable firmware release
  * moving git-buildpackage config into .git/ since it is fairly specific to
    Bdale's build environment, and doesn't need to be in the source package
  * get ready for a 1.0.1 release
  * update changelogs for Debian build
  * fix telemini firmware path name
  * ignore generated log file
  * roll release notes version from 1.0 to 1.0.1
  * roll back packaging changelog for rebuild

  [ Keith Packard ]
  * altos: Clear callsign on initial config load

 -- Bdale Garbee <bdale@gag.com>  Fri, 26 Aug 2011 10:39:29 -0600

altos (1.0) unstable; urgency=low

  [ Keith Packard ]
  * altos: Lost change that reported flight 0 when log memory was full
  * altosui: Ancient log files used 'apogee' for 'coast' state
  * altosui: Add 'On-board Data Logging' indicator to pad tab

  [ Bdale Garbee ]
  * update changelogs for Debian build
  * update changelogs for Debian build

  [ Keith Packard ]
  * altosui: remove debug printf in pad pane
  * altosui: Disable 'max flight log' config when there are stored flights
  * altos: Merge common config code in ao_config.c
  * Bump version to 0.9.7
  * altos/altosui: Add ability to disable telemetry/rdf completely
  * altosui: Clean up command line processing. Add --graph
  * altos-fat/windows: Check and install Java 1.6 as needed
  * altosui/windows: Fix a bunch of windows compiler warnings.
  * altosui: Attempt to make both 32- and 64-bit windows DLLs
  * doc: Add note about telemetry disable mode to 1.0 release notes
  * doc: Add Installation Recommendations chapter
  * altosui: Add a few simple unit conversions
  * altosui: Capture date/time/serial/flight in AltosFlightStats
  * altosui: Add date/time/serial/flight to flight stats tab
  * altosui: Show filename in AltosGraph window
  * altosui: Add --summary option to dump flight stats to stdout
  * altosui: Make monitor-idle display correct 'On-board data logging' status
  * altosui: Can't configure flight log max on TeleMini
  * altosui: fix 'magic' string to signal end of config data
  * altosui: Only 'show' config dialog once
  * altosui: Reset all config data on 'reset' command
  * altosui: Update mac os X library
  * libaltos: fix Mac OS X function signatures
  * altosui: add tool-tips to the button box.

  [ Bdale Garbee ]
  * turn off auto-tagging during Debian build
  * update changelogs for Debian build
  * rewind changelog to 0.9.6.0 for rebuild
  * update changelogs for Debian build

  [ Keith Packard ]
  * altosui: Use system look&feel
  * Remove stale tools (ao-dumplog, ao-postflight, ao-view)
  * altosui: Add tool-tips to config dialogs
  * altosui: Try to get dialogs to look a little better

  [ Bdale Garbee ]
  * another test round
  * roll changelog back in prep for another test build
  * update changelogs for Debian build
  * add pkg-config to the build deps
  * prepare for another rebuild
  * update changelogs for Debian build

  [ Keith Packard ]
  * altosui: Don't trust companion telemetry record 'channels' count
  * altosui: Make flight monitor font size configurable
  * altos/windows: Get latest JRE 1.6 version (Version 6 update 27)

  [ Bdale Garbee ]
  * doc tweaks through chap 3

  [ Keith Packard ]
  * doc: Spelling corrections in altusmetrum.xsl
  * doc: Document pad-mode 'on-board data logging' indicator

  [ Bdale Garbee ]
  * more doc tweaking

  [ Keith Packard ]
  * doc: Describe packet command mode a bit better.
  * doc: Move Packet Command Mode section to System Operations chapter

  [ Bdale Garbee ]
  * more doc tweaks
  * more tweaks

  [ Keith Packard ]
  * doc: use 'radio link' to refer to packet command mode

  [ Bdale Garbee ]
  * more tweaking

  [ Keith Packard ]
  * doc: Move updating device firmware section to separate chapter
  * doc: Updating Firmware is now a separate chapter

  [ Bdale Garbee ]
  * more changes

  [ Keith Packard ]
  * doc: Move the remaining command-mode descriptions to the appendix

  [ Bdale Garbee ]
  * tweak tweak tweak

  [ Keith Packard ]
  * doc: Describe max flight log, ignite mode and pad orientation
  * doc: Remove duplicate documentation about max flight log

  [ Bdale Garbee ]
  * more tweaks
  * prepare to release
  * don't deliver sources.list fragment in official Debian packages
  * changes in preparation for upload to Debian
  * ao-view is no longer included in the altos package, so have the
    old-style Debian menu entry point to altosui instead
  * rewind packaging changelog to last tagged version
  * update desktop file for consistency with package section
  * we need a main category in the desktop file
  * really, I mean it, no longer deliver the sources.list fragment
  * add a postinst to remove sources.list.d fragment delivered by old
    private versions of this package, no longer needed once we have
    official packages

 -- Bdale Garbee <bdale@gag.com>  Thu, 25 Aug 2011 02:22:21 -0600

altos (0.9.6.0) unstable; urgency=low

  [ Keith Packard ]
  * altos: Correct flight log max on Tm to 5k
  * altosui: Change button to 'Configure Altimeter'
  * altos: Remove pad_orientation functions from non-accel devices
  * altos: Add ability to set arbitrary radio frequency
  * altosui: Add dialogs to configure 'common' frequencies
  * altosui: Convert from channels to frequencies
  * Set version to 0.9.5.0
  * altosui: altimeter is not spelled altimter
  * altosui: Pull out BlueTooth support
  * altos: minor type in comment about accel correction
  * altosui: Must set radio calibration before radio setting
  * altosui: A few misc cleanups.
  * altosui: Have single radio_to_frequency function
  * altosui: Save frequency after setting it in AltosFlightUI
  * altosui: Show AltosFrequency in scan results
  * altosui: Remove debugging printfs from AltosSerial
  * altosui: Flush radio setting to serial device
  * altosui: Remove unused AltosConfigData from AltosTelemetryReader
  * altosui: Reading serial from swing thread only bad if remote
  * altosui: Make set of telemetries to use while scanning configurable
  * altosui: Add close button to 'fire' dialog
  * altos: Switch telemini from v0.1 to v1.0
  * altosui: Don't export product defs from libaltos
  * altosui: Ensure serial code tracks reply nesting correctly
  * altosui: Ship TeleMini v1.0 firmware with fat blobs
  * Altosui: Add flight statistics tab to graph window
  * altosui: Add a 'Graph Flight' button to the 'landed'  tab
  * altosui: Prune telemetry file graphs to just the flight
  * altosui: Plot reasonable data from Tm files
  * altosui: Move launch-sites.txt file to altusmetrum.org
  * Bump version to 0.9.6.0
  * doc: Update altusmetrum.xsl for v1.0 software and TeleMini
  * doc: Document Ignite Mode and Pad Orientation configuration options
  * doc: Describe 'stats' tab in Graph UI, 'Graph Flight' button.
  * doc: Add telemetry docs to debian/linux/mac/windows packages
  * doc: Add release notes, include them in altusmetrum doc. Shuffle altusmetrum
  * doc: Add 1.0 release notes.
  * altos: Pull igniter pins low as soon as possible at boot time
  * altos: Apply igniter boot pulse-width reduction to telemini
  * altos: remove monitor disable stubs from altimeter code
  * ao-tools: ao-list was crashing with more than 3 devices connected
  * libaltos: Mis-allocated device list in libaltos
  * altos: shrink text space from ao_config.c
  * altos: re-write a bit of GPS parsing code to reduce size
  * altos/altosui: Report log format in the version command
  * altos: Don't try to use non-basestations for remote eeprom download
  * altos: Add SPI-based companion board support
  * altos: Put SPI in slower mode when talking to companion board
  * altos: Make sure companion task exits cleanly when done
  * altos: add the 'L' command to show the status of a linked companion board
  * altos: Check for companion init packet validity was busted
  * altosui: Add companion support to the flight UI and CSV conversion
  * altos: Send SPI message at flight state changes
  * altos: Send serial/flight to companion board
  * altos: wait 10s for companion to boot
  * altosui: Clean up eeprom parsing a bit
  * altosui: Add support for TeleScience eeprom download
  * altosui: Devices with log-format can also delete flights
  * altosui: Eliminate inter-chunk flush_input calls
  * altos: AltosSerial.flush_input shouldn't discard Interrupted exceptions
  * altos: Correct AO_CONFIG_MINOR from 6 to 7
  * altos: Reset radio channel to zero when using radio setting
  * altos: use raw height while waiting for landing
  * altosui: don't set channel when using radio setting
  * altosui: Respect storage limits in flight log max config

 -- Bdale Garbee <bdale@gag.com>  Fri, 19 Aug 2011 22:47:25 -0600

altos (0.9.4.5) unstable; urgency=low

  [ Keith Packard ]
  * altosui: Mark empty eeprom records 'invalid', don't generate exception
  * altosui: Always read whole eeprom block, even at end of flight
  * altosui: Display eeprom parsing errors to user
  * Revert "src/ao_gps_skytraq.c: Update logging rate to 10Hz"

  [ Anthony Towns ]
  * src/ao_cmd: Shave off bytes from doc strings

  [ Keith Packard ]
  * altos: Oops. Lost a couple of commands when merging the doc patch
  * altosui: Missed jcommon.jar in the Mac OS install image
  * Bump published version number to 0.9.1
  * aoview: remove -s option.

  [ Anthony Towns ]
  * ao_intflash: Use internal flash for storage

  [ Keith Packard ]
  * altos: Make serial, usb, beeper and accelerometer optional components
  * altos/test: Use ao_convert.c instead of hand-coded pres → alt func
  * altos/test: Add baro-only flight test program
  * altos: Start with packet slave running. Turn off in pad mode.
  * altos: Add TeleMini v1.0

  [ Anthony Towns ]
  * ao_intflash: Avoid overwriting code

  [ Keith Packard ]
  * altos: Switch LED usage for TeleMini around
  * altos: Switch pins around for TeleMini
  * bringup: Add script for telemini
  * ao-load: Make usb descriptor rewriting optional
  * altos: oops -- altitude reporting wasn't pausing between signals
  * altos: Internal flash ops block when running from flash

  [ Anthony Towns ]
  * ignore new flight test file

  [ Keith Packard ]
  * altos: Add tiny logging for TeleMini/TeleNano
  * altos: Add kalman filters for baro-only boards
  * altos: Tiny logging fixes. Scan at start, stop when land or full.
  * altos: Add TeleNano support

  [ Bdale Garbee ]
  * fix up script to work and have reasonable texts

  [ Keith Packard ]
  * altos: Fix mini/nano default log size to available flash space
  * altos/test: Add scripts to run lots of flights through the code
  * altos: Write height values to log for nano/mini
  * altos: Baro-only boards must not detect launch on accel or speed data
  * altosui: Add software version to Configure AltosUI dialog
  * altos: Don't init packet slave on TD. Make slave start optional
  * altos: Configure packet size from send/recv parameters.
  * altos: Make telemetry interval more consistent
  * altos: Split out tiny telemetry from full telemetry
  * altos: Split telenano main from telemini
  * altos: The kalman code requires a constant sample rate
  * altos: New telemetry report format (version 4). Supports tiny telemetry.
  * altos: Add .sdcdbrc file for teledongle
  * altos: Add nickle kalman implementation.
  * altos: Switch telemetrum over to kalman filter
  * altos: Compute a 'trust' value for the barometer
  * altos/kalman: Kalman terms can be > 1, use 32-bit fixed point
  * altos: Clean up some debug stuff in ao_flight.c
  * altos: Add ao_flight_debug code
  * altos: Missing parens and some bad arithmetic in the kalman code
  * altos: Fix up flight code testing
  * altos: Restore sensible kalman values
  * altos: Ignore alt error for fast->coast. Allow larger error for baro apogee.
  * altos: Exit flight test at landing. Allow description in test flight list
  * Add ao_kalman.h to .gitignore
  * Add description to test flights
  * altosui: Add support for telemetry version 4
  * altosui: Add telemetry format menu and preferences
  * altosui: Remove a bunch of debug printfs from the eeprom manager code
  * altosui: Add support for downloading TeleMini/TeleNano flight logs
  * altosui: Remove extra AltosEepromBlock layer
  * altosui: swing hide/show methods are deprecated
  * altosui: Allow TM config connection to be canceled.
  * altos: Variable log rate in full logging code too
  * altos: full logging must flush pending data before checking state
  * altosui: Off-by-one error in telemetry format configuration UI
  * altosui: Allow radio channel to be configured over the radio link
  * altosui: Tell serial device which frame to use for timeout dialogs
  * altosui: Handle serial calls from swing thread
  * altos: Split up flight code into separate flight/sample/kalman bits
  * altos: Create custom nano flight code
  * altosui: Clean up packet link connecting dialog
  * altosui: Make flight log downloading handle 'Connecting...' dialog
  * altosui: Make deployment testing handle Connecting... dialog
  * altosui: Display exception messages from swing thread
  * altosui: Don't display 0000-00-00 for missing flight log dates
  * altos: ao_sample_preflight was exiting preflight mode immediately
  * altos: Run RDF beacon after apogee instead of waiting for landing
  * altos: Enable logging during nano flights
  * altosui: Parse and export Max flight log value
  * altosui: Only plot acceleration when present in data file
  * altos: Reflect ao_flight split in ao_flight_test dependencies
  * altos: Baro useful ceiling is MSL, not AGL
  * altos: Make ao_flight_test show true height but report saturated height
  * altos: Add initial TeleBT code
  * altos: Add P2SEL_*_MASK defines to cc1111.h
  * altos: expose set of available stdio values
  * altos: Provide for a pre-filter on commands
  * altos: Allow any stdio to be used with packet forwarding
  * altos: Remove serial monitor command
  * altos: Make ao_serial_drain public
  * altos: Clean up usage of serial port for stdio
  * altos: Clean up serial initialization
  * altos: Make cmd echo per-connection instead of global
  * altos: Clean up BT serial communcations
  * altosui: Add missing AltosTelemetryMap.java file
  * altos: Use PIO(6) on BTM to monitor BT connection. Fix BTM init.
  * altosui: Add TeleBT USB device support
  * altosui: Add low-level Bluetooth APIs
  * altos/altosui: Log averaged baro sensor data in Tm/Tn
  * altosui: oops - lost state changes when downloading eeprom data.
  * altos: Write a few pre-launch samples for Tm/Tn devices
  * altosui: Add primitive bluetooth device manager UI.
  * altosui: Create abstract AltosDevice class
  * altosui: Make AltosBTDevice implement AltosDevice interface
  * altosui: Make bluetooth dialog modal
  * altosui: Use persistent list of bluetooth devices for device dialogs
  * altos: Add delays to bt startup sequence
  * altosui: Wait two seconds after bluetooth connect XXX
  * altos: Solidify BT connections
  * altos: Simplify BT communications
  * altos: Remove bt debug command
  * altos: remove BT logging code
  * altosui: Eliminate ao_cmd_filter hook
  * altosui: Make flight data download work through TeleBT
  * altos: add telebt-v0.0 Makefile
  * altosui: Separate out flash debug code to separate thread
  * altosui: Fix TeleBT name in flight monitor title
  * altosui: Display reader name (usually the device) when an I/O error occurs
  * altosui: Move AltosIgniteUI device open out of Swing thread
  * altosui: Fix BT manage dialog so that the device lists resize
  * altos: Add preliminary telebt v0.1 defines

  [ Bdale Garbee ]
  * first cut at a telebt turn on script

  [ Keith Packard ]
  * altos: Add telebt-v0.1 to Makefile
  * altos: Use USART configuration 1 with flow control for TBT
  * altos: Fix BT link status pin for real TBT hardware
  * altos: pull TBT v0.1 ser_reset line low
  * altos: Add beeper to TBT v0.1
  * altos: Debugging TBT issues -- check pin configuration after boot
  * altos: Initialize beeper for telebt
  * altos: Hook up the P1 ISR for TeleBT v0.1 bt_link line
  * altos: clear CPU port 1 interrupt flag when handled
  * Revert "altos: Debugging TBT issues -- check pin configuration after boot"
  * Switch version to 0.9.4
  * altosui: Handle old TeleDongle receiving kalman telemetry packets
  * altos: Rename telemetry to telemetry_orig
  * altos: Add arbitrary telemetry packet monitoring
  * altos: Add checksum to TELEM output lines
  * altos: Start adding new telemetry frame definitions
  * altos: ao_radio_recv needs byte count *including* rssi and status
  * altosui: Support raw telemetry from TeleDongle
  * doc: Add telemetry format description
  * doc: Complete initial telemetry description
  * doc: Fix a few minor telemetry doc mistakes
  * Version strings must be < 8 bytes long
  * altos: teledongle does not need ao_packet_slave.c
  * altos: Shrink const space in ao_config
  * altos: Add sat info to GPS report command
  * altos: Shrink help text
  * altos: Add split telemetry code
  * altos: Complete new telemetry switchover
  * altosui: Parse remaining standard telemetry packets
  * doc: Chang Config and Location packets
  * altos: Adapt to changes in telemetry Configuration packet
  * doc: Add section about TeleDongle USB line format
  * altosui: Elide nul bytes at end of telemetry string values
  * altosui: Elide missing values from graphs
  * altosui: Add main/drogue voltages to default graph
  * altosui: Remove debug printf.
  * altosui: Compress telemetry records marked with the same time
  * altos: Shrink ao_cmd_put16, ao_cmd_hex and ao_cmd
  * altos: Shrink ao_config_callsign_set
  * altos: Shrink ao_add_task by rolling up a memset loop
  * altos: Switch ao_gps_skytraq and ao_gps_sirf __xdata to __pdata
  * altos: Switch ao_ignite and ao_gps_sirf __xdata to __pdata
  * altos: Switch ao_log.c and ao_log_big.c __xdata to __pdata
  * altos: Switch ao_report.c __xdata to __pdata
  * altos: Switch ao_rssi.c __xdata to __pdata
  * altos: Switch ao_sample.c __xdata to __pdata
  * altos: Switch ao_serial.c __xdata to __pdata
  * altos: Switch ao_stdio.c __data to __pdata
  * altos: Switch ao_telemetry.c __xdata to __pdata
  * altos: Switch ao_usb.c __xdata to __pdata
  * altos: Switch const for __code in struct ao_cmds
  * altos: switch ao_cmd __xdata to __pdata
  * altos: Switch ao_config.c __xdata to __pdata
  * altos: Switch ao_dbg.c __xdata to __pdata
  * altos: Switch ao_flight and ao_flight_nano __xdata to __pdata
  * altos: Switch flash drivers __xdata to __pdata
  * altos: Switch Tm and Tn to common telemetry code
  * altos: Remove ao_telemetry_orig.c and ao_telemetry_tiny.c
  * altos: Ensure low-rate telem packets interleave with sensor telem packets
  * altos: product defines are always in ao_product.h
  * altosui: Build device constants into .java code
  * altosui: Don't show missing igniter and gps values
  * altos: new versions of sdcc require __ prefixes for custom keywords
  * Set version to 0.9.4.3 for Bdale 2011-7-16 flights
  * altosui: Start adding support for scanning radio for available devices
  * altosui: Pop up monitor window from scan dialog
  * altosui: Remove debugging printf from AltosLog
  * altosui: Configuration telemetry record includes flight number
  * altosui: Finish radio scanning UI
  * altosui: Generalize and centralize telemetry constants, parse v0.8 telemetry
  * altosui: Initialize channel and telemetry before use in ScanUI
  * altosui: Set 'seen' bits in legacy telemetry packet reader
  * altosui: Add map preloading GUI
  * altosui: Try to avoid resize weirdness with map preloading
  * altosui: Flush telemetry lines before starting to watch for scan results
  * altosui: Display full map preload area in view.
  * altosui: Remove a bunch of sitemap debugging printfs

  [ Anthony Towns ]
  * altosui: Make sure degree and minute values are visible (map preload)

  [ Keith Packard ]
  * Set version to 0.9.4.4
  * altos, altosui: Add igniter mode (dual, apogee, main)
  * altosui: Download list of site locations for map preloading
  * altosui: Add launch-sites.txt
  * altosui: Add a bunch more site locations
  * altosui: Mark preload site location with red circles (like launch)
  * Fix NCR Pawnee location
  * Add HARA Bragg Farms site
  * altosui: Change continutity colors to yellow/magenta
  * altos: Add ability to read new TELEM files to ao_flight_test
  * altos: Average height values for landing detection
  * altos: Reduce height averaging filter time constant
  * altos: Require sequencing through 'main' state before landing
  * altosui: Standard text field in flight UI needs more width (now 20)
  * altosui: Parse accel cal from 'c s' command
  * altosui: Simple timeouts don't work with query data
  * altosui: Add idle monitor dialog
  * altos/altosui: Add pad orientation configure option

  [ Bdale Garbee ]
  * update version for a Bdale build for use turning on TeleMini v1.0
  * simplify version in last changelog entry so git-dch is less confused
  * update changelogs for Debian build
  * update changelogs for Debian build
  * stop doing automatic tag push during builds
  * build depend on bluetooth dev package
  * clean up all existing lintian warnings
  * rewind changelog for re-build of 0.9.4.5

 -- Bdale Garbee <bdale@gag.com>  Mon, 08 Aug 2011 09:37:04 -0600

altos (0.9.1) unstable; urgency=low

  [ Keith Packard ]
  * ao-load: fix usage message to note that '=' is required for options
  * altos/test: Add dependencies in the Makefile for ao_flight_test
  * altos/test: auto-configure acceleration parameters from the log file

  [ Anthony Towns ]
  * ao_radio: generalise setup of packet size
  * src/ao_gps_skytraq: simplify parsing code
  * src/ao_gps_skytraq.c: Update logging rate to 10Hz

  [ Bdale Garbee ]
  * tie bringup scripts to Bdale's bench TeleDongle

 -- Bdale Garbee <bdale@gag.com>  Fri, 01 Apr 2011 20:02:12 -0600

altos (0.9) unstable; urgency=low

  [ Bdale Garbee ]
  * prepare to release
  * update changelogs for Debian build
  * update turnon script to prefer TeleDongle as programmer

  [ Keith Packard ]
  * altos: Program default flight log max value for new boards

 -- Bdale Garbee <bdale@gag.com>  Wed, 19 Jan 2011 12:46:47 -0700

altos (0.8.1+81+g4ae724f) unstable; urgency=low

  * we need an install target to prevent parent dir make from failing

 -- Bdale Garbee <bdale@gag.com>  Tue, 18 Jan 2011 23:55:36 -0700

altos (0.8.1+79+g9a5666f) unstable; urgency=low

  [ Keith Packard ]
  * doc: Don't delete telemetrum-outline.pdf
  * doc: Add v0.9 features from altosui to documentation.

  [ Bdale Garbee ]
  * add 0.9 revision entry, with caveat about telemetry format change
  * freshen copyright year

  [ Keith Packard ]
  * fat: Add firmware for v1.1 and docs to mac/windows/linux installers
  * fat: Add docs to Linux package
  * doc: Build with 'make all' from top level. Build with 'make fat'

 -- Bdale Garbee <bdale@gag.com>  Tue, 18 Jan 2011 23:47:52 -0700

altos (0.8.1+71+gda42f40) unstable; urgency=low

  [ Keith Packard ]
  * doc: Add telemetrum mounting template in svg and pdf forms

  [ Mike Beattie ]
  * Re-order and re-arrange eeprom download dialog
  * Convert EepromSelect dialog to use a GridBag
  * Close serial port if Download/Delete dialog is cancelled.

  [ Keith Packard ]
  * altosui: Reset eeprom download instance variables before reading
    flight
  * altosui: Make serial debug more complete and accurate
  * altosui: Use long input flush timeout when remote.
  * altosui: Remove debug message when eeprom downloads are complete.
  * altosui: Ensure serial device is closed after eeprom download
    finishes
  * altosui: Require 4 sats to light up the 'GPS locked' light.
  * doc: inkscape tracks the filename inside the document
  * altos: TELEMETRY PROTOCOL CHANGE. Switch to 16-bit serial numbers.
  * altos: Flush log when full

  [ Anthony Towns ]
  * altos: Restructure skytraq NMEA parsing code to save some space

  [ Keith Packard ]
  * altos: average 512 accel/baro samples at startup instead of 1000

  [ Mike Beattie ]
  * altos: Added check for an accel value above 1.5g
  * altos: Added check for out of bounds accel

  [ Keith Packard ]
  * altos: Add DATA_TO_XDATA to linux test harness
  * altosui: Remove spurious colons from eeprom selection headers

  [ Mike Beattie ]
  * Rework invalid accel cal detection code

  [ Keith Packard ]
  * altos: Auto-calibrate linux-based flight testing code
  * altos: Ensure flight code gets first crack at new ADC data
  * altos: Sample the accelerometer reference voltage on v1.1 boards
  * altos: Optimize fetching of ADC data in flight code
  * altos: Use 5V reference data to correct accelerometer measurements.
  * doc: Remove mention of ao_wake_task

  [ Bdale Garbee ]
  * update documentation to reflect reality that modifying a board for
    separate pyro battery is not trivial

 -- Bdale Garbee <bdale@gag.com>  Tue, 18 Jan 2011 17:26:33 -0700

altos (0.8.1+42+g646e192) unstable; urgency=low

  [ Keith Packard ]
  * altosui: Show dialog after successful delete or when no flights
  * altosui: Ensure serial line is flushed after disabling remote link
  * altosui: Add preference for serial debugging.

 -- Bdale Garbee <bdale@gag.com>  Fri, 14 Jan 2011 18:00:51 -0700

altos (0.8.1+37+g97b1ca9) unstable; urgency=low

  [ Keith Packard ]
  * altos: Add configuration parameter for maximum flight log size
  * altos: support storage of multiple flights.
  * altos: Speed up at45 and 25lc erase speeds
  * altos: white space fix
  * altos: report flight log offsets in hex block numbers instead of
    bytes
  * altos: ensure erase mark is written when erasing flights

  [ Anthony Towns ]
  * altos: Optimize Morse code generation

  [ Keith Packard ]
  * altos: Check requested log max size against available space
  * altos: Check for full log and complain
  * altosui: Add configuration of flight log size

  [ Anthony Towns ]
  * altos: Remove unused accel_vel_mach and accel_vel_boost variables
  * altos: Remove redundant initialization of ao_interval variables

  [ Keith Packard ]
  * altosui: Split eeprom download code apart
  * altos: oops -- 'e' command was only showing 7 of the 8 bytes per
    line
  * altosui: Add support for parsing list of flights from the 'l'
    command
  * altosui: Add eeprom 'manage' ui to download and delete multiple
    flights
  * altos: check for valid flight number in ao_log_delete

 -- Bdale Garbee <bdale@gag.com>  Fri, 14 Jan 2011 14:30:37 -0700

altos (0.8.1+18+g408a3e0) unstable; urgency=low

  [ Anthony Towns ]
  * altosui: move maps to subdir, fix E/W mismatch

  [ Keith Packard ]
  * altos: clean up radio abort paths. Share radio code.
  * altos: eliminate ao_wake_task
  * windows: Add compatibility IDs to telemetrum.inf
  * windows: Update NSIS installer file to use compatibility IDs
  * altos: Split out SPI driver.
  * altos: Add telemetrum-v1.1 directory
  * altos: packet and usb i/o routines use 'char', not 'uint8_t'
  * altos: Simplify storage API
  * altos: Require manual flight erasing.
  * altos: Move common storage code to ao_storage.c. Add M25P80 driver
  * altos: Rip out 'optimization' in ao_log_scan
  * altos: Mark end of available flight list with 'done' to make the UI

 -- Bdale Garbee <bdale@gag.com>  Fri, 07 Jan 2011 00:51:41 -0700

altos (0.8.1+4+gea95c06) unstable; urgency=low

  * fix symlink paths in rules file

 -- Bdale Garbee <bdale@gag.com>  Wed, 01 Dec 2010 00:14:24 -0700

altos (0.8.1+2+gea7130e) unstable; urgency=low

  * modify Debian package build to deliver one copy of background.png
    for

 -- Bdale Garbee <bdale@gag.com>  Wed, 01 Dec 2010 00:03:14 -0700

altos (0.8.1) unstable; urgency=low

  [ Bdale Garbee ]
  * moved doc dir in web content to AltOS tree
  * fix publish target in doc/Makefile
  * fix section layering
  * fix an Altos vs Altus typo in the docs
  * adding Bdale's release process document to the source tree

  [ Keith Packard ]
  * windows: Add jfreechart.jar and jcommon.jar to windows install image
  * Move "Releasing" to top level
  * Add minimal release testing plan to Releasing

  [ Bdale Garbee ]
  * releasing 0.8.1

 -- Bdale Garbee <bdale@gag.com>  Mon, 29 Nov 2010 21:46:54 -0700

altos (0.8) unstable; urgency=low

  [ Keith Packard ]
  * altosui: Correct windows hardware IDs for nsis installer file
  * windows: try harder to get windows install to work
  * windows: remove some non-existent .inf file section references
  * windows: more .inf file hacking
  * windows: Bump .inf file version

  [ Bdale Garbee ]
  * declaring 0.8 released
  * update changelogs for Debian build
  * update changelogs for Debian build
  * rewind changelog to recover from stupid build failure

 -- Bdale Garbee <bdale@gag.com>  Sun, 28 Nov 2010 18:32:12 -0700

altos (0.7.1+168+gcb08bc2) unstable; urgency=low

  [ Keith Packard ]
  * altosui: Split out flight monitoring to separate window
  * altosui: Create buttons for main actions
  * altosui: Fix channel setting at serial open time
  * altosui: Fix more calls to AltosPreferences.channel()
  * altosui: Create abstract interface for flight data display
  * altosui: Add tab UI with 'pad' mode.
  * altosui: Add ascent, descent and landed tabs

  [ Bob Finch ]
  * Updated PKGBUILD-git.altos

  [ Keith Packard ]
  * altos: Use grey leds when unlit - easier to see

  [ Anthony Towns ]
  * use value_font for values
  * add --replay command line argument
  * read preferences for --replay
  * reduce font size for FlightInfoTable
  * use grayled.png for off
  * add compass bearing to voice output
  * add compass bearing during descent
  * add site map tab, at least for QRS launches
  * tabs -> spaces
  * make infotable scrollable, revert its fontsize to 14
  * pull up maps for arbitrary locations
  * better error behaviour if no map

  [ Bdale Garbee ]
  * first cut at instructions on how to re-flash TM and TD devices based
    on email
  * fold in content from Keith's email on the re-flashing subject

  [ Keith Packard ]
  * altosui: Add RF calibration to TeleMetrum config dialog

  [ Anthony Towns ]
  * AltosTelemetryReader: actually open serial port
  * AltosSiteMap: add targeting circles around landing site

  [ Bdale Garbee ]
  * continuing to work on the docs

  [ Keith Packard ]
  * altosui: Eliminate unncessary import altosui lines
  * altosui: Open serial device at 'new' time. Prohibit duplicate opens.
  * altosui: Replace flight status table with labels, fix resize.
  * altosui: With --replay option, exit when replay window is closed
  * altosui: oops, missed a file in the previous commit
  * altosui: eliminate menu bar, moving elements to buttons.
  * altosui: add reboot button to telemetrum configuration UI

  [ Bdale Garbee ]
  * add a paragraph about forcing TM back to idle mode if an accel cal
    goes badly

  [ Keith Packard ]
  * altosui: Add callsign configuration in AltosUI configuration dialog
  * altosui: Cleanup flight UI layout
  * altosui: Add igniter status to ascent and descent tabs

  [ Anthony Towns ]
  * altosui: tile site maps
  * AltosSiteMapTile: autoscale to about 2 nmi per tile
  * AltosSiteMapTile: adjust centering calculation
  * AltosSiteMapTile: adjust scale to 1 nmi per tile

  [ Keith Packard ]
  * altosui: Add igniter ground testing code
  * altosui: Unify datafile selection to AltosDataChooser
  * altosui: Clean up global AltosUI configuration settings dialog
  * doc: Add preliminary altosui documentation
  * doc: git ignore generated doc files
  * doc: Document the 'Flash Image' operation.
  * altosui: Use timeouts to recover from broken packet links.

  [ Bdale Garbee ]
  * update turnon scripts to use stashed copies of stable release
    firmware

  [ Keith Packard ]
  * altosui: switch channel selector to combo box. Shorten displayed
    device names
  * altosui: When switching log files, don't terminate log thread
  * altosui: calling thread.interrupt with null thread doesn't work well
  * altosui: Initialize display thread state in constructor instead of
    run
  * altosui: Fix channel changing in flight UI to actually work

  [ Anthony Towns ]
  * AltosSiteMap: add autoscroll and grabndrag scroll
  * AltosSiteMapTile: seperate map and drawing layers
  * AltosSiteMap: automatic fetching of map data
  * AltosSiteMapTile: draw boost circle as well as landed
  * AltosAscent/Descent: tidy up layout
  * AltosDescent: switch elev from height to range

  [ Keith Packard ]
  * altosui: re-indent

  [ Anthony Towns ]
  * AltosSiteMap: major refactoring
  * Add GrabNDrag.java

  [ Keith Packard ]
  * altosui: change descent tab formatting to four columns

  [ Anthony Towns ]
  * AltosSiteMap: be more polite about preferred size
  * altosui: reindent

  [ Keith Packard ]
  * altosui: Rewrite info table to mix with scroll pane well. Fix
    startup size

  [ Anthony Towns ]
  * AltosSiteMap: better gps check, lower zoom

  [ Keith Packard ]
  * altosui: Set site map flight path lines to 6 pixels anti-aliased.

  [ Anthony Towns ]
  * AltosSiteMap: explain tile size better
  * AltosSiteMap: extend map if rocket goes far away
  * AltosSiteMap: try to get new tile construction right
  * AltosSiteMap: thread safe tile addition
  * AltosSiteMap: refactor tile collection
  * AltosSiteMap: never accept 0,0 as lat/long
  * AltosSiteMap: limit nr of tiles to 200x200

  [ Keith Packard ]
  * altosui: When fixing eeprom gps time information, make GPS data
    valid

  [ Anthony Towns ]
  * AltosSiteMap: ensure buffer around active tile
  * altosui: improve sitemap scrolling behaviour
  * altosui: keep sitemap more centred on rocket

  [ Keith Packard ]
  * altos: Add on/off modes to 'C' command

  [ Bob Finch ]
  * Added PKGBUILDs for deps into contribs

  [ Keith Packard ]
  * altosui: Close serial port when debug link fails
  * altos: assume igniter worked.

  [ Bdale Garbee ]
  * add a rudimentary --help for command line use

  [ Keith Packard ]
  * doc: Add internal documentation for AltOS

  [ Anthony Towns ]
  * altosui: don't switch away from user selected tab
  * altosui: sitemap uses rocket gps if no pad gps

  [ Bdale Garbee ]
  * merge Keith's AltosUI documention into "the big book"
  * lose the placeholder on how GPS works, as it's going to be a

  [ Keith Packard ]
  * altos: remove unused variable from ao_igniter
  * altos: Don't abort radio transmissions with ao_radio_abort
  * altos: Make radio test command careful with the radio mutex.
  * altosui: Make AltosSerial.flush_input keep reading while non-empty
  * altosui: New AltosSerial.set_radio function sets channel/call
  * altosui: Disable radio configation over packet link.
  * altosui: Let people fire igniters that don't read as 'ready'
  * altosui: Make sure packet mode is turned off when the connection
    fails

  [ Anthony Towns ]
  * docs: Document altosui "Graph Data" button

  [ Keith Packard ]
  * Move altosui to the top level, placing libaltos inside it.

  [ Anthony Towns ]
  * doc: Document altosui "Site Map" tab

  [ Keith Packard ]
  * Missing change to top level Makefile to build altosui

  [ Bdale Garbee ]
  * fix missing section close in Site Map content
  * tweak rev history
  * manually fold in documentation work from the master branch

  [ Keith Packard ]
  * doc: Reformat altos to use sections for each function
  * doc: Add more authors, fix URL formatting, note that AltosUI
    actually exists
  * doc: Rename telemetrum-doc as altusmetrum

  [ Bdale Garbee ]

 -- Bdale Garbee <bdale@gag.com>  Thu, 25 Nov 2010 01:10:18 -0700

altos (0.7.1+36+g811ced6) unstable; urgency=low

  [ Bdale Garbee ]
  * remove the csv build dep, as that code will be abandoned

  [ Keith Packard ]
  * altosui: Remove ability to graph data in .csv files
  * altosui: Separate out jfreechart and jcommon directories

 -- Bdale Garbee <bdale@gag.com>  Wed, 06 Oct 2010 17:47:32 -0600

altos (0.7.1+32+g8103432) unstable; urgency=low

  * add build-dep on libcsv-java

 -- Bdale Garbee <bdale@gag.com>  Wed, 06 Oct 2010 16:25:57 -0600

altos (0.7.1+28+gd8a2f4c) unstable; urgency=low

  [ Bdale Garbee ]
  * make the column headers comma separated, too, so they align with the
    data

  [ Keith Packard ]
  * altosui: set default .csv file name in file save dialog
  * altosui: Remember directory containing firmware files

  [ Anthony Towns ]
  * Add graphing.
  * Add JFreeChart to Makefile.am

  [ Keith Packard ]
  * altosui: Use recorded ground acceleration when reading eeprom files
  * altosui: Write raw sensor data to .csv files
  * altosui: Factor some UI elements into separate classes
  * altosui: remove unused ReplayThread wrapper classes
  * altosui: Require 4 sats for 'good' GPS data
  * altosui: Create iterables for log file scanning. Split out display
    threads
  * altosui: .CSV output: add link quality, gps hdop and sat C/N0
    numbers
  * altosui: Deal with eeprom dates going backwards across wrap

  [ Anthony Towns ]
  * Hax0r graphing to support telem/eeprom files

  [ Keith Packard ]
  * altosui: use Altos constants in graphing code

  [ Anthony Towns ]
  * Add callsign/serial/flight to graph title

  [ Keith Packard ]
  * altosui: Add KML file export.

  [ Bdale Garbee ]
  * add build dep on jfreechart lib

 -- Bdale Garbee <bdale@gag.com>  Wed, 06 Oct 2010 16:19:12 -0600

altos (0.7.1) unstable; urgency=low

  [ Keith Packard ]
  * Add firmware and libaltos to 'fat' target at top-level
  * altosui: Remove some debug printfs.
  * altosui: libaltos.so is built with libtool -- it's in
    ../libaltos/.libs
  * Add --with-fat-dir configure option to publish finished stand-alone
    bits
  * altosui: Fix telemetry file reader to handle tick count wrapping
  * altosui: Remove debug printfs from AltosTelemetryReader
  * altosui: Fill in time value of last Eeprom record read from file
  * altosui: Stop parsing eeprom file after hitting 'landed' state

 -- Bdale Garbee <bdale@gag.com>  Fri, 10 Sep 2010 00:09:02 -0600

altos (0.7+96+g48f5799) unstable; urgency=low

  [ Keith Packard ]
  * altosui: conflating USB product and vendor IDs is a bad idea

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Sep 2010 21:29:13 -0600

altos (0.7+94+g1ac3d7e) unstable; urgency=low

  * initial cut at an altosui man page

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Sep 2010 20:34:38 -0600

altos (0.7+92+g0ea7576) unstable; urgency=low

  [ Bdale Garbee ]
  * handle versioning of ihx files (poorly) by just wildcarding the file
    name

  [ Keith Packard ]
  * altosui: Need to have JVM include path substituted into libaltos
    Makefile
  * altosui: Store libaltos.so in $(libdir)/altos
  * altosui: Display error dialog when AltOS JNI library can't be loaded

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Sep 2010 20:05:44 -0600

altos (0.7+86+g6c0ae7e) unstable; urgency=low

  [ Keith Packard ]
  * altosui: Add explicit requirement to create classes directory
  * altosui: fix telemetrum.inf FFFE:000A product names on AMD64 and
    ia64
  * altosui: hack to make JAVAROOT directory get created before javac
    runs
  * altosui: remove FATJAR from all-local to avoid building fat .jar
    file

  [ Bdale Garbee ]
  * add libtool to build deps

  [ Keith Packard ]
  * altosui: Add windows installer build using 'nsis'
  * altosui: ignore built files
  * altosui: oops. renamed the nsis file to altos-windows.nsi
  * icon: add some icons for application programs
  * altosui: Add icons to application and Windows menus.
  * Use autotools for altosui and libaltos
  * altos: add some SDCDB config files
  * Ignore libtool files.
  * Add version numbers to released files. Set version to 0.7.1
  * Add top-level 'fat' target to aid building distribution files
  * altosui: Fix windows installer to ship correct files
  * altosui: Fix up Mac OSX .zip file
  * altosui: Fix linux fat distribution
  * altosui: Return AO_LOG_INVALID instead of exception for eeprom files
  * altosui: Remove debugging printf from AltosEepromReader
  * altosui: Eeprom files contain only one date; save it.
  * altosui: Add elevation and range data to main display
  * altosui: When replay thread is interrupted, don't make final report
  * altosui: Start idle thread after the rocket leaves the pad
  * altosui: Add AltosVoice.drain() to wait for queued speech to finish
  * altosui: Prevent voice altitude data from queueing up
  * altosui: Use local .class files in the classpath
  * altosui: Record flight number when scanning file, not when running
  * altosui: eeprom files place 'boost' time in the flight number
    record.
  * altosui: ensure that 'altosui' script is installed. Pass arguments
    along.

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Sep 2010 15:43:28 -0600

altos (0.7+53+g59798c6) unstable; urgency=low

  [ Keith Packard ]
  * altosui: Abort flashing if debug port isn't working
  * altosui: allow flashing to be canceled from the rom config dialog
  * altosui: Hide internal rom config UI helper function
  * altosui: Remove some debug printfs from AltosRomconfig class
  * altosui: Post error dialog on invalid ROM config values.
  * altosui: build Mac OS .zip file to include paths
  * altosui: Report telemetry CRC errors in UI
  * altosui: Deal with altos bug setting radio channel while monitoring
  * altosui: Allow 'connect to device' when already connected
  * Revert "altosui: Deal with altos bug setting radio channel while
    monitoring"
  * altosui: Must flush serial line after configuring for telemetry
  * altosui: Catch I/O errors on telemetry device, report to user

 -- Bdale Garbee <bdale@gag.com>  Sat, 04 Sep 2010 00:46:12 -0400

altos (0.7+40+g59a40f6) unstable; urgency=low

  [ Bdale Garbee ]
  * add distclean targets to libaltos and altosui to all Debian package
    to build, and clean up other distclean content as needed

  [ Keith Packard ]
  * altosui: missed AltosReader.class in the Makefile
  * altos: Bounds check Skytraq GPS tracking data array
  * altosui: Remove Manifest.txt from git repo as it's built now

 -- Bdale Garbee <bdale@gag.com>  Thu, 02 Sep 2010 00:44:15 -0400

altos (0.7+28+gd006c5e) unstable; urgency=low

  * add runtime dependencies for altos binary package

 -- Bdale Garbee <bdale@gag.com>  Tue, 31 Aug 2010 00:20:00 -0400

altos (0.7+26+gc35632e) unstable; urgency=low

  * don't build all the "fat" jar deliverables by default

 -- Bdale Garbee <bdale@gag.com>  Mon, 30 Aug 2010 19:37:40 -0600

altos (0.7+23+g25764fc) unstable; urgency=low

  [ Bdale Garbee ]
  * fix up for an 0.7 release
  * update changelogs for Debian build

  [ Keith Packard ]
  * libaltos: AltusMetrum devices use more than one USB ID.
  * altosui: provide separate flush_input/flush_output for serial. deal
    with monitor automatically
  * altosui: discard invalid lines while reading Eeprom flight data
  * libaltos: Mac OS X cannot use 'poll(2)' on serial lines.
  * libaltos: Missing OS_LDFLAGS on cjnitest build
  * libaltos: cjnitest needs altos_flush now
  * altos: flush pending output when terminating packet mode
  * altos: Abort radio harder when terminating packet mode.
  * altos: shut down packet mode cleanly
  * libaltos: Fix windows build.
  * libaltos: Improve Makefile
  * Update telemetrum.inf to include all current USB ids.
  * libaltos: Add pre-built Mac OS X libaltos.dylib
  * libaltos: Add pre-built Windows .dll
  * altos: Windows sends USB Out packets of 0 length. Ack them.
  * libaltos: Use overlapped I/O on windows
  * altosui: Build linux, mac and windows archives on Linux
  * altosui: build debian-style altosui too
  * altosui: Devices with USB id 0x000a always get listed

  [ Bdale Garbee ]
  * continue even if rm's don't have anything to do
  * make invocation of 'install' pathless to work on more Unix variants
  * add a .gitattributes file, configuring the Mac and Windows binary
    library

 -- Bdale Garbee <bdale@gag.com>  Mon, 30 Aug 2010 19:07:13 -0600

altos (0.7) unstable; urgency=low

  * update changelogs for Debian build
  * fix up for an 0.7 release

 -- Bdale Garbee <bdale@gag.com>  Fri, 27 Aug 2010 22:25:38 -0600

altos (0.6+375+g0bd4cc0) unstable; urgency=low

  * fix path to installed shared library

 -- Bdale Garbee <bdale@gag.com>  Fri, 27 Aug 2010 13:13:14 -0600

altos (0.6+373+gcf65c6b) unstable; urgency=low

  [ Keith Packard ]
  * altosui: rename AltosEeprom -> AltosEepromDownload, split out Altos
    constants
  * altosui: Capture config and version info in .eeprom files
  * altosui: Merge gps date and time classes into gps class
  * altosui: Clear displayed data rows as needed.
  * altosui: Split status and info panels into separate files
  * altosui: Explicitly initialize Altos class
  * altosui: Split flight record out of telemetry class
  * altosui: Compute flight state from eeprom data
  * altosui: Add comments to Eeprom reader
  * altos: add callsign to packet mode, increase payload to 64 bytes
  * altosui: Start adding code to write csv files from eeprom/telem
    files
  * ao-dumplog: add --channel option (for use with -R option)
  * libaltos: integrate Windows support.
  * altosui: Select devices by USB vendor/product ID.
  * altos: Define USB product ID in per-product Makefile.defs file
  * altosui: Make teledongle callsign configurable
  * altosui: Add TeleMetrum configuration
  * altosui: Set callsign when fetching eeprom data over the air

  [ Bdale Garbee ]
  * add freetts as a build dep
  * working on java packaging details

  [ Keith Packard ]
  * altosui: Add .ihx file reading code and stub out flashing UI
  * altosui: Add debug dongle API, split flash UI out
  * ao-dumplog: Fix --remote and --channel options to actually work
  * altosui: pad TM config dialog values to avoid clipping descenders
  * libaltos: use pipe to wake up getchar on close. use mutexes
  * altosui: Add lots more cc1111 debug interface functions
  * altosui: remove debug printf from AltosHexfile
  * altosui: flush serial output before waiting for reply
  * altosui: Remove debug printf from AltosRomconfig
  * altosui: Finish device programming code
  * altos: Place rom config variables in fixed location
  * altosui: make default Manifest look for built-in freetts
  * altosui: Separate out log file choosing dialog to share with CSV
    generator
  * altosui: refactor logfile chooser dialog to share more code
  * altosui: Add ability to create CSV file from telem or eeprom files
  * altosui: disable radio monitoring while using serial line for
    debugging
  * altosui: Delay mapping Flash UI until flashing actually starts
  * altosui: fetch existing romconfig for flashing
  * altosui: always display romconfig ui while flashing
  * altosui: write USB serial number string while flashing
  * altosui: flush replies from serial link when entering debug mode
  * altos: always rebuild ao_product.c to track git version
  * altos: print GPS state flags in GPS 'g' command
  * altos: mark gps date written only after it gets into eeprom
  * altosui: Move number parsing code to Altos general class
  * altosui: Add AltosGreatCircle constructors
  * altosui: add rssi and distance/dir from pad to CSV files
  * altosui: AltosEepromReader was mis-setting boost tick
  * altosui: Add support for old (version < 3) telemetry files
  * altosui: Serial line is in UTF-8 encoding. Deal with it.
  * altosui: When parsing saved telem files, errors shouldn't abort file
  * altosui: Remove debug printf from AltosState.java
  * altosui: command line args are converted to csv format
  * altos: prepare for sdcc 2.9.1

  [ Bdale Garbee ]
  * add a dummy install target
  * lose the prebuild hook for now while I'm fumbling
  * add install target for libaltos
  * add an install target for altosui

  [ Keith Packard ]
  * altosui: add elevation and range information

  [ Bdale Garbee ]
  * fix up the wrapper's path to the jar file
  * update Debian standards version
  * fix permissions on installed jar file, switch from ao-view to
    altosui in
  * install altosui man page
  * fix man page delivery path
  * Revert "lose the prebuild hook for now while I'm fumbling"

 -- Bdale Garbee <bdale@gag.com>  Fri, 27 Aug 2010 12:40:04 -0600

altos (0.6+303+gb6da90b) unstable; urgency=low

  * add freetts as a build dep
  * move to science menu
  * working on java packaging details

 -- Bdale Garbee <bdale@gag.com>  Wed, 11 Aug 2010 22:11:28 -0400

altos (0.6+292+g8fc261c) unstable; urgency=low

  * see if my new freetts package works

 -- Bdale Garbee <bdale@gag.com>  Sat, 31 Jul 2010 10:55:21 -0600

altos (0.6+290+g7877496) unstable; urgency=low

  [ Keith Packard ]
  * altosui: check for closed serial device before reading
  * altosui: Remove unnecessary freetts .jar files
  * altosui: Close serial, join reader thread, free altos_file
  * altosui: remove debug printf
  * libaltos: build with java src encoding UTF8
